function ComboBoxOption()
{
	callParentConstructor(ComboBoxOption.prototype, this);
	
	this.__defineGetter__('value', this.getValue);
	this.__defineSetter__('value', this.setValue);
	
	this.__defineGetter__('label', this.getLabel);
	this.__defineSetter__('label', this.setLabel);
	
	this._label = null;
}

extendClass(ComboBoxOption.prototype, ScrollableListItem.prototype);

ComboBoxOption.prototype._label = null;

ComboBoxOption.prototype.__construct = function()
{
	superMethod(ComboBoxOption.prototype, '__construct', this)();
}

ComboBoxOption.prototype.refresh = function()
{
	$(this.content).html(this.label);
}

ComboBoxOption.prototype.getValue = function()
{
	return this.data;
}

ComboBoxOption.prototype.setValue = function(val)
{
	this.data = val;
}

ComboBoxOption.prototype.getLabel = function()
{
	return (this._label === null) ? String(this.value) : String(this._label);
}

ComboBoxOption.prototype.setLabel = function(val)
{
	this._label = val;
}

