function BuffSummator(buffs, ut, tick, onlyAgainstAll)
{
	if (typeof tick == 'undefined') tick = -1;
	this.buffs = [];
    
    if (buffs) 
    {
        for(var i = 0; i < buffs.length; i++) 
        {
        	var buff = buffs[i];
            if (buff.isActiveAt(tick)) 
            {
                if (!ut || !buff.unitType || ut.name == buff.unitType.name) 
                {
                    if (!onlyAgainstAll || (!buff.againstFraction && !buff.againstRaces)) 
                    {
                    	this.buffs.push(buff);
                    }
                }
            }
        }
    }
}

BuffSummator.prototype.buffs = [];

BuffSummator.prototype.sum = function(bt)
{
    var sum = 0;
    for(var i = 0; i < this.buffs.length; i++) 
    {
        var buff = this.buffs[i];
        if (buff.buffType.name == bt.name) 
        {
            sum += buff.value;
        }
    }
    return sum;
}
