function CastCause(v)
{
	this.name = v;
	
	this.__defineGetter__('system', function(){
		
		var s = [CastCause.SPELL.name, CastCause.PASSIVE.name, CastCause.ARTIFACT.name, CastCause.SET.name, CastCause.CASTLE_STANDARD.name];
		return s.indexOf(this.name) < 0;
		
	})
}

extendClass(CastCause.prototype, Enum.prototype);

CastCause.prototype.__CLS__ = 'game.model.heroes.CastCause';

CastCause.__isEnum__ = true;

CastCause.isMagicDisableable = function(cause)
{
	return !cause.system;
}

CastCause.TOURNAMENT_SERVICE = new CastCause('TOURNAMENT_SERVICE');
CastCause.TOURNAMENT_GROTTO_SERVICE = new CastCause('TOURNAMENT_GROTTO_SERVICE');
CastCause.SERVICE = new CastCause('SERVICE');
CastCause.APPRENTICE_REWARD = new CastCause('APPRENTICE_REWARD');
CastCause.QUEST_REWARD = new CastCause('QUEST_REWARD');
CastCause.PERSONAL_EVENT = new CastCause('PERSONAL_EVENT');
CastCause.SCIENCE_LABOUR_SERVICE = new CastCause('SCIENCE_LABOUR_SERVICE');
CastCause.SCIENCE_MILITARY_SERVICE = new CastCause('SCIENCE_MILITARY_SERVICE');
CastCause.ARTIFACT = new CastCause('ARTIFACT');
CastCause.SET = new CastCause('SET');
CastCause.SPELL = new CastCause('SPELL');
CastCause.PASSIVE = new CastCause('PASSIVE');
CastCause.HALL_PASSIVE = new CastCause('HALL_PASSIVE');
CastCause.CLAN_BONUS = new CastCause('CLAN_BONUS');
CastCause.CASTLE_STANDARD = new CastCause('CASTLE_STANDARD');
CastCause.FRIENDS = new CastCause('FRIENDS');
CastCause.MAIL_EVERY_YEAR_REWARD = new CastCause('MAIL_EVERY_YEAR_REWARD');
CastCause.UNKNOWN = new CastCause('UNKNOWN');
