var GameServerType = function(name)
{
	this.name = name;
	
	this.__defineGetter__('label', function()
	{
		return I18.s("ALT_GAME_SERVER_TYPE", this.name);
	});
	
};

extendClass(GameServerType.prototype, Enum.prototype);

GameServerType.__isEnum__ = true;

GameServerType.prototype.__CLS__ = "game.service.GameServerType";

GameServerType.MILITARY         = new GameServerType("MILITARY");
GameServerType.MINER            = new GameServerType("MINER");
GameServerType.MILITARY_TEST    = new GameServerType("MILITARY_TEST");
GameServerType.MINER_TEST       = new GameServerType("MINER_TEST");
GameServerType.SURVIVAL         = new GameServerType("SURVIVAL");
GameServerType.ECONOMICAL       = new GameServerType("ECONOMICAL");
GameServerType.TACTICAL         = new GameServerType("TACTICAL");

GameServerType.NORMAL = [GameServerType.MINER, GameServerType.MILITARY, GameServerType.ECONOMICAL, GameServerType.SURVIVAL, GameServerType.TACTICAL];