var BodyPart = function(v)
{
	this.name = v;
	this._ordinal = 0;
	
	
	this.ordinal = function()
	{	
		return this._ordinal;
	}
	
	this.isHand = function()
	{
		return this == BodyPart.LEFT_HAND || this == BodyPart.RIGHT_HAND;
	}
	
	
};

extendClass(BodyPart.prototype, Enum.prototype);

BodyPart.__isEnum__ = true;

BodyPart.prototype.__CLS__ = "game.model.heroes.artifacts.BodyPart",

BodyPart.c = function(name)
{
    var res = new BodyPart(name);
    res._ordinal = BodyPart.count++;
    res._name = name;
    return res;
}

BodyPart._initialized = true;

BodyPart.count = 0;

BodyPart.HEAD =       BodyPart.c("HEAD");
BodyPart.NECK =       BodyPart.c("NECK");
BodyPart.CHEST =      BodyPart.c("CHEST");
BodyPart.WAIST =      BodyPart.c("WAIST");
BodyPart.LEGS =       BodyPart.c("LEGS");
BodyPart.FINGER =     BodyPart.c("FINGER");
BodyPart.ITEM =       BodyPart.c("ITEM");
BodyPart.LEFT_HAND =  BodyPart.c("LEFT_HAND");
BodyPart.RIGHT_HAND = BodyPart.c("RIGHT_HAND");


BodyPart.VALUES = [BodyPart.HEAD, BodyPart.NECK, BodyPart.CHEST, BodyPart.WAIST, BodyPart.LEGS, BodyPart.FINGER, BodyPart.ITEM, BodyPart.LEFT_HAND, BodyPart.RIGHT_HAND];

