function Interpolation() 
{
    this.mld = []; // ArrayCollection;
    this.d = []; // ArrayCollection;
    this.fee = ''; // String;
	this.fees = []; // ArrayCollection;
    this.charge = ''; // String;
}

Interpolation.prototype.__CLS__ = "game.config.payment.Interpolation";
Interpolation.prototype.mld = []; // ArrayCollection;
Interpolation.prototype.d = []; // ArrayCollection;
Interpolation.prototype.fee = ''; // String;
Interpolation.prototype.fees = []; // ArrayCollection;
Interpolation.prototype.charge = ''; // String;

Interpolation.prototype.calcAmountMld = function(amountReal)
{
    var x = [].concat(this.d), y = [].concat(this.mld);
    return Interpolation.interpolateLinear(x, y, amountReal);
}

Interpolation.interpolateLinear = function(x, y, valX)
{
    if (x.length != y.length) throw new Error("X.length should be equals to Y.length");
    if (x.length < 2) throw new Error("Should have at least 2 points");

    var n = x.length, i;
    for (i = 0; i < n; i++) if (x[i] > valX) break;
    if (i == n) i = n - 1;
    if (i == 0) i = 1;

    return y[i] + ((valX - x[i]) * (y[i] - y[i - 1]) / (x[i] - x[i - 1]));
}
