function UrlActionHandler()
{
}

extendClass(UrlActionHandler.prototype, PaymentActionHandler.prototype);

UrlActionHandler.DEFAULT_URL_TARGET = "_blank";

UrlActionHandler.prototype.handle = function(receiverUsername, payerAccount, payment, option, tariff, serverId, phone)
{
    var urlPattern = option && option.customUrl ? option.customUrl : payment.url;
    if (!urlPattern) return;
    var url = Payment.formatUrl(urlPattern, receiverUsername, payerAccount, serverId, option, tariff, phone);
    
    var w = window.open(url, UrlActionHandler.DEFAULT_URL_TARGET, "location=yes");
	if (w['show']) w.show();
}

UrlActionHandler.prototype.onClose = function(){}
