function UIh()
{
}

UIh.createGrid = function()
{
    var items = Array.prototype.slice.call(arguments, 0);
    var grid = document.createElement("table");
    var tbody = document.createElement("tbody");
    grid.appendChild(tbody);
    UIh.addGridLine(tbody, Arrays.antidot(items));
    return grid;
}

UIh.addGridLineWithRace = function(target, race)
{
    var items = Array.prototype.slice.call(arguments, 2);
    var row = document.createElement("tr");
    for(var i=0; i<items.length; i++)
    {
    	var gridItem = document.createElement("td");
        UIh.addItem(gridItem, items[i], race);
        row.appendChild(gridItem);
    }
    target.appendChild(row);
}

UIh.addGridLine = function(target)
{
    var items = Array.prototype.slice.call(arguments, 1);
    UIh.addGridLineWithRace(target, null, Arrays.antidot(items));
}

UIh.addItem = function(box, item, race)
{
    if (!item)
    {
    	return;
    }

    if (item instanceof HTMLElement)
    {
        box.appendChild(item);
    }
    else if (item.DOM)
    {
    	box.appendChild(item.DOM);
    }
    else if (item.__CLS__ == "game.model.Funds")
    {
        var f = COM.create("FundsBox");
        box.appendChild(f.DOM);
        if (!race)
        {
            f.update(item, FUser.CURRENT_USER.race);
        }
        else
        {
            f.update(item, race);
        }
    }
    //Stupid hack... But no other choice ...
    else if (item.indexOf && (item.indexOf(".png") >= 0 || item.indexOf(".jpg") >= 0 || item.indexOf(".gif") >= 0))
    {
        var i = document.createElement("img");
        i.src = STATIC_INTERFACE_URL + item;
        box.appendChild(i);
    }
    else if (item.__CLS__ == "game.model.heroes.artifacts.ArtifactDeclaration")
    {
        var art = new FArtifact();
        art.declaration = item;
        var artPic = ArtifactPic.create(art, []);
        box.appendChild(artPic.DOM);
    }
    else
    {
        var l = document.createElement("span");
        l.style.marginRight = (5*INTERFACE_IMAGES_PACK)+"px";
        box.appendChild(l);
        l.innerHTML = item.toString();
    }
}

UIh.createLineRaceDependent = function(race)
{
    var items = Array.prototype.slice.call(arguments, 1);
    var box = document.createElement("div");
    
    items = Arrays.antidot(items);
    
    for(var i=0; i<items.length; i++)
    {
    	UIh.addItem(box, items[i], race);
    }

    return box;
}

UIh.addLineRaceDependent = function(target, race)
{
    var items = Array.prototype.slice.call(arguments, 2);
    target.appendChild(UIh.createLineRaceDependent(race, Arrays.antidot(items)));
    return target;
}

UIh.createLine = function()
{
    var items = Array.prototype.slice.call(arguments, 0);
    return UIh.createLineRaceDependent(null, Arrays.antidot(items));
}

UIh.addLine = function(target)
{
    var items = Array.prototype.slice.call(arguments, 1);
    target.appendChild(UIh.createLine(Arrays.antidot(items)));
    return target;
}

UIh.addWarningTextLine = function(target, item)
{
    var text = document.createElement("span");
    text.innerHTML = item;
    Style.PROBLEM_INFO.applyTo(text);
    target.appendChild(UIh.createLine(text));
    return target;
}

UIh.insertLine = function(target, index)
{
    var items = Array.prototype.slice.call(arguments, 2);
    var i = target.children[index];
    if(i)
    {
    	target.insertBefore(UIh.createLine(Arrays.antidot(items)), i);
    }
    return target;
}