function BaseMediator()
{
	this._viewComponent = null;
	
	this.__defineGetter__("viewComponent", function()
	{
		return this._viewComponent;
	});
	
	this.__defineSetter__("viewComponent", function(vc)
	{
		this._viewComponent = vc;
	});
}

BaseMediator.prototype.__construct = function(viewComponent)
{
	if(!viewComponent) return;
	
	this._viewComponent = viewComponent;
	$("> wrapper > content", this.DOM).append(viewComponent.DOM); 
}

BaseMediator.prototype.stopAllTickers = function()
{
};

BaseMediator.prototype.onShow = function()
{
};

BaseMediator.prototype.onHide = function()
{
};

BaseMediator.prototype.onConnectionGain = function()
{
};

BaseMediator.prototype.forceUpdate = function()
{
};

BaseMediator.prototype.updateCurrentUserFooter = function()
{
};