function ArmyInBattle()
{
	this.army = [0, 0, 0, 0, 0, 0, 0, 0];
    this.levels = [1, 1, 1, 1, 1, 1, 1, 1];
    this.race = Race.ELF;
    this.betrayer = false;
    this.neutral = false;
    this.retreatLimit = 0;
    this.username = "";
    this.estateName = "";
    this.estateXYZ = new XYZ();
    this.titleIndex = 0;
    this.hero = null;
    this.armyFaded = false;
    this.nonHeroCasts = [];
}

ArmyInBattle.prototype.__CLS__ = "game.model.mission.ArmyInBattle";

ArmyInBattle.prototype.withoutEstateCasts = function()
{
    var hasEstateCasts = false;
    var cast;
    for(var i=0; i<this.nonHeroCasts.length; i++)
    {
        if (!this.nonHeroCasts[i].fromOwner)
        {
            hasEstateCasts = true;
        }
    }
    
    if (!hasEstateCasts)
    {
        return this;
    }
    else
    {
        var r = new ArmyInBattle();
        r.army = this.army;
        r.levels = this.levels;
        r.race = this.race;
        r.betrayer = this.betrayer;
        r.neutral = this.neutral;
        r.retreatLimit = this.retreatLimit;
        r.username = this.username;
        r.estateName = this.estateName;
        r.estateXYZ = this.estateXYZ;
        r.titleIndex = this.titleIndex;
        r.hero = this.hero;
        r.armyFaded = this.armyFaded;
        r.nonHeroCasts = [];
        
        for(var i=0; i<this.nonHeroCasts.length; i++)
	    {
	        if (this.nonHeroCasts[i].fromOwner)
	        {
	            r.nonHeroCasts.push(this.nonHeroCasts[i]);
	        }
	    }
        
        return r;
    }
}