function CalcUnitProps()
{
	callParentConstructor(CalcUnitProps.prototype, this);
	
	this.onLevelChange = function(){};
	this.onCountChange = function(){};
	
	this._editableLevels = true;
	this.__defineGetter__('editableLevels', this.getEditableLevels);
	this.__defineSetter__('editableLevels', this.setEditableLevels);
	//this.countChanged = $.proxy(this.countChanged, this);
}

extendClass(CalcUnitProps.prototype, Dialog.prototype);

CalcUnitProps.MAX_COUNT = 99999999;

CalcUnitProps.prototype._editableLevels = true;
CalcUnitProps.prototype.getEditableLevels = function(){ return this._editableLevels; }
CalcUnitProps.prototype.setEditableLevels = function(val){ UI.show(this._editableLevels = !!val, [this.unitLevelLabel, this.unitLevel]); }

CalcUnitProps.prototype.__construct = function()
{
	this.skin = "black";
	this.headerCloseBox.style.display = "none";
	
	//this.count.value = 0;
	//$(this.count).on("change", this.countChanged);
	//$(this.count).on("keyup", this.countChanged);
	
	var s = COM(this.count);
	s.min = 0;
	s.max = CalcUnitProps.MAX_COUNT;
	s.value = 0;
	
	COM.bindExclusiveClick(this.okButton, $.proxy(this.close, this));
	
	COM(this.unitLevel).onChange = $.proxy(function()
	{
		this.onLevelChange(COM(this.unitLevel).level);
	}, this);
}

CalcUnitProps.prototype.popup = function(level, count, onLevelChange, onCountChange, parent)
{
	superMethod(CalcUnitProps.prototype, "popup", this)(parent);
	
	this.header.style.display = "none";
	this.unitLevelLabel.innerHTML = I18.f('UNIT_LEVEL');
	
	if(typeof level == "undefined")
	{
		level = 1;
	}
	
	if(typeof count == "undefined")
	{
		count = 0;
	}
	
	if(level < 1)
	{
		level = 1;
	}
	
	if(level > 4)
	{
		level = 4;
	}
	
	COM(this.count).value = count;
	COM(this.unitLevel).setLevel(level);
	
	if(typeof onLevelChange != "undefined")
	{
		this.onLevelChange = onLevelChange;
		this.onCountChange = onCountChange;
	}
}

CalcUnitProps.prototype.countChanged = function()
{
	var val = COM(this.count).value*1;
	if(val < 0)
	{
		val = 0;
	}
	if(val > CalcUnitProps.MAX_COUNT)
	{
		val = CalcUnitProps.MAX_COUNT;
	}
	
	COM(this.count).value = val;
	
	this.onCountChange(val);
}