function CapacityView()
{
	this._b = null; // FBuilding;
	this._level = 0;
}

CapacityView.prototype._b = null; // FBuilding;
CapacityView.prototype._level = 0;

CapacityView.prototype.update = function(capacity, peopleCapacity)
{
    var uiFlag;
    
    uiFlag = peopleCapacity > 0;
    this.houseBox.style.display = uiFlag ? "" : "none";
    if (uiFlag)
    {
    	this.houseValue.innerHTML = peopleCapacity;
    }
    
    uiFlag = capacity > 0;
    this.warehouseBox.style.display = uiFlag ? "" : "none";
    if (uiFlag)
    {
    	this.warehouseValue.innerHTML = capacity;
    }
}

CapacityView.prototype.resolveAndUpdate = function(b, level)
{
    this._b = b;
    this._level = level;
    this.update(b.getCapacityFor(level), b.getPeopleCapacityFor(level));
}

CapacityView.prototype.onTip = function(e, forPeople) 
{
    //e.toolTip = CapacityTipFactory.create(_b, _level, forPeople);
}
