function GrailHexesView()
{
    callParentConstructor(GrailHexesView.prototype, this);
    
    this.hexesX = [415, 523, 750, 810];
    this.hexesY = [296, 368, 320, 205];
    this.indices = [0,  1,  2,  3];
}

extendClass(GrailHexesView.prototype, CellularView.prototype);

GrailHexesView.prototype.initHexes = function()
{
    superMethod(GrailHexesView.prototype, 'initHexes', this)();

    // own
    for (var i = 0; i < this.indices.length; i++)
    {
        this.indices[i] += 32;
        
        //this.hexesY[i] -= 250;
    }
    
    this.addHexes(this.hexesX, this.hexesY, this.indices);
    
    // sectors
    for (var j = 0; j < 4; j++)
    {
        this.addHexes(CityHexesView.prototype.sectorHexX[j], CityHexesView.prototype.sectorHexY[j], CityHexesView.prototype.sectorIndices[j]);
    }
}

GrailHexesView.prototype.alignHallView = function()
{
    //BuildingView(hallView).x = 560;
    //BuildingView(hallView).y = 70;
    
    superMethod(GrailHexesView.prototype, 'alignHallView', this)();

    this.hallView.x = 646;
    this.hallView.y = 174;
    this.hallView.zIndex = 1000;
}