function LakeHexesView()
{
	callParentConstructor(LakeHexesView.prototype, this);
};

extendClass(LakeHexesView.prototype, CellularView.prototype);

LakeHexesView.prototype.initHexes = function()
{
    this.addHexes(this.hexesX, this.hexesY, this.indices);
    
    for (var j = 0; j < 4; j++)
    {
        this.addHexes(CityHexesView.prototype.sectorHexX[j], CityHexesView.prototype.sectorHexY[j], CityHexesView.prototype.sectorIndices[j]);
    }
}

LakeHexesView.prototype.alignHallView = function()
{
    superMethod(LakeHexesView.prototype, 'alignHallView', this)();

    this.hallView.x = 696;
    this.hallView.y = 254;
    this.hallView.zIndex = 1000;
}

LakeHexesView.prototype.hexesX = [535, 489, 535, 581];
LakeHexesView.prototype.hexesY = [217, 257, 297, 337];
LakeHexesView.prototype.indices = [0,  1,  2,  3];

for (var i = 0; i < LakeHexesView.prototype.indices.length; i++) 
{
    LakeHexesView.prototype.indices[i] += 32;
    LakeHexesView.prototype.hexesY[i] -= 10;
}