function LootViewTip()
{
	callParentConstructor(LootViewTip.prototype, this);
}

extendClass(LootViewTip.prototype, Dialog.prototype);

LootViewTip.create = function(r, e)
{
    var t = COM.create("LootViewTip");
    t.update(r, e);
    t.skin = "black";
    t.popup();
    return t;
}

LootViewTip.prototype.update = function(resource, estate)
{
    this.setCaption(I18.getResourceName(resource));
    
	var wareLoot = NumberUtils.floor(estate.lootFromWarehouses.getValue(resource));
	if (resource.name == Resource.PEOPLE.name) 
	{
		UI.show(false, [this.warehouse, this.market, this.clanWarehouse]);
		UI.show(true, [this.houses]);
		this.housesAvailable.innerHTML = wareLoot;

		if (UI.show((estate.clasName == 'FPit') && estate.hasClanReservation(), [this.clanReservation]))
		{
			if (!UI.show(!estate.lootFromClanBuildings, [this.clanReservationLockImage])) 
			{
				UI.show(true, [this.clanReservationAvailable]);
				this.clanReservationAvailable.innerHTML = NumberUtils.floor(estate.lootFromClanBuildings.getValue(resource));
			} 
		}
	}
	else 
	{
		UI.show(false, [this.houses, this.clanReservation]);
		UI.show(true, [this.warehouse]);
		this.warehouseAvailable.innerHTML = wareLoot;

		if (UI.show(resource.name != Resource.GOLD.name && estate.hasMarket(), [this.market]))
		{
			if (!UI.show(!estate.lootFromMarket, [this.marketLockImage])) 
			{
				UI.show(true, [this.marketAvailable]);
				this.marketAvailable.innerHTML = NumberUtils.floor(estate.lootFromMarket.getValue(resource));
			} 
		}
		
		if (UI.show((estate.className == 'FPit') && estate.hasClanWarehouse(), [this.clanWarehouse]))
		{
			if (!UI.show(!estate.lootFromClanBuildings, [this.clanWarehouseLockImage])) 
			{
				UI.show(true, [this.clanWarehouseAvailable]);
				this.clanWarehouseAvailable.innerHTML = NumberUtils.floor(estate.lootFromClanBuildings.getValue(resource));
			} 
		}
	}
	
	this.ratingDiscountLabel.innerHTML = estate.className == 'FRuin' ? I18.f('RUIN_NAME') + ':' : I18.f('LOOT_RATINGS_DISCOUNT');
	this.ratingDiscountValue.innerHTML = Strings.formatPercent(estate.lootDiscount);
}