function MineHexesView()
{
	callParentConstructor(MineHexesView.prototype, this);
};

extendClass(MineHexesView.prototype, OuterEstateHexesView.prototype);

MineHexesView.prototype.update = function(estate, forceUpdate)
{
    superMethod(MineHexesView, "update", this)(estate, forceUpdate);
    
    var c = this.getHallViewCoords();
    this.hallView.x = c.x;
    this.hallView.y = c.y;
    this.hallView.zIndex = 1000;
}

MineHexesView.prototype.getHallViewCoords = function()
{
	var x=0, y=0;
	
	if(this.estate && this.estate.resource)
	{
		switch(this.estate.resource.name)
	    {
	    	case "GOLD":
	    		x = 693;
	    		y = 358;
	    		break;
	    	case "STONE":
	    		x = 681;
	    		y = 326;
	    		break;
	    	case "IRON":
	    		x = 670;
	    		y = 385;
	    		break;
	    }
  	}
  	
  	y += 17;
  	
    return {x: x, y: y};
}

MineHexesView.prototype.initHexes = function()
{
    superMethod(MineHexesView, "initHexes", this)();
    
    for (var j = 0; j < 4; j++)
    {
        this.addHexes([370], [205], [0]);
    }
}

MineHexesView.prototype.alignHallView = function()
{
    superMethod(this, 'alignHallView')();
    
    var c = this.getHallViewCoords();
    this.hallView.x = c.x;
    this.hallView.y = c.y;
    this.hallView.zIndex = 1000;
}
