function ProlongateLifetimeDialog()
{
	callParentConstructor(ProlongateLifetimeDialog.prototype, this);
}

extendClass(ProlongateLifetimeDialog.prototype, UpdatableEstateDialog.prototype);

ProlongateLifetimeDialog.prototype.__construct = function()
{
	this.animatedPopup = true;
	this.shaderOpacity = 0.5;
	
	COM.bindExclusiveClick(this.okButton, $.proxy(this.onFinish, this));
}

ProlongateLifetimeDialog.prototype.popup = function(parent, e)
{
    this.estate = e;
    this.init();
    superMethod(this, 'popup')(parent);
}

ProlongateLifetimeDialog.prototype.tick = function()
{
    COM(this.okButton).enabled = this.estate.accessManageble && this.estate.prolongationOfferCost <= FUser.CURRENT_USER.pearl;
}

ProlongateLifetimeDialog.prototype.init = function()
{
    $(this.description).html(I18.getMegaString("YOU_CAN_PROLONGATE_LIFETIME", [this.estate.prolongationOffer]));
    COM(this.priceLabel).update(this.estate.prolongationOfferCost, this.estate.accessManageble);
    this.tick();
}

ProlongateLifetimeDialog.prototype.onFinish = function()
{
    Service.city.callMethod('prolongate', [this.estate.id]);
    this.close();
}
