function AdvisorInfoDialog()
{
	callParentConstructor(AdvisorInfoDialog.prototype, this);
}

extendClass(AdvisorInfoDialog.prototype, Dialog.prototype);

AdvisorInfoDialog.create = function(info, race)
{
    var me = COM.create("AdvisorInfoDialog");
	me.init(info, race);
    return me;
}

AdvisorInfoDialog.createRich = function(info, asset)
{
	var me = COM.create("AdvisorInfoDialog");
    me.text.appendChild(info);
    me.advisor.src = STATIC_INTERFACE_URL + asset;
    return me;
}

AdvisorInfoDialog.prototype.init = function(info, race)
{
    this.text.innerHTML = info;
    race = race.name == Race.CASTLE_MONSTER.name ? FUser.CURRENT_USER.race : race;
    this.advisor.src = STATIC_INTERFACE_URL + Assets.getAdvisor(race);
	
	var scroll = new iScroll(this.contentWrapper, {});
	setTimeout($.proxy(scroll.refresh, scroll), 1000);
}

AdvisorInfoDialog.prototype.onShow = function()
{
}