function ResourceReducer(r)
{
	this.resource = r;
}

extendClass(ResourceReducer.prototype, AbstractReducer.prototype);

ResourceReducer.prototype.resource = null;

ResourceReducer.prototype.getVanishPerTick = function(c, overflow)
{
    var rest = 1 + c.resourceDrainReduction;
    if (rest < 0) 
    {
        return 0;
    }
    return overflow * FConfig.DERELICT_RESOURCES_CORRUPTION_RATE * rest / Tick.TICKS_PER_HOUR;
}

ResourceReducer.prototype.getOverflow = function(c)
{
    return c.bank.getValue(this.resource) - c.capacity.getValue(this.resource);
}

ResourceReducer.prototype.reduce = function(c, toVanish)
{
    c.bank.subtractResource(this.resource, toVanish);
}
