function CapacitorComponent()
{
}

CapacitorComponent.prototype.__construct = function()
{
}

CapacitorComponent.prototype.updateForWarehouses = function(b)
{
	$(this.DOM).removeClass('negative');
	if (b.isWarehouseDoesntWork()) 
	{
    	this.DOM.innerHTML = I18.f('GATE_IS_CLOSED'); //bug: warehouse may be broken
    	$(this.DOM).addClass('negative');
	} 
	else 
	{
    	var i = b.type.isHouses() ? 'PEOPLE_CAPACITY' : 'RESOURCE_CAPACITY';
    	this.DOM.innerHTML = i.f(i) + " " + (b.type.isHouses() ? b.getPeopleCapacity() : b.getCapacity());
	}
	this.hideIfBroken(b);
}

CapacitorComponent.prototype.updateForClanBuildings = function(b)
{
	var i = b.type.isClanReservation() ? 'CLAN_PEOPLE_CAPACITY' : 'CLAN_RESOURCE_CAPACITY';
	this.DOM.innerHTML = i.f(i) + " " + I18.f('CURRENT_MAX', b.resources.sum(), (b.type.isClanReservation() ? b.getPeopleCapacity() : b.getCapacity()));
	this.hideIfBroken(b);
}

CapacitorComponent.prototype.updateForMarket = function(b)
{
	this.DOM.innerHTML = I18.f('CAPACITY', b.resources.sum(), b.getCapacity());
	this.hideIfBroken(b);
}

CapacitorComponent.prototype.updateForArtifactStore = function(b)
{
	this.DOM.innerHTML = I18.f('MAGIC_ITEMS_COUNT', b.storedArtifactsCount, b.getCapacity());
	this.hideIfBroken(b);
}

CapacitorComponent.prototype.updateForPrison = function(b)
{
	this.DOM.innerHTML = I18.PRISONERS_COUNT.f(b.heroesToHire.length, b.getCapacity());
	hideIfBroken(b);
}

CapacitorComponent.prototype.hideIfBroken = function(b)
{
	UI.show(b.isConstructed && !b.isBroken, [this.DOM]);
}