var ManageAlchemist = function()
{
	callParentConstructor(ManageAlchemist.prototype, this);
}

extendClass(ManageAlchemist.prototype, ManageDialogChild.prototype);

ManageAlchemist.prototype.__construct = function()
{
	var magic = COM.create('BoostAlchemistsIcon');
	this.btnSpecial = magic.DOM;
	COM.bindExclusiveClick(this.knowledgeView, $.proxy(this.onKnowledgeTip, this))
}

ManageAlchemist.prototype.tick = function()
{
	var b = this.cell.building;
	
	COM(this.knowledgeView).value = b.getScienceProductionPerHour(this.workers);
	COM(COM(this.knowledgeView).speed).styleFunds(b.hasSpeedProblems(this.workers));
	
	UI.show(this.estate.accessManageble, [this.btnSpecial]);
	COM(this.btnSpecial).update(this.estate);
	COM(this.showScience).update(this.estate.science, this.estate);
}

ManageAlchemist.prototype.onKnowledgeTip = function()
{
    superMethod(this, 'showSummaryTip')();
	var tip = ManageTipAlchemist.create(this.estate, this.cellIndex, this.workers);
    this.summaryTipDialog.addTip(tip, '');
}
