function ManageTipAlchemist()
{
}

extendClass(ManageTipAlchemist.prototype, ManageTip.prototype);

ManageTipAlchemist.create = function(estate, cellIndex, workersCount)
{
	var t = COM.create('ManageTipAlchemist');
	UI.show(false, [t.baseSpeedPerHour]);
	UI.show(true, [t.knowledgeView]);
	t.update(estate, cellIndex, workersCount);
	return t;
}

ManageTipAlchemist.prototype.isShouldShowBonus = function(b)
{
	return b.estate.science.isScienceInProgress();
}

ManageTipAlchemist.prototype.getTextInfo = function(b)
{
	if (!b.estate.science.isScienceInProgress()) 
	{
		return I18.f('SCIENCE_NOT_CHOSEN');
	}
	return superMethod(ManageTipAlchemist.prototype, 'getTextInfo', this)(b);
}

ManageTipAlchemist.prototype.updateSpeed = function(b)
{
	var speed = 0;
	var inProgress = b.estate.science.isScienceInProgress();
	COM(COM(this.knowledgeView).speed).styleFunds(!inProgress);
	if (inProgress) 
	{
		speed = b.getLevel().knowledgeProduction;
	}
	COM(this.knowledgeView).value = speed;
}
