function ResourceChooserDialog()
{
	callParentConstructor(ResourceChooserDialog.prototype, this);
}

extendClass(ResourceChooserDialog.prototype, Dialog.prototype);

ResourceChooserDialog.prototype.__construct = function()
{
	superMethod(this, '__construct')();
	
	COM.bindExclusiveClick(this.okButton, $.proxy(this.onOkClick, this));
}

ResourceChooserDialog.prototype.onSelected = function (funds){}

ResourceChooserDialog.create = function(title, race, resourceToShow, available, onSelect)
{
    var dialog = COM.create('ResourceChooserDialog'); // Function
    dialog.popup();
    dialog.onSelected = onSelect;
    //dialog.setCaption(I18.f('DISTRIBUTE_CLAN_RESOURCES'));
    dialog.titleLabel.innerHTML = title;
    
    COM(dialog.resourceChooser).update(race, resourceToShow, available);
    COM(dialog.resourceChooser).value = available;
    
    COM(dialog.resources).alwaysShow = resourceToShow;
    COM(dialog.resources).update(available, race);
    
    return dialog;
}

ResourceChooserDialog.prototype.onOkClick = function()
{
    this.onSelected(COM(this.resourceChooser).value);
    this.close();
}

ResourceChooserDialog.prototype.onChange = function()
{
    COM(this.okButton).enabled = !COM(this.resourceChooser).value.isEmpty();
}