function BrotherhoodOrderReward()
{
	this.onGetReward = null;
	this.artifact = null;
}

BrotherhoodOrderReward.prototype.__construct = function()
{
	this.getReward = $.proxy(this.getReward, this);
}

BrotherhoodOrderReward.prototype.getReward = function()
{
	if (typeof this.onGetReward == 'function')
	{
		this.onGetReward(this.artifact);
		COM(this.rewardPic).closeTip();
	}
}

BrotherhoodOrderReward.prototype.update = function(artifact)
{
    this.artifact = artifact;

    COM(this.rewardPic).actions = {right: [{
    	caption: I18.f('GET_REWARD'),
    	skin: 'green',
    	onclick: this.getReward,
    	context: this,
    }]};
    COM(this.rewardPic).update(artifact);

    this.nameLabel.innerHTML = Texts.artifactName(artifact.declaration);
}