function CastleContributionsItem()
{
	callParentConstructor(this);
	
	this.__defineGetter__('member', this.getData);
	this.__defineSetter__('member', this.setData);
}
extendClass(CastleContributionsItem.prototype, ScrollableListItem.prototype);

CastleContributionsItem.prototype.__construct = function(){};

CastleContributionsItem.prototype.refresh = function()
{
    if (!this.member) return;
    
    this.memberName.innerHTML = this.member.user.username;
    
    UI.show(this.member.role, [this.memberIcon]);
    if (this.member.role) 
    {
    	this.memberIcon.src = STATIC_INTERFACE_URL + CommonAssets.getClanRoleIcon(this.member.role);
    	this.memberIcon.title = this.member.role.toString();
    }
    COM(this.starsView).titleIndex = this.member.user.titleIndex;
    
    COM(this.warPoints).value = I18.formatNumber(this.member.earnedWarPoints);
    COM(this.peacePoints).value = I18.formatNumber(this.member.earnedPeacePoints);
    COM(this.donatedGold).value = this.member.castlesDonatedFunds.gold;
    COM(this.donatedWood).value = this.member.castlesDonatedFunds.wood;
    COM(this.donatedStone).value = this.member.castlesDonatedFunds.stone;
    COM(this.donatedGrain).value = this.member.castlesDonatedFunds.grain;
    COM(this.donatedIron).value = this.member.castlesDonatedFunds.iron;
    COM(this.donatedPeople).value = this.member.castlesDonatedFunds.people;
    COM(this.donatedPeople).source = STATIC_INTERFACE_URL + Assets.getAllPeopleIcon(FUser.CURRENT_USER.race);
    COM(this.donatedPearl).value = this.member.castlesDonatedPearl;
    
};
