function HeroPrisonInfo()
{
	this.race = null; // Race
	this.hero = null; // FHero
	this.estateId = null; // EstateId
	
	this._onReleaseClicked = null;
	this.__defineGetter__('onReleaseClicked', function()
	{
		return this._onReleaseClicked;
	});
	this.__defineSetter__('onReleaseClicked', function(f)
	{
		this._onReleaseClicked = f;
		UI.show((typeof this._onReleaseClicked == 'function'), [this.releaseButton]);
	})
}

HeroPrisonInfo.prototype.race = null; // Race
HeroPrisonInfo.prototype.hero = null; // FHero
HeroPrisonInfo.prototype.estateId = null; // EstateId

HeroPrisonInfo.prototype.__construct = function()
{
	COM.bindExclusiveClick(this.releaseButton, $.proxy(function(){
		if (typeof this._onReleaseClicked == 'function') this._onReleaseClicked(this.hero);
	}, this));
}

HeroPrisonInfo.prototype.init = function(event)
{
    if (this.hero) 
    {
        this.update(this.hero, this.race, this.estateId);
    }
}

HeroPrisonInfo.prototype.update = function(hero, race, estateId)
{
    this.hero = hero;
    this.race = race;
    this.estateId = estateId;
    COM(this.heroView).update(hero, race);
    this.nameLabel.innerHTML = hero.name;
    this.descLabel.innerHTML = I18.f('HERO_DESCRIPTION', I18.getHeroClassName(hero.heroClass), hero.level);
    this.ownerLabel.innerHTML = FUser.getUserNameForMessages(hero.owner);
    
    UI.show(Boolean(hero.owner), [this.neutralLabel, this.ownerLabel]);
    var cost = hero.heroLevel.redemptionCost.
    	multiplyCopy(1 - FConfig.HEROES_REDEMPTION_TAX).
        multiplyCopy(1 + hero.prisonCostBonus)
    ;
    COM(this.redemptionCost).update(cost, race);
}

HeroPrisonInfo.prototype.sendMessage = function()
{
    if (FUser.isMonster(hero.owner)) 
    {
        //MailBoxView.sendMessageToMonsters(this.estateId);
    } 
    else 
    {
        //MailBoxView.sendMessage(this.ownerLabel.html());
    }
}

HeroPrisonInfo.prototype.onCostTip = function(r)
{
    //return new PrisonHeroCostTip(this.hero, r, true);
}
