function HeroProgress()
{
	this.displayAsXP = false; // Boolean
}

HeroProgress.prototype.__construct = function()
{
	if (this.DOM.hasAttribute('skin'))
	{
		$(this.DOM).addClass(this.DOM.getAttribute('skin'));
	}
	this.displayAsXP = this.DOM.hasAttribute('displayAsXP') && this.DOM.getAttribute('displayAsXP') == 'true';
	
	$(this.DOM).on(CLICK_EVENT, $.proxy(this.showTooltip, this));
}

HeroProgress.prototype.displayAsXP = false; // Boolean
HeroProgress.prototype.toolTip = null;

HeroProgress.prototype.update = function(current, maximum)
{
    var k = 1;
    if (UI.show(!isNaN(current), [this.label1, this.label2]))
    {
	    this.slash.innerHTML = "/";
	    this.label1.innerHTML = current;
	    this.label2.innerHTML = maximum;
	    k = current / maximum;
    }
    else
    {
    	if (UI.show(!!current, [this.slash]))
    	{
    		this.slash.innerHTML = current;
    	}
    }
    this.track.style.width = Math.max(0, Math.min(100, Math.round(k * 100))) + '%';
}

HeroProgress.prototype.showTooltip = function()
{
	if (!this.toolTip) return false;
	Alert.create(this.toolTip);
}