var ManageTavern = function()
{
	callParentConstructor(ManageTavern.prototype, this);
}

extendClass(ManageTavern.prototype, ManageDialogChild.prototype);

ManageTavern.prototype.__construct = function()
{
	COM.bindExclusiveClick(this.inviteButton, $.proxy(this.inviteHeroes, this));
	
	COM.bindExclusiveClick(this.news, $.proxy(function()
	{
		NewsDialog.create();
		FUser.CURRENT_USER.settings.newsLastClickTick.int52 = Tick.now();
		//NewsDialog.popup(this);
	}, this));
} 

ManageTavern.prototype.onShow = function()
{
	Dialog.find(this).headerLeftBox.appendChild(this.obtainPearl);
	Dialog.find(this).headerLeftBox.appendChild(this.news);
	
	var heroes = [COM(this.leftHero), COM(this.rightHero)];
	for (var i = 0, len = heroes.length; i < len; i++)
	{
		heroes[i].race = this.building.race;
	}
}

ManageTavern.prototype.update = function(estate) 
{
    if (this.cell.building.isWorking) 
    {
        toHire = this.cell.building.heroesToHire;
        COM(this.leftHero).update(estate, toHire[0]);
        COM(this.rightHero).update(estate, toHire[1]);
        this.enabled = true;
    } 
    else 
    {
        COM(this.leftHero).clear();
        COM(this.rightHero).clear();
        this.enabled = false;
    }
    
    UI.show(estate.accessManageble, [this.inviteBox]);
    COM(this.invitePrice).update(FConfig.HERO_INVITE_COST);
    COM(this.inviteButton).reason = FUser.CURRENT_USER.pearl >= FConfig.HERO_INVITE_COST ? null : I18.f('NOT_ENOUGH_PEARL');
    
    var uiFlag = this.cell.building.isWorking;
    UI.show(uiFlag, [this.news]);
    if (uiFlag && FUser.CURRENT_USER.blinkNews())
    {
        COM(this.news).skin = 'green';
    }
    else
    {
        COM(this.news).skin = 'yellow';
    }
    
    COM(this.obtainPearl).caption = Math.floor(FUser.CURRENT_USER.pearl);
}

ManageTavern.prototype.inviteHeroes = function() 
{
	COM(this.leftHero).clear();
	COM(this.rightHero).clear();
	
	this.selectedHero = null;
    
    Service.hero.callMethod('inviteHeroes', [this.estate.id]);
}
