function MarketBuyItem()
{
	callParentConstructor(MarketBuyItem.prototype, this);
}

extendClass(MarketBuyItem.prototype, ScrollableListItem.prototype);

MarketBuyItem.prototype.__construct = function()
{
	superMethod(MarketBuyItem.prototype, '__construct', this)();
	
	COM.bindExclusiveClick(this.vendorButton, $.proxy(this.sendMessage, this));
}

MarketBuyItem.prototype.refresh = function()
{
	if (!this.data) return this.clear();
	
	this.resourceImage.src = STATIC_INTERFACE_URL + Assets.ICON_findBy(this.data.resource);
	this.resourceImage.title = this.data.resource.name;
	$(this.count).html(this.data.amount);
	$(this.price).html(this.data.price);
	$(this.total).html(this.data.totalPrice);
	$(this.time).html(Tick.toTimeLeft(this.data.shipTime));
	
	COM(this.vendorButton).caption = this.data.username;
}

MarketBuyItem.prototype.sendMessage = function(e)
{
    if (!this.data) return;
    MailBoxView.i().sendMessage(this.data.username);
    e.stopImmediatePropagation();
    return false;
}
