function MarketSellList()
{
	callParentConstructor(MarketSellList.prototype, this);
}

extendClass(MarketSellList.prototype, ScrollableList.prototype);

MarketSellList.prototype.rendererClass = 'MarketSellItem';

MarketSellList.prototype.__construct = function()
{
	superMethod(MarketSellList.prototype, '__construct', this)();
	
	this.setHeader([
		I18.f('RESOURCE'),
		I18.f('COUNT_SHORT'),
		I18.f('PRICE_SHORT'),
		'<img src="' + STATIC_INTERFACE_URL + Assets.ICON_findBy(Resource.GOLD) + '" />' + I18.f('TOTAL_PRICE'),
	]);
	
	this.visibleItems = 0; // no auto resize, list must be resized on fitLayout	
}

MarketSellList.prototype.createRenderer = function()
{
	var args = Array.prototype.slice.call(arguments, 0);
	var item = superMethod(MarketSellList.prototype, 'createRenderer', this).apply(this, args);
	return item;
}

