function MarketTabParent()
{
	callParentConstructor(MarketTabParent.prototype, this);
	
	this.estate = null;
	this.fmarket = null;
}

extendClass(MarketTabParent.prototype, Dialog.prototype);

MarketTabParent.prototype.estate = null;
MarketTabParent.prototype.fmarket = null;

MarketTabParent.create = function(parentDialog, cls, estate)
{
	var tab = COM.create(cls);
	tab.estate = estate;
	return tab.popup(parentDialog);
}

MarketTabParent.prototype.__construct = function()
{
	superMethod(MarketTabParent.prototype, '__construct', this)();
}

MarketTabParent.prototype.popup = function()
{
	var reason = this.hasReason();
	if (reason)
	{
		Alert.create(reason);
		//APP.getCurrentMediator().DOM.style.display = ""; // restore full screen
		return null;
	}
	
	this.fullScreen();
	
	var args = Array.prototype.slice.call(arguments, 0);
	return superMethod(MarketTabParent.prototype, 'popup', this).apply(this, args);
}

MarketTabParent.prototype.onShow = function()
{
	if(this.items) this.items.style.height = this.content.offsetHeight+"px";
}

MarketTabParent.prototype.hasReason = function()
{
	return false;
}

MarketTabParent.prototype.reset = function()
{
	this.fmarket = new FMarket();
}

MarketTabParent.prototype.updateMarket = function(m)
{
    if (!this.updateInvoked) 
    {
        this.updateInvoked = true;
    }
    this.fmarket = m;
    Events.onFEstateUpdated.fire(m.city);
}

MarketTabParent.prototype.update = function(estate) 
{
    this.estate = estate;
    this.tick();
}

MarketTabParent.prototype.tick = function()
{
}
