function DisplayMentorRewardDialog()
{
	callParentConstructor(DisplayMentorRewardDialog.prototype, this);
	this.quest = null; // FApprenticeQuest
	this.onChooseReward = null; // Function
}

extendClass(DisplayMentorRewardDialog.prototype, Dialog.prototype);

DisplayMentorRewardDialog.prototype.__construct = function()
{
	superMethod(DisplayMentorRewardDialog.prototype, '__construct', this)();
	COM.bindExclusiveClick(this.getButton, $.proxy(this.getButtonClick, this));
	
	this.scroll = new iScroll(this.rewardBox.parentNode, {});
}

DisplayMentorRewardDialog.prototype.quest = null; // FApprenticeQuest
DisplayMentorRewardDialog.prototype.onChooseReward = null; // Function

DisplayMentorRewardDialog.prototype.update = function(q)
{
    this.quest = q;
    EffectsView.createDescriptiveView(this.rewardBox, this.quest.mentorRewards, true, true, false, false);
    setTimeout($.proxy(this.scroll.refresh, this.scroll), 300);
}

DisplayMentorRewardDialog.prototype.getButtonClick = function()
{
    var d = COM.create('GetMentorRewardDialog');
    d.quest = this.quest;
    d.onChoose = this.onChooseReward;
    
    this.close();
    d.popup();
}