function BWhereMask()
{

}

BWhereMask.prototype =
{
	isSuccess : function(cellIndex, estate)
	{
		for (var i = 0; i < this.mask.length; i++)
		{
			if (this.mask[i].isSuccess(cellIndex, estate))
				return true;
		}

		return false;
	},

	toString : function()
	{
		var whereText = "";
		var separator = ", ";
		var added = 0;
		var bWhere;

		for (var i = 0; i < this.mask.length; i++)
		{
			bWhere = this.mask[i];
            
            if (bWhere.name == BWhere.GRAIL.name && !FConfig.GRAIL_ENABLED)
            {
                continue;
            }
            
			if (bWhere.name == BWhere.CASTLE.name && !FConfig.CASTLES_ENABLED)
			{
				continue;
			}
			if ((bWhere.name == BWhere.LAKE.name || bWhere.name == BWhere.GRAIL.name) && FConfig.IS_SURVIVAL)
			{
				continue;
			}
			if (added > 0)
			{
				whereText += separator;
			}
			whereText += I18.getBWhereIn(bWhere.name);
			added++;
		}

		return I18.f("BUILDING_CONSTRAINT", whereText);
	}
}