function ClanRole(name, canInvite)
{
	if ((typeof name == 'object') && (typeof name['name'] != 'undefined'))
	{
		name = name.name;
	}
	
	this.__defineGetter__('displayName', function(){
		
		return I18.f("CLAN_ROLE_" + this.name);
		
	});
	
	this.name = name;
	this.canInviteAndExpel = canInvite;
}

extendClass(ClanRole.prototype, Enum.prototype);

ClanRole.prototype.__CLS__ = "game.model.clan.ClanRole";

ClanRole.__isEnum__ = true;

ClanRole.LEADER = new ClanRole("LEADER", true);
ClanRole.TREASURER = new ClanRole("TREASURER", true);
ClanRole.WARMINISTER = new ClanRole("WARMINISTER", true);
ClanRole.VALUES = [ClanRole.LEADER, ClanRole.WARMINISTER, ClanRole.TREASURER];

ClanRole.prototype.canInviteAndExpel = false;
ClanRole.prototype.toString = function(){ return this.displayName; }
