function FCamp()
{
	callParentConstructor(FCamp.prototype, this);
	
	this.__defineGetter__('setUpTicksLeft', function()
	{
		return this.setUpTill - this.responseTick;
	});
	
	this.__defineGetter__('isSettingUp', function()
	{
		return this.setUpTicksLeft > 0;
	});
};

extendClass(FCamp.prototype, FOuterEstate.prototype);

$.extend(FCamp.prototype,
{
	__className__ : "FCamp",

	setUpTill : null,

	isCellReachable : function(cellIndex)
	{
		return this.isOnSector(cellIndex) ? this.isSectorsScienceLearned() : true;
	},

	isOnSector : function(cellIndex)
	{
		return cellIndex < this.CELLS_ON_SECTORS;
	},

	canManageOnSectors : function()
	{
		return false;
	},

	getVisualNumber : function(cellIndex)
	{
		if (this.isOnSector(cellIndex))
			return cellIndex % this.CELLS_PER_SECTOR + 1;
		return superMethod(FCamp, "getVisualNumber", this)(this.getIndexWithoutSectors(cellIndex));
	},

	getMaxCellIndex : function()
	{
		return this.cells.length + this.CELLS_ON_SECTORS;
	},

	getMaxCellIndex : function()
	{
		return this.cells.length + this.CELLS_ON_SECTORS;
	},

	getEstateType : function()
	{
		return EstateType.CAMP;
	}
});
