function FCatapult()
{
	callParentConstructor(FCatapult.prototype, this);
	this.setUpTill = 0;
	this.siegeStarted = false;
	this.targetLocation = null; // XYZ
	this.targetBuilding = null; // BType;
	this.rechargingTill = 0;
	
	this.__defineGetter__('setUpTicksLeft', function(){
		return this.setUpTill - this.responseTick;
	});
	
	this.__defineGetter__('isSettingUp', function(){
		return this.setUpTicksLeft > 0;
	});
	
	this.__defineGetter__('rechargingLeft', function(){
		return this.rechargingTill - this.responseTick;
	});
	
	this.__defineGetter__('isRecharging', function(){
		return this.rechargingLeft > 0;
	});
};

extendClass(FCatapult.prototype, FOuterEstate.prototype);

FCatapult.prototype.__className__ = 'FCatapult';

FCatapult.prototype.setUpTill = 0;
FCatapult.prototype.siegeStarted = false;
FCatapult.prototype.targetLocation = null; // XYZ
FCatapult.prototype.targetBuilding = null; // BType;
FCatapult.prototype.rechargingTill = 0;

FCatapult.prototype.getEstateType = function()
{
	return EstateType.CATAPULT;
};

FCatapult.hasPermissionsToManage = function(user, estate)
{
    return FUser.isClanUser(estate.owner.username)
		&& user.isClanMate(estate.owner.username)
		&& (user.hasClanRole(ClanRole.LEADER) || user.hasClanRole(ClanRole.WARMINISTER))
	;
}
