function FCellular()
{
};

$.extend(FCellular.prototype,
{
	cells : [],

	getVisualNumber : function(cellIndex)
	{
		return cellIndex + 1;
	},

	getCellLocationText : function(cellIndex)
	{
		return I18.f("CELL_POSITION_CITY", this.getVisualNumber(cellIndex));
	},

	getCellByIndex : function(cellIndex)
	{
		if (cellIndex < 0 || cellIndex >= this.cells.length)
		{
			console.error("Invalid cell index %s from %s", cellIndex, this.cells.length);
		}
		return this.cells[cellIndex];
	},

	getMaxCellIndex : function()
	{
		return this.cells.length;
	}
});

FCellular.prototype.__construct = function()
{
	this._name = htmlEscape(this._name);
}