function FEstateInfo()
{
};

FEstateInfo.prototype.__construct = function()
{
	this.name = htmlEscape(this.name);
}

FEstateInfo.prototype.toString = function()
{
	/*
	if(!this.estateType)
	{
		return this.location.toString();
	}
	*/
	return I18.formatEstateName(this.getName(), this.location);
}

FEstateInfo.prototype.getName = function()
{
	if(!this.estateType)
	{
		//return I18.getEstateTypeName(this.estateType);
		return "";
	}
	
	switch (this.estateType.name)
	{
		case EstateType.CITY.name:
			return this.isDefaultName ? I18.f("CITY_DEFAULT_NAME") : this.name;
		case EstateType.MINE.name:
			return I18.getMineName(this.resource.name);
		case "NULL" :
			return "";
		default:
			return I18.getEstateTypeName(this.estateType);
	}
}

FEstateInfo.prototype.getEstateIcon = function()
{
	if(!this.estateType)
	{
		return Assets.ICON_FAKE_CITY;
	}
	
	switch (this.estateType.name)
	{
		case EstateType.CITY.name:
			return this.isCapital ? Assets.ICON_CAPITAL : Assets.ICON_CITY;
		case EstateType.PIT.name:
			return Assets.ICON_PIT;
		case EstateType.MINE.name:
			return Assets.getMineIcon(this.resource);
		case EstateType.LAKE.name:
			return Assets.ICON_LAKE;
		case EstateType.CAMP.name:
			return Assets.ICON_CAMP;
		case EstateType.GROTTO.name:
			return Assets.ICON_GROTTO;
		case EstateType.CASTLE.name:
			return Assets.ICON_CASTLE;
		case EstateType.CATAPULT.name:
			return Assets.ICON_CASTLE;
		case EstateType.GRAIL.name:
	       return Assets.ICON_GRAIL;
		default:
			return Assets.ICON_FAKE_CITY;
	}
}

FEstateInfo.prototype.canHaveScience = function()
{
	return this.estateType.name == EstateType.CITY.name || this.estateType.name == EstateType.LAKE.name || this.estateType.name == EstateType.GRAIL.name;
}