function FQuestion()
{
	this.id = 0; // Number
	this.type = null; // QuestionType
	this.params = null; // FMap
	this.options = null; // ArrayCollection
	this.invalidOptions = null; // ArrayCollection
	this.displayType = null; // DisplayType
	this.owner = null; // FClanMember
	this.tillTick = 0; // Number
	this.vote = 0; // int
}

FQuestion.prototype.id = 0; // Number
FQuestion.prototype.type = null; // QuestionType
FQuestion.prototype.params = null; // FMap
FQuestion.prototype.options = null; // ArrayCollection
FQuestion.prototype.invalidOptions = null; // ArrayCollection
FQuestion.prototype.displayType = null; // DisplayType
FQuestion.prototype.owner = null; // FClanMember
FQuestion.prototype.tillTick = 0; // Number
FQuestion.prototype.vote = 0; // int

FQuestion.prototype.compareTo = function(other)
{
    return this.id - other.id;
}

FQuestion.prototype.getSubject = function()
{
    return I18.getMegaString("QUESTION_" + this.type.name + "_SUBJECT", this.params)
}

FQuestion.prototype.getBody = function()
{
	return I18.getMegaString("QUESTION_" + this.type.name + "_BODY", this.params)
}

FQuestion.prototype.notVoted = function()
{
        return this.vote == -1;
}
