function BoostExpeditorsIcon()
{
	callParentConstructor(BoostExpeditorsIcon.prototype, this);
}

extendClass(BoostExpeditorsIcon.prototype, BoostPeriodicalIcon.prototype);

BoostExpeditorsIcon.prototype.__construct = function()
{
	superMethod(BoostExpeditorsIcon.prototype, '__construct', this)();
}

BoostExpeditorsIcon.prototype.updateData = function()
{
    this.icon = STATIC_INTERFACE_URL + Assets.MAGIC_SPECIAL_MISSION;
    this.btype = BType.EXPEDITION;
    this.abilityToolTip = I18.f("BOOST_EXPEDITORS");
    this.description1 = I18.f("BOOST_EXPEDITORS");
    this.DOM.title = I18.f("BOOST_EXPEDITORS");
    var decl = ServiceHelper.getGloabalServiceDecl(BType.EXPEDITION.name, 0);
    this.duration = decl.duration;
    this.effect = Strings.formatPercent(decl.getValue() * 100);
    this.price = decl.price;
}
