function BoostPeriodicalIcon()
{
	callParentConstructor(BoostPeriodicalIcon.prototype, this);
	
	this.user = null;
	
	this.onUserUpdated = function(u)
	{
	};
	
	this.btype = null;
    this.description1 = "";
    this.description2 = "";
    this.duration = "";
    this.effect = "";
    this.price = 0;
    this.estate = null;

    this.magicDialog = null;
    
    this.onBuy = $.proxy(this.onBuy, this);
}

extendClass(BoostPeriodicalIcon.prototype, MagicIcon.prototype);

BoostPeriodicalIcon.prototype.__construct = function()
{
	superMethod(BoostPeriodicalIcon.prototype, '__construct', this)();
	COM.bindExclusiveClick(this.DOM, $.proxy(this.clickHandler, this));
}

BoostPeriodicalIcon.prototype.update = function(e)
{
    //if (!this.estate || e.responseTick > this.estate.responseTick)
    //{
        this.updateData();
        this.estate = e;
        this.activate(this.estate.getMagicActiveTick(this.btype));
        if (this.magicDialog)
        {
            this.magicDialog.update(this.estate);
        }
    //}
}

BoostPeriodicalIcon.prototype.onBuy = function()
{
    ServiceHelper.orderGlobalService(this.btype.name, 0, null, this.estate.id, $.proxy(function(c)
    {
        if (c)
        {
            this.update(c);
        }
    }, this));
}

BoostPeriodicalIcon.prototype.updateMagicDialog = function()
{
    this.magicDialog.update(this.estate);
}

BoostPeriodicalIcon.prototype.popupDialog = function()
{
    if (!this.magicDialog)
    {
        this.magicDialog = COM.create("BasePeriodicMagicDialog");
    }
    
    this.magicDialog.btype = this.btype;
    this.magicDialog.bonusDescriptionLine1 = this.description1;
    this.magicDialog.bonusDescriptionLine2 = this.description2;
    this.magicDialog.bonusDuration = this.duration;
    this.magicDialog.bonusEffect = this.effect;
    this.magicDialog.bonusPrice = this.price;
    this.magicDialog.boostMethod = this.onBuy;
    this.magicDialog.onClose = $.proxy(this.killDialog, this);
    this.magicDialog.popup(this);
    this.updateMagicDialog();
}

BoostPeriodicalIcon.prototype.killDialog = function()
{
	this.magicDialog = null;
}

BoostPeriodicalIcon.prototype.clickHandler = function()
{
    if (this.estate.accessManageble)
    {
        this.updateData();
        this.popupDialog();
    }
    else
    {
        Alert.create(I18.f("DEPUTY_CAN_NOT_USE_PEARL"));
    }
}