function CheckBoxButton()
{
	callParentConstructor(CheckBoxButton.prototype, this);
	
	this._checked = false;
	
	this.__defineGetter__("checked", this.getChecked);
	this.__defineSetter__("checked", this.setChecked);
	
	this.value = null;
}

extendClass(CheckBoxButton.prototype, SimpleButton.prototype);

CheckBoxButton.prototype.__construct = function()
{
	superMethod(CheckBoxButton.prototype, "__construct", this)();
	
	COM.bindExclusiveClick(this.DOM, $.proxy(function(e)
	{
		this.checked = !this.checked;
		$(this.DOM).triggerHandler('change');
	}, this));
}

CheckBoxButton.prototype.getChecked = function()
{
	return this._checked;
}

CheckBoxButton.prototype.setChecked = function(val)
{
	val = Boolean(val);
	
	if(this._checked === val)
	{
		return;
	}
	
	this._checked = val;
	
	if(this._checked)
	{
		$(this.wrapper).addClass("checked");
	}
	else
	{
		$(this.wrapper).removeClass("checked");
	}
}