function CustomButton()
{
	callParentConstructor(CustomButton.prototype, this);
}

extendClass(CustomButton.prototype, SimpleButton.prototype);

CustomButton.prototype.__getTemplate = function()
{
	return this.__inlineData || COM.getData('SimpleButton', 'template');
}

CustomButton.prototype.__construct = function()
{
	if (!this.wrapper) this.wrapper = this.DOM;
	
	superMethod(CustomButton.prototype, '__construct', this)();
	if (this.__inlineData)
	{
		$(this.DOM).removeClass('SimpleButton');
		$(this.DOM).addClass('CustomButton');
	}
}

CustomButton.prototype.getCaption = function()
{
	if (!this.captionText) return;
	return superMethod(CustomButton.prototype, 'getCaption', this)();
}

CustomButton.prototype.setCaption = function(value)
{
	if (!this.captionText) return;
	return superMethod(CustomButton.prototype, 'setCaption', this)(value);
}

CustomButton.prototype.getSubCaption = function()
{
	if (!this.subCaptionText) return;
	return superMethod(CustomButton.prototype, 'getSubCaption', this)();
}

CustomButton.prototype.setSubCaption = function(value)
{
	if (!this.subCaptionText) return;
	return superMethod(CustomButton.prototype, 'setSubCaption', this)(value);
}

CustomButton.prototype.setIcon = function(value)
{
	if (!this.leftImage && !this.rightImage && !this.iconImage) return;
	return superMethod(CustomButton.prototype, 'setIcon', this)(value);
}

