function ObtainPearlButton()
{
	callParentConstructor(ObtainPearlButton.prototype, this);
}

extendClass(ObtainPearlButton.prototype, SimpleButton.prototype);

ObtainPearlButton.prototype.__construct = function()
{
	superMethod(ObtainPearlButton.prototype, '__construct', this)();
	COM.bindExclusiveClick(this.DOM, this.obtainPearl);
    this.icon = STATIC_INTERFACE_URL + "icons/pearl.png";
    
    this.skin = FConfig.MONEY_TRANSFER_ALLOWED ? 'green' : '';
}

ObtainPearlButton.prototype.update = function(user)
{
	this.caption = Math.floor(user.pearl);
}

ObtainPearlButton.prototype.obtainPearl = function()
{
	if (FConfig.MONEY_TRANSFER_ALLOWED)
	{
	    ObtainPearlDialog.popup();
	}
	else
	{
		Alert.create(I18.f('TRANSFER_NOT_ALLOWED'));
	}
}