function Prompt()
{
	var doneCallback;
	
	this.show = function(message, caption, tooltip, callback)
	{
		doneCallback = callback;
		
		this.message.html(message);
		this.caption.html(caption);
		this.tooltip.html(tooltip);
		this.prompt.fadeIn('slow');
		
		this.ok.one(CLICK_EVENT, $.proxy(this.onOK, this));
		this.cancel.one(CLICK_EVENT, $.proxy(this.destroy, this));
	}
	
	this.onOK()
	{
		if(typeof doneCallback == "function") doneCallback(this.val.val());
		this.destroy();
	}
}

Prompt.create = function(message, caption, tooltip, callback)
{
	if(!caption) caption = "";
	if(!tooltip) tooltip = "";
	
	var obj = COM.create('Prompt');
	$('#popup').append(obj);
	obj.show(message, caption, tooltip, callback);
	
	return obj;
}