function RoundButton()
{
	callParentConstructor(RoundButton.prototype, this);
	
	this._warning = null;
	this._iconColor = null;
	
	this.__defineGetter__("warning", this.getWarning);
	this.__defineSetter__("warning", this.setWarning);
	
	this.__defineGetter__("iconColor", this.getIconColor);
	this.__defineSetter__("iconColor", this.setIconColor);
	
	this.__defineGetter__("glow", this.getGlow);
	this.__defineSetter__("glow", this.setGlow);
}

extendClass(RoundButton.prototype, SimpleButton.prototype);

RoundButton.prototype.__construct = function()
{
	superMethod(RoundButton.prototype, "__construct", this)();
	
	var el = $(this.DOM);
	
	this.warning = el.attr('warning');
	this.iconColor = el.attr('iconcolor');
}

RoundButton.prototype.setSubCaption = function(value)
{
	superMethod(RoundButton.prototype, "setSubCaption", this)(value);
	
	//if(this.subCaptionText.html() === value) return;
	
	if(!value || value == "")
	{
		this.subcaptionView.style.display = "none";
	}
	else
	{
		this.subcaptionView.style.display = "";
	}
}

RoundButton.prototype.getWarning = function()
{
	return this._warning;
}

RoundButton.prototype.setWarning = function(value)
{
	if(this._warning === value) return;
	
	this._warning = value;
	
	if(this._warning)
	{
		this.warningIcon.style.display = "";
	}
	else
	{
		this.warningIcon.style.display = "none";
	}
}

RoundButton.prototype.getGlow = function()
{
	return $(this.DOM).hasClass('pearl-service-active');
}

RoundButton.prototype.setGlow = function(value)
{
	Effects.pearlServiceActive(this, value);
}

RoundButton.prototype.getIconColor = function()
{
	return this._iconColor;
}

RoundButton.prototype.setIconColor = function(value)
{
	if(value != "red") value = "green";
	
	if(this._iconColor == value) return;
	
	$(this.subcaptionView).removeClass(this._iconColor);
	
	this._iconColor = value;
	
	$(this.subcaptionView).addClass(this._iconColor);
}