function TipDialog()
{
	callParentConstructor(TipDialog.prototype, this);
	this.userCanClose = true;
}

//extendClass(TipDialog.prototype, Dialog.prototype);
extendClass(TipDialog.prototype, Alert.prototype);

TipDialog.prototype.__construct = function()
{
	superMethod(TipDialog.prototype, "__construct", this)();
	
	//this.scroll = new iScroll(this.windowWrapper, {scrollbarColor: '#784f0b'});
	//setTimeout($.proxy(this.scroll.refresh, this.scroll), 500);
}

TipDialog.create = function(message, caption)
{
	var obj = COM.create('TipDialog');
	obj.open.call(obj, message, caption);
	obj.popup();
	return obj;
}

TipDialog.createWithActions = function(message, caption, actions, context)
{
	var d = TipDialog.create(message, caption);
	
	if (!actions) actions = [];
	var a = { "common": [], "left": [], "right": [] }, buttons = [];
	if ($.isArray(actions))
	{
		a.common = actions;
	}
	else if (actions && (typeof actions == 'object'))
	{
		var full = (actions['common'] || actions['left'] || actions['right']);
		if (full)
		{
			for (var p in a)
			{
				if (actions[p])
				{
					if ($.isArray(actions[p])) a[p] = actions[p];
					else if (actions[p]) a[p].push(actions[p]);
				}
			}
		}
		else
		{
			a.right.push(actions);
		}
	}
	
	Alert.addActions(d, d.actionsBox, a.common, context);
	Alert.addActions(d, d.headerLeftBox, a.left, context);
	Alert.addActions(d, d.headerRightBox, a.right, context);
	
	d.refreshDefaultButtons(); 
	d.userCanClose = true;
	
	return d;
}
