function TowerAttackView()
{
	this.__defineSetter__('showToolTip', function()
	{
		//textDecoration = value ? "underline" : "none";
	});
}
TowerAttackView.prototype.estate = null; // FEstate
TowerAttackView.prototype.building = null; // FBuilding
TowerAttackView.prototype.level = 0;
TowerAttackView.prototype.bt; // BType

TowerAttackView.prototype.__construct = function()
{
	COM.bindExclusiveClick(this.DOM).css('cursor', 'pointer', $.proxy(this.showSummaryTip, this));
}

TowerAttackView.prototype.update = function(bt, level, estate, shouldAddBonus)
{
	if (typeof shouldAddBonus == 'undefined') shouldAddBonus = true;
    this.bt = bt;
    this.building = null;
    this.estate = estate;
    this.level = level;

    this.value.innerHTML = CombatBonusUtil.getTowerAttack(bt, level, estate, shouldAddBonus).toString();
}

TowerAttackView.prototype.updateFromBuilding = function(b)
{
    this.level = b.level;
    this.building = b;
    this.estate = b.estate;
    this.bt = b.type;
    if (!b.isWorking) 
    {
        this.value.innerHTML = "0";
        this.value.style.color = Effects.RED;
    } 
    else 
    {
        this.value.style.color = '';
        if (b.isForeign) 
        {
            this.value.innerHTML = b.towerDamage.toString();
        } 
        else 
        {
            this.value.innerHTML = CombatBonusUtil.getTowerAttack(b.type, this.level, this.estate).toString();
        }
    }
}

TowerAttackView.prototype.showSummaryTip = function(e)
{
    var d = COM($(this.DOM).closest('ManageTower')[0]).showSummaryTip();
    if (this.building) 
    {
    	d.addTip(ManageTowerTip.create(this.building));
    } 
    else 
    {
    	d.addTip(ManageTowerTip.createForLevel(this.bt, this.estate, this.level));
    }
}
