function ArmyViewDense()
{
    callParentConstructor(ArmyViewDense.prototype, this);
	
	this.armyCount = null;
}

extendClass(ArmyViewDense.prototype, Dialog.prototype);

ArmyViewDense.prototype.popup = function(parent)
{
	superMethod(ArmyViewDense.prototype, "popup", this)(parent);

	this.skin = "black";
	this.header.style.display = "none";
}

ArmyViewDense.prototype.initSimple = function(count, race, monsterRace, levels, buffs, faded)
{
    var unitTypes = UnitType.MILITARY;
    for (var i = 0; i < unitTypes.length; i++)
    {
        var mut = unitTypes[i];
        if (count.getValue(mut) == 0)
        {
            continue;
        }
        var muv = COM.create("MilitaryUnitView");
        muv.small = true;
        muv.labelStyle = 'dark';
        muv.initUnitView(race, mut, levels[i], monsterRace ? Race.MONSTER : null);
        muv.initCount(count.getValue(mut), buffs, faded);
        this.unitBox.appendChild(muv.DOM);
    }
    this.armyCount = count;
}

ArmyViewDense.createTipText = function(text, units, levels, race)
{
    var l = document.createElement("span");
    l.innerHTML = text;
    l.style.textDecoration = "underline";
    l.style.fontWeight = "bold";
    COM.bindExclusiveClick(l, function()
    {
    	if (!units.isEmpty())
    	{
            var army = COM.create("ArmyViewDense");
            army.initSimple(units, race, false, levels, null);
            army.popup();
        }
        else
        {
            Alert.create(I18.f("NOTHING"));
        }
    });
    
    return l;
}