function CastleGateView()
{
	callParentConstructor(CastleGateView.prototype, this);
	
	this.level = 0;
    this.health = 0;
    this.garrisonHelp = 0;
    
    /*
    addEventListener(ToolTipEvent.TOOL_TIP_CREATE, onToolTip);
	toolTip = " ";
	*/
}

extendClass(CastleGateView.prototype, ArmyView.prototype);

CastleGateView.create = function(message, initialHealth, resultHealth, onlyGate)
{
    var result = COM.create("CastleGateView");
    result.init(message.gateLevel, initialHealth, resultHealth, message.gateGarrisonHelp, message.defendersSummary[0].buffs, message.tick, onlyGate);
    return result;
}

CastleGateView.prototype.init = function(level, initialHealth, resultHealth, garrisonHelp, buffs, time, onlyGate)
{
    this.level = level;
    this.health = initialHealth;
    this.garrisonHelp = garrisonHelp;
    this.setAllBacks(Race.MONSTER);
    //var muv = COM(this.leftContainer.children[3]);
    
    var muv = COM($("militaryunitview", this.DOM)[3]);
    
    muv.initCastleGate(level);
    muv.initCountInitial(resultHealth, initialHealth, true);
    if (onlyGate)
    {
        this.hideExtra(muv);
    }
    
    muv.countBox.style.display = "";
    
    this.buffs = buffs ? buffs : [];
    this.setFrozenTime(time);
}

CastleGateView.prototype.hideUnitViews = function(uv, views)
{
	for(var i=0; i<views.length; i++)
    {
    	var muv = COM(views[i]);
    	if(muv !== uv)
    	{
    		muv.DOM.style.display = "none";
    	}
    }
}

CastleGateView.prototype.hideExtra = function(uv)
{
    this.heroView.style.display = "none";
    this.hideUnitViews(uv, $("militaryunitview", this.DOM));
    //this.hideUnitViews(uv, this.rightContainer.children);
}

CastleGateView.prototype.onToolTip = function(e)
{
    /*
    if (level > 0 && e.currentTarget === unitBox.getChildAt(3)) {
        e.toolTip = CastleGateTip.create(level, health, garrisonHelp, buffs, time, false);
    } else {
        e.toolTip = Tip.invisible();
    }
    */
}