function CityArmy()
{
	this._onCloseClick = null;
	
	this.__defineGetter__("onCloseClick", $.proxy(this.getOnCloseClick, this));
	this.__defineSetter__("onCloseClick", $.proxy(this.setOnCloseClick, this));
}

CityArmy.prototype.__construct = function()
{
	COM.bindExclusiveClick(this.button, $.proxy(function()
	{
		if(this.onCloseClick)
		{
			this.onCloseClick();
		}
	}, this));
	
	this.button.src = STATIC_INTERFACE_URL + "shared/icons/close.png";
	this.button.style.display = "none";
}

CityArmy.prototype.getOnCloseClick = function()
{
	return this._onCloseClick;
}

CityArmy.prototype.setOnCloseClick = function(val)
{
	this._onCloseClick = val;
	
	this.button.style.display = val ? "" : "none";
}