function TransferToServerTab()
{
	callParentConstructor(TransferToServerTab.prototype, this);
}

extendClass(TransferToServerTab.prototype, TransferTabParent.prototype);

TransferToServerTab.prototype.updateValues = function()
{
    this.leftInitialPearls = FPortalConfig.toPearlInt(this.balance.portalBalance);
    this.rightInitialPearls = this.balance.pearl;
}

TransferToServerTab.prototype.onApply = function()
{
    if (!Quarantine.contains(Quarantine.TRANSFER))
    {
        Quarantine.put(Quarantine.TRANSFER);
        PortalService.account.callMethod("transferToServer", [this.balance.serverId, this.exchangePearls], $.proxy(this.handleResult, this), $.proxy(this.handleError, this));
    }
}

TransferToServerTab.prototype.handleError = function(e)
{
    if (e.__className__ == "NotEnoughResourcesException")
    {
        Alert.create(I18.f("NOT_ENOUGH_MDOLLARS", I18.f("PORTAL_CURRENCY")));
        return true;
    }
    
    return superMethod(TransferToServerTab.prototype, "handleError", this)(e);
}