var ArtifactType = function(name)
{
	if (typeof name == 'object') return ArtifactType[name.name];
	this.name = name;
};

extendClass(ArtifactType.prototype, Enum.prototype);

ArtifactType.__isEnum__ = true;

ArtifactType.prototype.__CLS__ = "game.model.heroes.artifacts.ArtifactType";

ArtifactType.ARTIFACT = new ArtifactType("ARTIFACT");
ArtifactType.SCROLL = new ArtifactType("SCROLL");
ArtifactType.MANA_BOTTLE = new ArtifactType("MANA_BOTTLE");
ArtifactType.EXP_BOTTLE = new ArtifactType("EXP_BOTTLE");
ArtifactType.CRYSTAL = new ArtifactType("CRYSTAL");
ArtifactType.RUNE = new ArtifactType("RUNE");

ArtifactType.STACKABLE = [ArtifactType.CRYSTAL];
ArtifactType.BOTTLES = [ArtifactType.MANA_BOTTLE, ArtifactType.EXP_BOTTLE];
