function GiftsTab()
{
	this.giftType = null;
    this.username = null;
    this.location = null;
    this.onGiftSent = null;
    
    this.tabVisible = true;
    
    this.onSelectGift = $.proxy(this.onSelectGift, this);
}

GiftsTab.PAGE_SIZE = 12;

GiftsTab.prototype.__construct = function()
{
}

GiftsTab.prototype.init = function()
{
    this.update();
}

GiftsTab.prototype.onSelectGift = function(e)
{
    SendGiftDialog.popup(e.currentTarget.info, this.username, this.location, this.onGiftSent);
}

GiftsTab.prototype.createGiftView = function(data)
{
	var r = document.createElement("div");
	r.info = data.info;
	COM.bindExclusiveClick(r, this.onSelectGift);
	
	r.style.display = "inline-block";
	r.style.width = "49%";
	
	var view = document.createElement("img");
	view.src = STATIC_INTERFACE_URL + data.source;
	view.align = "absmiddle";
	r.appendChild(view);
	
	c = document.createElement("span");
	c.innerHTML = data.tip;
	
	r.appendChild(c);
	
	return r;
}

GiftsTab.prototype.update = function(index)
{
    $(this.holder).empty();
    var infos = FConfig.getGifts(this.giftType);
    
    for (var i=0; i<infos.length; i++)
    {
        var giftInfo = infos[i];
        var view = this.createGiftView({
            source: Assets.getGiftImage(giftInfo.name),
            tip: I18.getGiftName(giftInfo.name),
            info: giftInfo
        });
        
        this.holder.appendChild(view);
    }
}