function FGift(giftName, count)
{
	this.giftName = giftName;
    this.finishTick = 0;
    this.count = count;
}

FGift.prototype.__CLS__ = "game.service.kingdom.FGift";

FGift.buildGifts = function(tournamentVictories, tournamentGrottoVictories, frags, gifts)
{
	var result = [];
    if (tournamentVictories > 0)
    {
        result.push(new FGift("TOURNAMENT", tournamentVictories));
    }
    if (tournamentGrottoVictories > 0)
    {
        result.push(new FGift("TOURNAMENT_GROTTO", tournamentGrottoVictories));
    }
    if (frags > 0)
    {
        result.push(new FGift("FRAGS", frags));
    }        
    if(gifts.length>0)
    {    	
    	//result.concat(gifts);
    	for (var i=0;i<gifts.length;i++)
    	{
    		result.push(gifts[i]);
    	}    	
    }    
	return result;
}