function ForwardMailDialog()
{
	callParentConstructor(ForwardMailDialog.prototype, this);
}

extendClass(ForwardMailDialog.prototype, Dialog.prototype);

ForwardMailDialog.prototype.__construct = function()
{
	this.setCaption(I18.f("MAIL_FORWARD"));
	
	COM.bindExclusiveClick(this.okButton, $.proxy(this.onOk, this));
	COM.bindExclusiveClick(this.cancelButton, $.proxy(this.close, this));
	
	COM(this.receiverSelector).switchMode(MailReceiverType.USER);
	COM(this.receiverSelector).onChange = $.proxy(this.onChange, this);

	this.onChange();
}

ForwardMailDialog.prototype.onResult = function(username, receiverType)
{
};

ForwardMailDialog.prototype.onOk = function()
{
    this.onResult(COM(this.receiverSelector).getReceiver(), COM(this.receiverSelector).receiverType);
}

ForwardMailDialog.prototype.onChange = function()
{
    COM(this.okButton).reason = COM(this.receiverSelector).getReceiver().length > 0 ? "" : I18.f("ENTER_PLAYER_NAME");
}