function MessageView()
{
	this.DOM = document.createElement("div");
	this.DOM.style.backgroud = "#fff";
	
	this._renderer = null;
	this._message = null;
	
	this.__defineGetter__("message", this.getMessage);
	this.__defineSetter__("message", this.setMessage);
	
	this.__defineGetter__("renderer", this.getRenderer);
	this.__defineSetter__("renderer", this.setRenderer);
	this.__defineGetter__("headerColor", this.getHeaderColor);
}

MessageView.prototype.getMessage = function()
{
	return this._message;
}

MessageView.prototype.setMessage = function(val)
{
	this._message = val;
}

MessageView.prototype.getRenderer = function()
{
    return this._renderer;
}

MessageView.prototype.setRenderer = function(value)
{
    this._renderer = value;
    if (this.renderer.data.isForwardedAndNotNews)
    {
        var l = document.createElement("span");
        l.innerHTML = I18.f("MAIL_ORIGINAL", Tick.happensAt(this.renderer.data.originalMessageTick));
        this.DOM.appendChild(l);
    }
}

MessageView.prototype.getSubject = function()
{
    return this.renderer.data.getSubject();
}

MessageView.prototype.getSubjectWithFW = function()
{
    var subject = Strings.safeHtml(this.getSubject());
    return this.renderer.data.isForwardedAndNotNews ? "FW: " + subject : subject;
}

MessageView.prototype.getHeaderColor = function()
{
    return false;
}

MessageView.prototype.getSender = function()
{
    return this.renderer.data.getSender();
}

MessageView.prototype.getReceiver = function()
{
    return this.renderer.data.getReceiver();
}

MessageView.prototype.getSenderTooltip = function()
{
    var message = this.renderer.data;
    return message.realSender ? 'real sender:' + message.realSender : '';
}