function SubjectInput(s, enabled)
{
	callParentConstructor(SubjectInput.prototype, this);
	
	if(typeof s == "undefined") s = "";
	if(typeof enabled == "undefined") enabled = true;
	
	var r = document.createElement("row");
	var c1 = document.createElement("cell");
	var c2 = document.createElement("cell");
	
	r.appendChild(c1);
	r.appendChild(c2);
	
	this.DOM = r;
	
	var l = document.createElement("span");
	l.innerHTML = I18.f("SUBJECT");
	c1.appendChild(l);
	
	this.t = COM.create("TextInput");
	this.t.maxlength = FConfig.SUBJECT_LENGTH_MAX;
	this.t.value = htmlUnescape(s);
	this.t.disabled = !enabled;
	
	c2.appendChild(this.t.DOM);
	
	this.__defineGetter__("input", this.getInput);
}

extendClass(SubjectInput.prototype, Subject.prototype);

SubjectInput.prototype.startEdit = function()
{
	//this.t.focus();
}

SubjectInput.prototype.getText = function()
{
    return this.t.value;
}

SubjectInput.prototype.getAdminSubject = function()
{
    return null;
}

SubjectInput.prototype.getInput = function()
{
    return this.t;
}