function FAdminToUserMessage()
{
	callParentConstructor(FAdminToUserMessage.prototype, this);
	
	this.broadcast = false;
	
	this.__defineGetter__("icon", this.getIcon);
	this.__defineGetter__("canReply", this.getCanReply);
}

extendClass(FAdminToUserMessage.prototype, FUserMessage.prototype);

FAdminToUserMessage.prototype.getIcon = function()
{
    return MailAssets.MESSAGE_ICON_ADMIN;
}

FAdminToUserMessage.prototype.createView = function(renderer)
{
    var view = new AdminToUserMessageView();
    view.renderer = renderer;
    return view;
}

FAdminToUserMessage.prototype.getSubject = function()
{
    return this.subject;
}

FAdminToUserMessage.prototype.getActualSender = function()
{
    return I18.f("ADMINISTRATION_MESSAGE_SENDER");
}

FAdminToUserMessage.prototype.getReceiver = function()
{
    return !this.receiver || this.receiver == "" ? I18.f("ALL") : this.receiver;
}

FAdminToUserMessage.prototype.getCanReply = function()
{
    return !this.broadcast && superMethod(FAdminToUserMessage.prototype, "getCanReply", this)();
}

FAdminToUserMessage.prototype.createReplyMessageBody = function()
{
    return "\n\n" + I18.f("ADMINISTRATION_MESSAGE_SENDER") + " " + I18.f("WROTE") + "\n" + this.getBody();
}