function FMissionMessage()
{
	callParentConstructor(FMissionMessage.prototype, this);
	
	this.estateOwner = null;

    this.fromEstateXYZ = null;
    this.toFieldXYZ = null;
    this.toEstateName = null;
    this.toEstateOwnerUsername = null;
    this.toEstateLevel = null;

    this.result = null;
    this.settlerResult = null;

    this.merchantsDied = null;
    this.deathRate = null;
    this.isOwnMission = null;

    this.resource = null;
    // MissionTrade
    this.spent = null;
    this.bought = null;
    this.peacePoints = null;

    this.unitType = null;
}

extendClass(FMissionMessage.prototype, FSystemMessage.prototype);

FMissionMessage.prototype.__CLS__ = "game.service.mail.FMissionMessage";

FMissionMessage.prototype.getActualSender = function()
{
    return I18.f("SYSTEM_MESSAGE_SENDER");
}

FMissionMessage.prototype.toEstateNameAndLocation = function()
{
    return I18.formatEstateName(this.toEstateName && this.toEstateName.length > 0 ? this.toEstateName : "-", this.toFieldXYZ);
}

FMissionMessage.prototype.fromEstateNameAndLocation = function()
{
    return I18.formatEstateName(this.estateName, this.fromEstateXYZ);
}