function MailSenderType(name)
{
	this.name = name;
}

MailSenderType.prototype.__CLS__ = "game.service.mail.MailSenderType";

MailSenderType.__isEnum__ = true;

MailSenderType.ADMINISTRATION = new MailSenderType("ADMINISTRATION");
MailSenderType.SYSTEM = new MailSenderType("SYSTEM");
MailSenderType.USER = new MailSenderType("USER");
MailSenderType.CLAN = new MailSenderType("CLAN");
MailSenderType.MONSTER = new MailSenderType("MONSTER");
MailSenderType.MAGIC = new MailSenderType("MAGIC");

MailSenderType.prototype.senderName = function()
{
    return I18.sf(this.name, "MESSAGE_SENDER");
}

MailSenderType.prototype.icon = function()
{
    if (this.name == MailSenderType.ADMINISTRATION.name)
    {
        return MailAssets.MESSAGE_ICON_ADMIN;
    }
    else if (this.name == MailSenderType.SYSTEM.name)
    {
        return MailAssets.MESSAGE_ICON_SYSTEM;
    }
    else if (this.name == MailSenderType.USER.name)
    {
        return MailAssets.MESSAGE_ICON_USER;
    }
    else if (this.name == MailSenderType.CLAN.name)
    {
        return MailAssets.MESSAGE_ICON_CLAN;
    }
    else if (this.name == MailSenderType.MONSTER.name)
    {
        return MailAssets.MESSAGE_ICON_USER;
    }
    else if (this.name == MailSenderType.MAGIC.name)
    {
        return MailAssets.MESSAGE_ICON_MAGIC;
    }
    else
    {
        throw Error("Wrong MailSenderType");
    }
}