function MissionMoveArmyOrder()
{
	callParentConstructor(MissionMoveArmyOrder.prototype, this);
	
	this.constantDuration = -1;
	
	this.__defineGetter__("normalDuration", this.getNormalDuration);
}

extendClass(MissionMoveArmyOrder.prototype, MilitaryMissionOrder.prototype);

MissionMoveArmyOrder.prototype.__CLS__ = "game.model.mission.MissionMoveArmyOrder";

MissionMoveArmyOrder.prototype.getHasSpeedBuffs = function()
{
    return superMethod(MissionMoveArmyOrder.prototype, "getHasSpeedBuffs", this)() || this.constantDuration >=0 || FBuff.hasBuff(this.getToField().buffs, this.incomingSpeedBuffType, null, FEstate.tickNowForEstate(this.getFromEstate()));
}

MissionMoveArmyOrder.prototype.getNormalDuration = function()
{
    return superMethod(MissionMoveArmyOrder.prototype, "getTravelDuration", this)();
}

MissionMoveArmyOrder.prototype.getTravelDuration = function()
{
    return this.constantDuration >= 0 ? this.constantDuration : superMethod(MissionMoveArmyOrder.prototype, "getTravelDuration", this)();
}

MissionMoveArmyOrder.prototype.getTravelDurationMultiplier = function()
{
    var speedup = superMethod(MissionMoveArmyOrder.prototype, "getTravelDurationMultiplier", this)();
    speedup += FBuff.sumOfTerrainBuffs(this.getToField().buffs, this.incomingSpeedBuffType, this.getFromEstate(), this.getToField());
    return speedup;
}


MissionMoveArmyOrder.prototype.getIncomingSpeedBuffType = function()
{
    return BuffType.INCOMING_MOVE_ARMY_TIME;
}