function MissionSettlerOrder()
{
	callParentConstructor(MissionSettlerOrder.prototype, this);
}

extendClass(MissionSettlerOrder.prototype, MissionOrder.prototype);

MissionSettlerOrder.prototype.__CLS__ = "game.model.mission.MissionSettlerOrder";

MissionSettlerOrder.prototype.calculateCost = function()
{
    return new Funds();
}

MissionSettlerOrder.prototype.getNewCityResources = function(race)
{
    return FConfig.getStat(race, UnitType.SETTLER, 1).cost.multiplyCopy(MissionSpeed.getNewCityResourceRatio(this.speed));
}

MissionSettlerOrder.prototype.getPreferedSpeed = function()
{
    return FUser.CURRENT_USER.settings.settlerMissionSpeed;
}