function GlobalFeaturesTab()
{
	this.user = null;
}

GlobalFeaturesTab.prototype.init = function(user)
{
    this.user = user;
    
    var entries = FConfig.GLOBAL_SERVICES;
    var entry;
    var grid = COM(this.grid);
    for(var i=0; i<entries.length; i++)
    {
    	entry = entries[i];
    	
    	if (!entry.isHidden())
    	{
            var grow = COM.create("ServiceGridRow");
            grow.init(this.user, null, entry, ServiceHelper.orderGlobalService, ServiceHelper.setGlobalServiceAutoOrder);
            
            grid.addItem(grow, i);
        }
    }
}

GlobalFeaturesTab.prototype.fitLayout = function(container)
{
	this.grid.style.width = container.width + "px";
	this.grid.style.height = container.height + "px";
	this.refresh();
}

GlobalFeaturesTab.prototype.refresh = function()
{
	COM(this.grid).refresh();
}

GlobalFeaturesTab.prototype.tick = function()
{
    var items = COM(this.grid).items;
    
    for(var i=0; i<items.length; i++)
    {
    	COM(items[i]).tick(this.user, null);
    }
}