function QuestDialogSwitcher()
{
	this.tab = 0;
}

QuestDialogSwitcher.prototype.__construct = function()
{
  	COM(this.levels).onChange = $.proxy(function()
    {
    	var value = COM(this.levels).value;
    	this.tab = value;
    	this.onChange(value);
    }, this);
    
    this.init();
}

QuestDialogSwitcher.prototype.prepareButtonCaption = function(txt)
{
	var tmp = txt.split(" ");
	if(tmp.length == 3)
	{
		txt = tmp.shift() + "<br/>";
		txt += tmp.join(" ");
	}
	else if(tmp.length > 3)
	{
		txt = tmp.shift() + " " + tmp.shift() + "<br/>";
		txt += tmp.join(" ");
	}
	
	return txt;
};

QuestDialogSwitcher.prototype.init = function()
{
    var box = COM(this.levels);    
    box.clear();               
  	//box.setSkin("grey");      
        
    box.addItem(I18.f("CURRENT_QUESTS_MOBILE"), 0);
    box.addItem(I18.f("FULFILLED_QUESTS_MOBILE"), 1);
    
    var flagButton = box.addItem(this.prepareButtonCaption(
    	I18.f(FUser.CURRENT_USER.tournamentExists && FUser.CURRENT_USER.tournament.isKing ?
    		'TOURNAMENT_KING_FLAG' :
    		'TOURNAMENT_NORMAL_FLAG')), 2);
    
    var grottoButton = box.addItem(this.prepareButtonCaption(
    	I18.f(FUser.CURRENT_USER.tournamentGrottoExists && FUser.CURRENT_USER.tournamentGrotto.isKing ?
    		'TOURNAMENT_KING_GROTTO' :
    		'TOURNAMENT_NORMAL_GROTTO')), 3);
    
    if (!FUser.CURRENT_USER.tournamentExists) flagButton.DOM.style.display = "none";
    if (!FUser.CURRENT_USER.tournamentGrottoExists) grottoButton.DOM.style.display = "none";
    
    var canSeeTournament = FUser.CURRENT_USER.science.getLevel(Science.CARTOGRAPHY) > 0;
	var canSeeGrotto = FUser.CURRENT_USER.tournamentGrotto.isInTournament || FUser.CURRENT_USER.titleIndex >= 5;
	
	if(!canSeeTournament) flagButton.reason = I18.f("CANNOT_SEE_TOURNAMENT");
	if(!canSeeGrotto) grottoButton.reason = I18.f("CANNOT_SEE_GROTTO");
  
    this.setItem(0); 
}

QuestDialogSwitcher.prototype.onChange = function(val)
{
	this.tab = val;
}

QuestDialogSwitcher.prototype.setItem = function(val)
{
	this.tab = val;
	COM(this.levels).value = val;
}