
/*
<?xml version="1.0" ?>
<r:RatingTabParent xmlns:fx="http://ns.adobe.com/mxml/2009" xmlns:s="library://ns.adobe.com/flex/spark" xmlns:mx="library://ns.adobe.com/flex/mx" xmlns:r="game.view.rating.*" xmlns:common="game.view.common.*" styleName="tabBox">
<fx:Script><![CDATA[
    import game.model.FRating;
    import game.model.FRatingData;
    import game.model.FUser;
    import game.service.FConfig;
    import game.service.Service;
    import game.util.Effects;
    import game.util.I18;
    import game.view.city.model.FClan;

    [Bindable]
    public var tabVisible:Boolean = true;

    override public function update(r:FRating):void {
        super.update(r);
        pager.setIndexAndCount(rating.currentPage, rating.pagesCount);
    }

    override public function getSelectedUser():FRatingData {
        return FRatingData(grid.selectedItem);
    }

    override protected function getPage(index:int):void {
        Service.user.getClanRating(ratingType, username, index).handle(update, handleError);
    }

    protected function onGetRowColor(item:Object, defaultColor:uint = Effects.WHITE):uint {
        var m:FRatingData = item as FRatingData;
        var clan:FClan = FUser.CURRENT_USER.diplomacy.clan;
        if (clan != null && m.user.clanName == clan.clanName) {
            return Effects.RATING_YELLOW;
        }
        if (m.user.clanName == rating.searchResult) {
            return Effects.RATING_ORANGE;
        }
        return defaultColor;
    }

    private function get sheet():RatingSheet {
        return RatingSheet(ratingSheet);
    }
    ]]></fx:Script>

    <common:GameDataGrid id="grid" onGetRowColor="onGetRowColor" width="100%" height="100%" sortableColumns="false"
                            dataProvider="{rating.users}" verticalScrollPolicy="off" rowHeight="22">
        <common:columns>
            <s:ArrayCollection>
                <s:GridColumn id="ratingColumn" headerText="{I18.RATING}" itemRenderer="{sheet.clanRatingRenderer}" width="{ratingWidth}"/>
                <common:GameGridColumn headerText="{I18.CLAN}" textAlign="center" itemRenderer="{sheet.clanNameRenderer}"/>
                <common:GameGridColumn headerText="{I18.TYPE}" textAlign="center" itemRenderer="{sheet.clanTypeRenderer}"/>
                <common:GameGridColumn headerText="{I18.POINTS}" textAlign="right" itemRenderer="{sheet.clanPointsRenderer}"/>
                <common:GameGridColumn headerText="{I18.PLAYERS}" textAlign="right" itemRenderer="{sheet.membersCountRenderer}" width="80"/>
                <common:GameGridColumn headerText="{I18.CASTLES}" textAlign="right" itemRenderer="{sheet.castlesCountRenderer}" width="80"
                        visible="{FConfig.i.CASTLES_ENABLED}"/>
            </s:ArrayCollection>
        </common:columns>
    </common:GameDataGrid>
    <common:Pager id="pager" onChange="getPage"/>
</r:RatingTabParent>
    

*/



