function RatingListItem()
{
	callParentConstructor(this);
	
	this.__defineGetter__('member', this.getMember);
	this.__defineSetter__('member', this.setMember);

}

extendClass(RatingListItem.prototype, ScrollableListItem.prototype);

RatingListItem.prototype.__construct = function()
{
}

RatingListItem.prototype.getMember = function()
{
    return this._data;
}
RatingListItem.prototype.setMember = function(val)
{
    this.data = val;
}

RatingListItem.prototype.onError = function(e)
{
	/*
    if ((e.__className__ == 'ClanException')) 
    {
        Alert.create(e.getMessage());
        return true;
    }
    return false;
    */
}

RatingListItem.prototype.refresh = function()
{
	if (!this.data)
    {
        return;
    }
    
    this.rating.innerHTML = this.member.position;
    this.player.innerHTML = this.member.user.username;
    //this.race.innerHTML = this.member.race.displayName;
    
    var img = document.createElement("img");
    var src;
    if(this.member.race.name == Race.DEMON.name) src = "demon";
    if(this.member.race.name == Race.DROW.name) src = "drow";
    if(this.member.race.name == Race.ELF.name) src = "elf";
    if(this.member.race.name == Race.HUMAN.name) src = "human";
    img.src = STATIC_INTERFACE_URL + "shared/icons/race/"+src+".png";
    this.race.appendChild(img);
    
    //this.fraction.innerHTML = I18.getFractionName(this.member.race);
    this.points.innerHTML = NumberUtils.format(this.member.ratingPoints, 0, I18.f("DECIMAL_SEPARATOR"), I18.f("THOUSAND_SEPARATOR"));
    this.title.innerHTML = I18.getTitleName(this.member.user.titleIndex);
    this.clan.innerHTML = htmlEscape(this.member.user.clanName);
    
    if(this.member.user.banned)
    {
        this.DOM.style.backgroundColor = "#d0c788";
    }
}


RatingListItem.prototype.onTooltip = function(e)
{
    //e.toolTip = EstateStarsClanView.createAsTip(data.user, null, false, false, true)
}

