function RatingTournamentListItem()
{
	callParentConstructor(this);
	
	this.__defineGetter__('member', this.getMember);
	this.__defineSetter__('member', this.setMember);
	

}

extendClass(RatingTournamentListItem.prototype, ScrollableListItem.prototype);

RatingTournamentListItem.prototype.__construct = function()
{

}

RatingTournamentListItem.prototype.getMember = function()
{
    return this._data;
}
RatingTournamentListItem.prototype.setMember = function(val)
{
    this.data = val;
}

RatingTournamentListItem.prototype.onError = function(e)
{
	/*
    if ((e.__className__ == 'ClanException')) 
    {
        Alert.create(e.getMessage());
        return true;
    }
    return false;
    */
}

RatingTournamentListItem.prototype.refresh = function()
{
	if (!this.data)
    {
        return;
    }
   
    this.rating.innerHTML = this.member.position;
    this.player.innerHTML = this.member.user.username;
    //this.race.innerHTML = this.member.race.displayName;
    
    var img = document.createElement("img");
    var src;
    if(this.member.race.name == Race.DEMON.name) src = "demon";
    if(this.member.race.name == Race.DROW.name) src = "drow";
    if(this.member.race.name == Race.ELF.name) src = "elf";
    if(this.member.race.name == Race.HUMAN.name) src = "human";
    img.src = STATIC_INTERFACE_URL + "shared/icons/race/"+src+".png";
    this.race.appendChild(img);
    
    this.ratingHeader.innerHTML = this.member.isInTournament ? this.member.flagSetsCount : I18.f("NOT_IN_TOURNAMENT_RATING");
	this.title.innerHTML = I18.getTitleName(this.member.user.titleIndex);
    this.clan.innerHTML = htmlEscape(this.member.user.clanName);

}


RatingTournamentListItem.prototype.onTooltip = function(e)
{
    //e.toolTip = EstateStarsClanView.createAsTip(data.user, null, false, false, true)
}

