/*
<?xml version="1.0" ?>
<r:RatingTabParent xmlns:fx="http://ns.adobe.com/mxml/2009" xmlns:s="library://ns.adobe.com/flex/spark" xmlns:mx="library://ns.adobe.com/flex/mx" xmlns:r="game.view.rating.*" xmlns:common="game.view.common.*" styleName="tabBox">
<fx:Script><![CDATA[
    import game.model.FRating;
    import game.model.FRatingData;
    import game.model.FUser;
    import game.service.Service;
    import game.util.Effects;
    import game.util.I18;


    [Bindable]
    public var tabVisible:Boolean = true;

    [Bindable]
    public var ratingHeader:String;


    override public function update(r:FRating):void {
        super.update(r);
        pager.setIndexAndCount(rating.currentPage, rating.pagesCount);
    }

    override public function getSelectedUser():FRatingData {
        return FRatingData(grid.selectedItem);
    }

    override protected function getPage(index:int):void {
        Service.user.getRating(ratingType, username, index, false).handle(update, handleError);
    }

    protected function onGetRowColor(item:Object, defaultColor:uint = 0xffffff):uint {
        var m:FRatingData = item as FRatingData;
        if (m.user.username == FUser.CURRENT_USER.username) {
            return Effects.RATING_YELLOW;
        }
        if (m.user.username == rating.searchResult) {
            return Effects.RATING_ORANGE;
        }
        if (m.user.banned) {
            return Effects.RATING_GREY;
        }
        return defaultColor;
    }

    private function get shit():RatingSheet {
        return RatingSheet(ratingSheet);
    }
    ]]></fx:Script>

    <common:GameDataGrid id="grid" onGetRowColor="onGetRowColor" width="100%" height="100%" sortableColumns="false"
                            dataProvider="{rating.users}" verticalScrollPolicy="off" rowHeight="22">
        <common:columns>
            <s:ArrayCollection>
                <s:GridColumn id="ratingColumn" headerText="{I18.RATING}" itemRenderer="{shit.ratingRenderer}" width="{ratingWidth}"/>
                <common:GameGridColumn headerText="{I18.PLAYER}" textAlign="center" itemRenderer="{shit.usernameRenderer}" width="120"/>
                <common:GameGridColumn headerText="{I18.RACE}" textAlign="right" itemRenderer="{shit.raceRenderer}" width="{raceWidth}"/>
                <common:GameGridColumn headerText="{ratingHeader}" textAlign="right" itemRenderer="{shit.flagSetsRenderer}" width="150"/>
                <common:GameGridColumn headerText="{I18.TITLE}" textAlign="right" itemRenderer="{shit.titleRenderer}" width="100"/>
                <common:GameGridColumn headerText="{I18.CLAN}" textAlign="center" itemRenderer="{shit.clanRenderer}"/>
            </s:ArrayCollection>
        </common:columns>
    </common:GameDataGrid>
    <common:Pager id="pager" onChange="getPage"/>
</r:RatingTabParent>
*/