function FinancePartnerDialog()
{
	superMethod(FinancePartnerDialog.prototype, this);
	
	this.account = null;
}

extendClass(FinancePartnerDialog.prototype, Dialog.prototype);

FinancePartnerDialog.popup = function(acc)
{
	var d = COM.create("FinancePartnerDialog");
    
    d.setCaption(I18.f("FINANCE_PARTNER_LABEL"));
    
    d.fullScreen();
    
    if (!acc)
    {
        PortalService.account.callMethod("getAccount", [], $.proxy(d.popupWithAccount, d));
    }
    else
    {
        d.popupWithAccount(acc);
    }
}

FinancePartnerDialog.prototype.popupWithAccount = function(acc)
{
    this.update(acc);
    this.popup();
}

FinancePartnerDialog.prototype.fitLayout = function(container)
{
	superMethod(FinancePartnerDialog.prototype, "fitLayout", this)(container);
	
	this.windowWrapper.style.width = this.content.offsetWidth + "px";
	this.windowWrapper.style.height = this.content.offsetHeight + "px";
	
	COM(this.partnerTab).fitLayout({width: this.content.offsetWidth, height: this.content.offsetHeight});
}

FinancePartnerDialog.prototype.update = function(acc)
{
	this.account = acc;
	
	COM(this.partnerTab).account = this.account;
	COM(this.partnerTab).refresh();
}