function ServersCombo()
{
	callParentConstructor(ServersCombo.prototype, this);
	
	this.__defineGetter__('serverId', function(){ return this.value ? this.value.id : null; });
	this.__defineSetter__('serverId', function(val){
		if (this.data) for (var i = 0; i < this.data.length; i++)
		{
			if (this.data[i].id == val) return this.selectedIndex = i;
		}
		this.selectedIndex = -1; 
	});
}

extendClass(ServersCombo.prototype, ComboBox.prototype);

ServersCombo.prototype.__construct = function()
{
	superMethod(ServersCombo.prototype, '__construct', this)();
	$(this.optionsBox).addClass('servers-combo');
}

ServersCombo.prototype.refresh = function()
{
	//superMethod(ServersCombo.prototype, 'refresh', this)();
	
	//if (this.selectedIndex < 0) return this.selectedIndex = 0;
	
	var dp = this.dataProvider || [], server = dp[this.selectedIndex];
	if (!server)
	{
		return superMethod(ServersCombo.prototype, 'refresh', this)();
	}
	
	var icon = [
		STATIC_INTERFACE_URL + 'login/server_' + server.type.toLowerCase() + '_' + (server.type == 'SURVIVAL' ? 'paid' : 'free') + '.png',
		STATIC_INTERFACE_URL + 'common/input/dropdown.png'
	];
	COM(this.button).icon = icon;

	var caption = server.name.split(':');
	COM(this.button).caption = caption[1];
	COM(this.button).subCaption = caption[0];
}
