var PRELOAD_IMAGES = [
];

$(function()
{
	APP.showLoader();
	while (CONFIG.css.length > 0) 
	{
		getCSS(CONFIG.css.shift());
	}
	
	var PRELOAD_STEPS = [
		
		function()
		{
			var d = $.Deferred();
			
			if(!PRELOAD_IMAGES.length)
			{
				d.resolve();
				return;
			}
			
			var onload = function()
			{
				for (var i = 0; i < PRELOAD_IMAGES.length; i++)
				{
					if (this.src == PRELOAD_IMAGES[i].src)
					{
						PRELOAD_IMAGES.splice(i, 1);
						if (!PRELOAD_IMAGES.length)
						{
							d.resolve();
						}
						return;
					}
				}
			};
			
			for (var i = 0; i < PRELOAD_IMAGES.length; i++)
			{
				var src = PRELOAD_IMAGES[i];
				
				PRELOAD_IMAGES[i] = new Image(); 
				PRELOAD_IMAGES[i].src = STATIC_INTERFACE_URL + src;
				PRELOAD_IMAGES[i].onload = onload;
				PRELOAD_IMAGES[i].onerror = onload;
			}
			for (var i = 0; i < PRELOAD_IMAGES.length; i++)
			{
				if (PRELOAD_IMAGES[i].complete)
				{
					onload.call(PRELOAD_IMAGES[i]);
					i--;
				}
			}
			return d;
		},
		
		function()
		{
			COM.init({basePath: 'app/classes'});
			return COM.load(CONFIG.components);
		},
		
		function()
		{
			delete CONFIG;
			
			APP.hideLoader();
			
			COM.parseStaticData(document.body);
			COM.parseDOMElement(document.body);
		}
	]
	
	var inc = include_once(CONFIG.scripts);
	while (PRELOAD_STEPS.length)
	{
		inc = inc.pipe(PRELOAD_STEPS.shift());
	}
});

var APP = new (function()
{
	this.isHeropedia = true;
	
	this.popup = function(obj)
	{
		$("#popup").append(obj);
		if (typeof obj.fitLayout == 'function')
		{
			obj.fitLayout({width: window.innerWidth, height: window.innerHeight});
		}
	}
	
	this.showLoader = function()
	{
		document.getElementById("cityLoader").style.display = "block";
	}
	
	this.hideLoader = function()
	{
		document.getElementById("cityLoader").style.display = "none";
	}
	
	this.globalError = function(err)
	{
		if(err === null)
		{
			$("#content").show();
		}
		else
		{
			$("#content").hide();
		}
		
		if (UI.show(err !== null, [document.querySelector('#globalErrorText')]))
		{
			APP.hideLoader();
			$('#globalErrorText').html(err);
		}
	}

	this.onDeviceReady = function()
    {
    }
	
	return this;
	
})(); 