var Session = new (function(){
	
	this.get = function(key)
	{
		var val = sessionStorage.getItem(key);
		return (val && val != 'undefined') ? JSON.parse(val) : null;
	}
	
	this.set = function(key, val)
	{
		if (val) val = JSON.stringify(val);
		return sessionStorage.setItem(key, val);
	}
	
	this.clear = function()
	{
		return sessionStorage.clear();
	}
	
	return this;
	
})();

