CONFIG.css = CONFIG.css.concat([
	
	'portal',
	
]);

CONFIG.scripts = CONFIG.scripts.concat([
	
	'app/classes/portal/lang/ZoneInfo.js',
	'app/classes/game/model/portal/BannerInfo.js',
	'app/classes/game/model/portal/FAvatarInfo.js',
	'app/classes/game/model/portal/FAvatarBalance.js',
	'app/classes/game/model/portal/FBriefOnlineInfo.js',
	'app/classes/game/model/portal/FPaymentResult.js',
	'app/classes/game/model/portal/FRegistration.js',
	'app/classes/game/model/portal/FRegistrationResult.js',
	'app/classes/game/model/portal/Interpolation.js',
	'app/classes/game/model/portal/OfferPayment.js',
	'app/classes/game/model/portal/Payment.js',
	'app/classes/game/model/portal/PaymentOption.js',
	'app/classes/game/model/portal/PaymentSystem.js',
	'app/classes/game/model/portal/Tariff.js',
	'app/classes/game/model/portal/PaymentActionHandler.js',
	'app/classes/game/model/portal/UrlActionHandler.js',
	'app/classes/game/model/portal/FbActionHandler.js',
	'app/classes/game/model/portal/VkActionHandler.js',
	'app/classes/game/model/portal/MmActionHandler.js',
	'app/classes/game/model/portal/OkActionHandler.js',
	'app/classes/game/model/GameServerType.js',
	'app/classes/portal/finance/FinanceTabParent.js',
	'app/classes/portal/model/TransactionOperation.js',
	'app/classes/portal/model/FOutputMoneyInfo.js',
	'app/classes/portal/model/OutcomeStatus.js',
	
]);

CONFIG.components = CONFIG.components.concat([
	
	'common/input/PasswordInput',
	'portal/CaptchaDialog',
	'portal/MergeServerDialog',
	'portal/GameServerDialog',
	'portal/ServerListItem',
	'portal/ServerList',
	'portal/ServerSelect',
	'portal/StaticPageDialog',
	'portal/RestorePasswordDialog',
	'portal/BackButton',
	'portal/lang/CountryButton',
	'portal/lang/SelectLanguageDialog',
	'portal/WelcomeScreenView',
	'portal/LoginScreenView',
	'portal/registration/ServersCombo',
	'portal/registration/RegisterSelectRace',
	'portal/registration/RegisterCreateAccount',
	'portal/finance/FinanceDialog',
	'portal/finance/FinancePendingTab',
	'portal/finance/FinancePendingItem',
	'portal/finance/FinanceReportTab',
	'portal/finance/FinancePartnerTab',
	'portal/finance/FinanceWebmoneyOutputTab',
	'portal/finance/FinanceManualOutputTab',
	'portal/finance/FinanceEpayOutputTab',
	'portal/finance/PartnerDetailedInfo',
	'portal/finance/FrodInfoDialog',
	'portal/finance/FinancePartnerDialog',
]);
