var GAHelper = {

    setTrackingId: function(id) {
        if(!navigator.analytics) {
            console.log("ANALYTICS NOT READY");
            return;
        }

        navigator.analytics.setTrackingId(id);
        console.log("GA SET ID = " + id);
    },

    sendEvent: function(category, action, label, value) {
        if(!navigator.analytics) {
            console.log("ANALYTICS NOT READY");
            return;
        }

        console.log("GA SEND EVENT " + [category, action, label, value].join(","));

        navigator.analytics.sendEvent("portal", "enterGame", label, value);
    }

};