var pushNotification;
var PushManager =
{
	ready: false
};

if(navigator.userAgent.toLowerCase().indexOf('android') >= 0)
{
	PushManager.senderId = "933200824380";
	
	PushManager.init = function()
	{
        if(!window.cordova || !window.PushNotification) return;

        var push = PushNotification.init({
            android: {
                senderID: PushManager.senderId
            }
        });

        push.on('registration', function(data) {
            if(data && data.registrationId && window.PortalService)
            {
                console.log("PUSH REG = " + data.registrationId);

                PortalService.setMobileEnvironment("Android", data.registrationId);

                PushManager.ready = true;
            }
        });
	};
	
	PushManager.onNotificationGCM = function(e)
	{
	};
	
	PushManager.errorHandler = function(err)
    {
    	console.log('PushManager error: ' + JSON.stringify(err));
    };
    
    PushManager.successHandler = function()
	{
    	console.log('PushManager success: ' + JSON.stringify(arguments));
	};
}

else
{
	PushManager.init = function()
	{
        if(!window.cordova || !window.plugins) return;
        
        pushNotification = window.plugins.pushNotification;
        pushNotification.register(PushManager.tokenHandler, PushManager.errorHandler, {"badge":"true","sound":"true","alert":"true","ecb":"PushManager.onNotificationAPN"});
	};
			
	PushManager.tokenHandler = function(result)
    {
        PushManager.ready = true;
        
        if(window.PortalService)
        {
            PortalService.setMobileEnvironment("IOS", result);
        }
    };
	    
	PushManager.errorHandler = function(err)
    {
    };
	    
	PushManager.onNotificationAPN = function(event)
    {
        if (event.badge)
        {
            pushNotification.setApplicationIconBadgeNumber(pushNotification.successHandler, pushNotification.errorHandler, event.badge);
        }
    };
	    
	PushManager.successHandler = function()
	{
	};
}