var CellBlocker = function(name, asset)
{
	this.name = name;
	this.asset = asset;
	
	this.__defineGetter__('tooltip', function()
	{
		return I18.s("TOOLTIP_BLOCKER", this.name);
	});
	
	this.__defineGetter__('terraformerText', function()
	{
		return I18.s("C_B_TIP_TERRAFORMER_CLEARS", this.name);
	});
};

extendClass(CellBlocker.prototype, Enum.prototype);

CellBlocker.__isEnum__ = true;

$.extend(CellBlocker.prototype,
{
	isNull: function()
	{
		return this.name == CellBlocker.NULL.name; 
	}
});

CellBlocker.ROCK = new CellBlocker("ROCK", CommonAssets.BLOCKER_ROCK);
CellBlocker.LAKE = new CellBlocker("LAKE", CommonAssets.BLOCKER_LAKE);
CellBlocker.TREE = new CellBlocker("TREE", CommonAssets.BLOCKER_TREE);
CellBlocker.DARKTREE = new CellBlocker("DARKTREE", CommonAssets.BLOCKER_DARKTREE);
CellBlocker.NULL = new CellBlocker("NULL"); 