function BrotherhoodGoalType(name)
{
	this.name = name;
}

extendClass(BrotherhoodGoalType.prototype, Enum.prototype);

BrotherhoodGoalType.prototype.__CLS__ = 'game.model.user.brotherhood.BrotherhoodGoalType';
BrotherhoodGoalType.__isEnum__ = true;

BrotherhoodGoalType.prototype.toString = function()
{
	return I18.getString("BROTHERHOOD_GOAL_" + this.name);
}

BrotherhoodGoalType.ANY = new BrotherhoodGoalType('ANY');
BrotherhoodGoalType.CAPTURE_ESTATE = new BrotherhoodGoalType('CAPTURE_ESTATE');
BrotherhoodGoalType.DESTROY_BUILDINGS = new BrotherhoodGoalType('DESTROY_BUILDINGS');
BrotherhoodGoalType.KILL_ARMY = new BrotherhoodGoalType('KILL_ARMY');

BrotherhoodGoalType.ALL = [
	BrotherhoodGoalType.ANY, 
	BrotherhoodGoalType.CAPTURE_ESTATE, 
	BrotherhoodGoalType.DESTROY_BUILDINGS, 
	BrotherhoodGoalType.KILL_ARMY
];
