function PwnedDialog()
{
	callParentConstructor(PwnedDialog.prototype, this);
	
	this.pwnedBy = "";
}

extendClass(PwnedDialog.prototype, Dialog.prototype);

PwnedDialog.createAndShow = function(pwnedBy)
{
    var d = COM.create("PwnedDialog");
    d.pwnedBy = pwnedBy;
    d.onClose = $.proxy(d.onCloseHandler, this);
    d.popup();
}

PwnedDialog.prototype.popup = function()
{
    superMethod(PwnedDialog.prototype, "popup", this)();
    
    this.setCaption(I18.f("YOU_HAVE_BEEN_PWNED_SUBJECT"));
    
    this.desc.innerHTML = FUser.isMonster(this.pwnedBy) ? I18.mega("YOU_ARE_PWNED_BY_MONSTER") : I18.mega("YOU_ARE_PWNED_BY", this.pwnedBy);
}

PwnedDialog.prototype.onCloseHandler = function()
{
    Events.onShowKingdom.fire(null);
}