function FAlly()
{
	this.user = null; // FUserInfo
	this.status = null; // AllianceStatus
	this.proposedToMe = false; // Boolean
	this.allianceBreakingTick = 0; // Number
	this.accessEstatesAllowedToAlly = false; // Boolean
	this.accessMissionsAllowedToAlly = false; // Boolean
	this.accessEstatesAllowedToMe = false; // Boolean
	this.accessMissionsAllowedToMe = false; // Boolean
	this.canBeDeputyOfMine = false; // Boolean
	this.timeLeft = ''; // String // transient
}

FAlly.prototype.user = null; // FUserInfo
FAlly.prototype.status = null; // AllianceStatus
FAlly.prototype.proposedToMe = false; // Boolean
FAlly.prototype.allianceBreakingTick = 0; // Number
FAlly.prototype.accessEstatesAllowedToAlly = false; // Boolean
FAlly.prototype.accessMissionsAllowedToAlly = false; // Boolean
FAlly.prototype.accessEstatesAllowedToMe = false; // Boolean
FAlly.prototype.accessMissionsAllowedToMe = false; // Boolean
FAlly.prototype.canBeDeputyOfMine = false; // Boolean
FAlly.prototype.timeLeft = ''; // String // transient

FAlly.prototype.compareTo = function(other)
{
    /*
    if (!(other is FAlly)) 
    {
        Errors.die("Could not compare allies: wrong type");
    }
    */
    return user.username.localeCompare(other.user.username);
}

FAlly.prototype.refreshTimeLeft = function()
{
    this.timeLeft = Tick.isInfinity(this.allianceBreakingTick) 
    	? "" 
    	: Tick.toTimeLeft(this.allianceBreakingTick - Tick.now())
    ; 
}

FAlly.prototype.isActive = function()
{
    return (this.status.name == AllianceStatus.ACTIVE.name) || (this.status.name == AllianceStatus.BREAKING.name);
}

FAlly.prototype.isProposedToMe = function()
{
    return this.proposedToMe && this.status.name == AllianceStatus.PROPOSED.name;        
}
