function AddParticipantPanel()
{
	this.isAlly = false;
	this.alliesPresent = false;;
	this.onAdd = function(){};
	
	this.onAddClick = $.proxy(this.onAddClick, this);
	
	this.__defineSetter__("text", this.getText);
	this.__defineSetter__("text", this.setText);
}

AddParticipantPanel.prototype.__construct = function()
{
	var attr = $(this.DOM).attr();
    
    this.isAlly = (attr['isAlly'] ? Boolean(attr['isAlly']) : false);
    this.alliesPresent = (attr['alliesPresent'] ? Boolean(attr['alliesPresent']) : false);
    this.text = (attr['text'] ? attr['text'] : '');
    
    this.wrapper.style.background = this.alliesPresent? (this.isAlly ? Effects.LIGHT_GREEN : Effects.LIGHT_RED) : Effects.LIGHT_ORANGE;
    
    COM(this.addButton).icon = STATIC_INTERFACE_URL + "shared/icons/plus.png";
    COM.bindExclusiveClick(this.addButton, this.onAddClick);
}

AddParticipantPanel.prototype.getText = function()
{
	return this.textLabel.innerHTML;
}

AddParticipantPanel.prototype.setText = function(val)
{
	this.textLabel.innerHTML = val;
}

AddParticipantPanel.prototype.onAddClick = function()
{
    this.onAdd(this, COM(this.participantNameInput).value);
    COM(this.participantNameInput).value = "";
}