function ChooseHero()
{
	callParentConstructor(ChooseHero.prototype, this);
	this.onHeroSelect = function(){};
	
	this.heroLeft = $.proxy(this.heroLeft, this);
}

extendClass(ChooseHero.prototype, Dialog.prototype);

ChooseHero.prototype.__construct = function()
{
	this.skin = "black";
	this.header.style.display = "none";
}

ChooseHero.prototype.createCanvas = function(hv)
{
    var c = document.createElement("span");
    c.appendChild(hv.DOM);
    //COM.bindExclusiveClick(c, this.heroLeft);
    return c;
}

ChooseHero.prototype.heroLeft = function(hero, race)
{
    this.onHeroSelect(hero);
	this.close();
}

ChooseHero.prototype.show = function(list, r)
{
    if(list)
    {
    	for(var i=0; i<list.length; i++)
    	{
    		var hv = HeroFaceView.createWith(list[i], r);
    		hv.update(list[i], r);
    		hv.onHeroClick = this.heroLeft;
    		var cns = this.createCanvas(hv);
    		this.container.appendChild(cns);
    	}
    }
}

ChooseHero.prototype.hide = function()
{
    var hv = $("HeroFaceView", this.container);
    for(var i=0; i<hv.length; i++)
    {
    	hv[i].destroy();
    }
    $(this.container).empty();
}