function CastView()
{
	this.cast = null; // FCast
	this.doesntWork = null; // Array
	this.locked = null; // Boolean
	this.holderIsHero = null; // Boolean
}

CastView.prototype.__construct = function()
{
	COM.bindExclusiveClick(this.DOM, $.proxy(this.onTooltipCreate, this));
}

CastView.prototype.cast = null; // FCast
CastView.prototype.doesntWork = null; // Array
CastView.prototype.locked = null; // Boolean
CastView.prototype.holderIsHero = null; // Boolean

CastView.create = function(c, doesntWork, holderIsHero)
{
    var res = COM.create('CastView');
    res.update(c, doesntWork, holderIsHero);
    return res;
}

CastView.prototype.update = function(c, doesntWork, holderIsHero)
{
    this.cast = c;
    this.doesntWork = doesntWork;
    this.locked = (!this.cast.startTick && !this.cast.tillTick);
    this.holderIsHero = this.holderIsHero;
    this.spellImage.src = STATIC_INTERFACE_URL + (!this.locked ? Assets.getCastImage(this.cast.spell) : CommonHeroAssets.CAST_LOCKED_CAST);
    
    var notWorking = Boolean(this.doesntWork.length || !this.cast.isStarted(Tick.now()));
    $(this.spellImage).toggleClass('grayscale', notWorking);
    
    this.DOM.title = this.locked ? '' : I18.getCastCause(this.cast);
}

CastView.prototype.onTooltipCreate = function()
{
    if (!this.locked)
    {
    	CastTip.alert(this.cast, this.doesntWork, this.holderIsHero);
    }
    else
    {
    	return false;
    	//Alert.create(I18.f('ACCESS_LEVEL_REQUIRED', FEstate.CASTS_ACCESS_LEVEL), '');
    }
}
