function DistributeWorkersBox()
{
	this.estate = null;
    this.distributeAll = false;
}

DistributeWorkersBox.prototype.__construct = function()
{
	COM.bindExclusiveClick(this.distributeWorkers, $.proxy(this.onDistributeWorkers, this));
	COM.bindExclusiveClick(this.distributeBuilders, $.proxy(this.onDistributeBuilders, this));
}

DistributeWorkersBox.prototype.onDistributeWorkers = function()
{
    var showMessage = function() { Alert.create(I18.f('MESSAGE_DISTRIBUTED_WORKERS')); }
    
    APP.showLoader();
    
    if (this.distributeAll)
    {
        Service.city.callMethod("distributeUserWorkers", [this.estate.id], showMessage);
    }
    else
    {
        Service.city.callMethod("distributeWorkers", [this.estate.id], showMessage);
    }
}

DistributeWorkersBox.prototype.onDistributeBuilders = function()
{
    var showMessage = function() { Alert.create(I18.f('MESSAGE_DISTRIBUTED_BUILDERS')); }
    
    APP.showLoader();
    
    if (this.distributeAll)
    {
        Service.city.callMethod("distributeUserBuilders", [this.estate.id], showMessage);
    }
    else
    {
        Service.city.callMethod("distributeBuilders", [this.estate.id], showMessage);
    }
}
