function FAuctionLot()
{
	this.id = 0;
	this.count = 0;
	this.finishTick = 0;
	this.lastPrice = 0;
	this.lastCustomer = '';
	this.lastCustomerInfo = null;
	
	this.priceRatio = '';
	this.finishTime = '';
	
	this.__defineGetter__("lastCustomerUsername", this.getLastCustomerUsername);
}

FAuctionLot.prototype.__CLS__ = 'game.service.city.FAuctionLot';
FAuctionLot.prototype.__className__ = 'FAuctionLot';

FAuctionLot.prototype.id = 0;
FAuctionLot.prototype.count = 0;
FAuctionLot.prototype.finishTick = 0;
FAuctionLot.prototype.lastPrice = 0;
FAuctionLot.prototype.lastCustomer = '';

FAuctionLot.prototype.priceRatio = '';   //transient
FAuctionLot.prototype.finishTime = '';   //transient

FAuctionLot.prototype.refresh = function()
{
    this.priceRatio = Math.round(this.lastPrice / this.count);
    this.finishTime = Tick.toTimeFuture(this.finishTick);
}

FAuctionLot.prototype.getLastCustomerUsername = function()
{
    return this.lastCustomerInfo ? this.lastCustomerInfo.username : "";
}