function FinishUnitsDialog()
{
	callParentConstructor(FinishUnitsDialog.prototype, this);
	this.building = null;
}

extendClass(FinishUnitsDialog.prototype, Dialog.prototype);

FinishUnitsDialog.prototype.building = null;

FinishUnitsDialog.prototype.__construct = function()
{
	COM.bindExclusiveClick(this.okButton, $.proxy(this.onFinish, this));
	COM.bindExclusiveClick(this.noButton, $.proxy(this.close, this));
} 

FinishUnitsDialog.prototype.popup = function(parent, b) 
{
    this.building = b;
    COM(this.priceLabel).ownerUser = b.estate.owner;
    this.description.innerHTML = I18.getInstantlyFinishUnitText(this.building.type.getParams(this.building.race).unitType);
    var service = ServiceHelper.getLocalServiceDecl(this.building.type.getUnitType(this.building.race).name, 0);
    if (!service)
    {
    	Alert.error('Service for ' + this.building.type.getUnitType(this.building.race).name + ' not found!');
    	return this.close();
    }
    var price = ServiceHelper.getLocalServiceDecl(this.building.type.getUnitType(this.building.race).name, 0).price;
    COM(this.priceLabel).update(price);
    
    COM(this.okButton).reason = (price <= this.building.estate.owner.pearl)
    	? null
    	: I18.f('NOT_ENOUGH_PEARL')
    ;
    
    superMethod(this, 'popup')(parent);
}

FinishUnitsDialog.prototype.onFinish = function()
{
    var self = this;
    ServiceHelper.orderLocalService(this.building.type.getUnitType(this.building.race).name, 0, null, this.building.estate.id, function ()
    {
        self.close();
        
    }, false);
}
