function DiplomatTabParent()
{
	this.estate = null;
	this.diplomacy = null;
	this.needUpdate = false;
	this.tabVisible = true;
	this.tabToolTip = '';
}

DiplomatTabParent.prototype.estate = null;
DiplomatTabParent.prototype.diplomacy = null;
DiplomatTabParent.prototype.needUpdate = false;
DiplomatTabParent.prototype.tabVisible = true;
DiplomatTabParent.prototype.tabToolTip = '';

DiplomatTabParent.prototype.__construct = function() 
{
}

DiplomatTabParent.prototype.onActionClick = function()
{
}

DiplomatTabParent.prototype.update = function(estate)
{
    this.estate = estate;
    this.diplomacy = estate.owner.diplomacy;
    this.tick();
    this.needUpdate = false;
}

DiplomatTabParent.prototype.tick = function()
{
}

DiplomatTabParent.prototype.handleResult = function(diplomacy)
{
    if (diplomacy)
    {
	    this.estate.owner.diplomacy = diplomacy;
	    this.diplomacy = this.estate.owner.diplomacy;
	    this.update(this.estate);
    }
    return false;
}

DiplomatTabParent.prototype.handleFail = function(error)
{
    if (error.__className__ == 'AvatarNotFoundException' || error.__className__ == 'AllianceException' || error.__className__ == 'MailException') 
    {
        Alert.create(error.getMessage());
        return true;
    }
    return false;
}
