
function FlagsView()
{
	this.displayOne = true;
}

FlagsView.prototype.__construct = function()
{
}

FlagsView.prototype.displayOne = true;

FlagsView.createFlags = function(flags, flagSetsCount, displayOne)
{
	if (typeof flagSetsCount == 'undefined') flagSetsCount = 0;
	if (typeof displayOne == 'undefined') displayOne = true;
    return FlagsView.create(flags.count, flagSetsCount, displayOne);
}

FlagsView.prototype.updateFlags = function(flags, flagSetsCount)
{
	if (typeof flagSetsCount == 'undefined') flagSetsCount = 0;
    this.update(flags.count, flagSetsCount);
}

FlagsView.createOne = function(flag)
{
    var flags = Flags.empty().count;
    flags[flag]++;
    return FlagsView.create(flags, 0, false);
}

FlagsView.create = function(flags, flagSetsCount, displayOne)
{
	if (typeof flagSetsCount == 'undefined') flagSetsCount = 0;
	if (typeof displayOne == 'undefined') displayOne = true;
	
    var fw = COM.create('FlagsView');
	fw.displayOne = displayOne;
	fw.update(flags, flagSetsCount);
    return fw;
}

FlagsView.prototype.update = function(flags, flagSetsCount)
{
	if (typeof flagSetsCount == 'undefined') flagSetsCount = 0;
	flags.push(flagSetsCount);
    for (var i = 0, len = this.flags.children.length; i < len; i++) 
    {
        if (i < flags.length)
        {
        	COM(this.flags.children[i]).update(flags[i], this.displayOne);
        }
    }
}
