var ManageDialogChild = function()
{
	this.__defineGetter__('cell', this.getCell);
	this.__defineGetter__('cellIndex', this.getCellIndex);
	this.__defineGetter__('building', this.getBuilding);
	this.__defineGetter__('estate', this.getEstate);
	this.__defineGetter__('workers', this.getWorkers);
	
	this.dialog = null;
	this.btnSpecial = null;
}

ManageDialogChild._instances = new FMap();
ManageDialogChild.prototype.dialog = null; //ManageDialog;

ManageDialogChild.create = function(childClass)
{
    var dialog = COM.create(childClass || 'ManageDialogChild');
    return dialog;
}

ManageDialogChild.prototype.getCell = function(){ return this.dialog ? this.dialog.cell : null; }
ManageDialogChild.prototype.getCellIndex = function(){ return this.dialog ? this.dialog.cellIndex : null; }
ManageDialogChild.prototype.getBuilding = function(){ return this.cell ? this.cell.building : null; }
ManageDialogChild.prototype.getEstate = function(){ return this.dialog ? this.dialog.estate : null; }
ManageDialogChild.prototype.getWorkers = function(){ return this.dialog ? this.dialog.workers : null; }

ManageDialogChild.prototype.__construct = function()
{
}

ManageDialogChild.prototype.onShow = function()
{
}

ManageDialogChild.prototype.update = function(estate)
{
}

ManageDialogChild.prototype.tick = function()
{
}

ManageDialogChild.prototype.cellSwitched = function()
{
}

ManageDialogChild.prototype.reset = function()
{
}

ManageDialogChild.prototype.summaryTipDialog = null;
ManageDialogChild.prototype.showSummaryTip = function()
{
    if (this.summaryTipDialog)
    {
    	this.summaryTipDialog.close();
    }
    
    var b = this.cell.building;
	this.summaryTipDialog = COM.create('SummaryTipDialog');
	this.summaryTipDialog.popup(this);
	
    this.summaryTipDialog.setCaption(b.getName());
    this.summaryTipDialog.setSubCaption(b.estate.getCellLocationText(this.cellIndex));
    
    return this.summaryTipDialog;
}
