function ShopRatioTip()
{
	
}

ShopRatioTip.prototype.__construct = function()
{
	
}

ShopRatioTip.prototype.update = function(estate, cellIndex)
{
	var b = estate.getCellByIndex(cellIndex).building;
	if (!b || !b.type.equals(BType.SHOP)) 
	{
	    return;
	}
	
	var buff = estate.getStoppingBuff(b.type);
	if (buff) 
	{
	    var stopCause = I18.getBuffCause(buff);
	    UI.show(true, [this.shopTipProblemInfo]);
	    this.shopTipProblemInfo.innerHTML = stopCause;
	    UI.show(false, [this.shopTipGrid]);
	    return;
	}
	
	var uiFlag;
	
	uiFlag = estate.isFullTaxUsed();
	UI.show(uiFlag, [this.baseProduction]);
	if (uiFlag)
	{
		this.baseName.innerHTML = b.isPerfect() ? I18.f('PERFECT_BUILDING') : I18.f('LEVEL_X', b.level);
		this.baseValue.innerHTML = Strings.formatNumber(BType.SHOP.getLevels(estate.owner.race)[b.level].peopleRatio, 3);
	}
	
	var level = estate.science.getLevel(Science.SPEC_TRADER);
	uiFlag = (level > 0) && estate.isFullTaxUsed();
	UI.show(uiFlag, [this.traiderBonus])
	if (uiFlag)
	{
	    this.bonusName.innerHTML = I18.getScience(Science.SPEC_TRADER);
	    this.bonus.innerHTML = "+" + Strings.formatNumber(Science.getShopRatioBonus(level), 3);
	}
	
	uiFlag = (estate.freeCitizens > 0) && !estate.isFullTaxUsed();
	UI.show(uiFlag, [this.overfilled]);
	if (uiFlag)
	{
		this.overfilledValue.innerHTML = Strings.formatNumber(b.shopRatioToDisplay(), 3);
	}
	
	uiFlag = !b.isWorking
	UI.show(!uiFlag, [this.shopTipGrid]);
	UI.show(uiFlag, [this.shopTipProblemInfo]);
	if (uiFlag)
	{
		this.shopTipProblemInfo.innerHTML = b.getProblem();
	}
	
	UI.show(estate.freeCitizens == 0, [this.noFreeCitizens]);
	
	uiFlag = estate.isMagicActive(b.type) && estate.isFullTaxUsed();
	UI.show(uiFlag, [this.ancientMagicBox]);
	if (uiFlag)
	{
	    this.magicLabel.innerHTML = I18.f('ANCIENT_MAGIC_NAME');
	    this.magicBonus.innerHTML = Strings.formatBonusPercent(ServiceHelper.getGloabalServiceDecl(b.type.name, 0).getValue());
	}
}