function BrotherhoodCurrentTab()
{
	callParentConstructor(BrotherhoodCurrentTab.prototype, this);
	this.caption = I18.f('BROTHERHOOD_TAB_CURRENT');
}

extendClass(BrotherhoodCurrentTab.prototype, BaseBrotherhoodTab.prototype);

BrotherhoodCurrentTab.prototype.__construct = function()
{
	superMethod(BrotherhoodCurrentTab.prototype, '__construct', this)();
}

BrotherhoodCurrentTab.prototype.onResult = function (brotherhood){};

BrotherhoodCurrentTab.prototype.update = function(brotherhood)
{
    this.brotherhood = brotherhood;
    
    if (UI.show(brotherhood.orderInExecution, [this.renderer]))
    {
	    COM(this.renderer).brotherhood = this.brotherhood;
	    COM(this.renderer).onResult = this.onResult;
	    COM(this.renderer).update(brotherhood.orderInExecution);
    }
    
    UI.show(!brotherhood.orderInExecution, [this.noOrders]);
}
