function BrotherhoodOrderDetailsDialog()
{
	callParentConstructor(BrotherhoodOrderDetailsDialog.prototype, this);
	
	this.brotherhood = null;
	this.order = null;
}

extendClass(BrotherhoodOrderDetailsDialog.prototype, Dialog.prototype);

BrotherhoodOrderDetailsDialog.create = function(order, brotherhood, onResult)
{
	var d = COM.create('BrotherhoodOrderDetailsDialog');
	
	d.brotherhood = brotherhood;
	d.onResult = onResult;
	d.update(order);
	d.popup();
	
	return d;
}

BrotherhoodOrderDetailsDialog.prototype.brotherhood = null;
BrotherhoodOrderDetailsDialog.prototype.order = null;

BrotherhoodOrderDetailsDialog.prototype.__construct = function()
{
	superMethod(BrotherhoodOrderDetailsDialog.prototype, '__construct', this)();
	this.headerRightBox.appendChild(COM(this.details).cancelOrderButton);
	this.headerRightBox.appendChild(COM(this.details).takeOrderButton);
	this.headerLeftBox.appendChild(COM(this.details).timeView);
}

BrotherhoodOrderDetailsDialog.prototype.onShow = function()
{
}

BrotherhoodOrderDetailsDialog.prototype.onResult = function (brotherhood){};

BrotherhoodOrderDetailsDialog.prototype.update = function(order)
{
    this.order = order;
    
    this.setCaption(order.targetUser.username);
    this.setSubCaption(order.targetUser.capitalLocation.toString());
    
    COM(this.details).brotherhood = this.brotherhood;
    COM(this.details).onResult = this.onResult;
    COM(this.details).update(this.order);
}
