function BrotherhoodOrderRenderer()
{
	callParentConstructor(BrotherhoodOrderRenderer.prototype, this);
	
	this.__defineGetter__('order', this.getData);
	this.__defineSetter__('order', this.setData);
}

extendClass(BrotherhoodOrderRenderer.prototype, ScrollableListItem.prototype);

BrotherhoodOrderRenderer.prototype.__construct = function()
{
	superMethod(BrotherhoodOrderRenderer.prototype, '__construct', this)();
	COM(this.timeView).handler = $.proxy(this.onExpire, this);
}

BrotherhoodOrderRenderer.prototype.onResult = function (brotherhood){};

BrotherhoodOrderRenderer.prototype.refresh = function()
{
    if (!this.order) return;
    
    this.targetUser.innerHTML = I18.formatEstateName(this.order.targetUser.username, this.order.targetUser.capitalLocation);
    COM(this.timeView).value = this.order.nextUpdateTick;
}

BrotherhoodOrderRenderer.prototype.onExpired = function()
{
    Service.user.callMethod('getBrotherhood', [], this.onResult, BrotherhoodException.errorHandler);
}
