function DestroyBuildingsGoalView()
{
	callParentConstructor(DestroyBuildingsGoalView.prototype, this);
	this.__defineGetter__('orderGoal', this.getOrderGoal);
}

extendClass(DestroyBuildingsGoalView.prototype, OrderGoalView.prototype);

DestroyBuildingsGoalView.prototype.__construct = function()
{
	superMethod(DestroyBuildingsGoalView.prototype, '__construct', this)();
	COM.bindExclusiveClick(this.btypeButton, $.proxy(this.selectBType, this));
}

DestroyBuildingsGoalView.prototype.btype = null; // BType
DestroyBuildingsGoalView.prototype.race = null; // Race

DestroyBuildingsGoalView.prototype.update = function(attacker)
{
    this.race = attacker.race;
}

DestroyBuildingsGoalView.prototype.selectBType = function()
{
    SelectBuildingToDestroyDialog.popup(this.race, null, $.proxy(this.onSelectBType, this));
}

DestroyBuildingsGoalView.prototype.onSelectBType = function(type)
{
    this.btype = type;
    COM(this.btypeButton).image.src = STATIC_URL + Assets.B_findBy(this.race, this.btype);
    this.onChange();
}

DestroyBuildingsGoalView.prototype.validate = function()
{
    var errors = [];
    if (!this.btype)
    {
        errors.push(I18.f('CHOOSE_BTYPE'));
    }
    return errors;
}

DestroyBuildingsGoalView.prototype.getOrderGoal = function()
{
    return new DestroyBuildingsGoal(COM(this.location).getCoordsXYZ(), this.btype, COM(this.count).value);
}