function KillArmyGoalView()
{
	callParentConstructor(KillArmyGoalView.prototype, this);
	this.__defineGetter__('orderGoal', this.getOrderGoal);
}

extendClass(KillArmyGoalView.prototype, OrderGoalView.prototype);

KillArmyGoalView.prototype.__construct = function()
{
	superMethod(KillArmyGoalView.prototype, '__construct', this)();
	
	COM(this.army).onChangeUnits = $.proxy(this.onArmyChange, this);
}

KillArmyGoalView.prototype.attacker = null; // FAttacker

KillArmyGoalView.prototype.update = function(attacker)
{
    this.attacker = attacker;
    COM(this.army).setShowHero(false);
    COM(this.army).editableLevels = false;
    COM(this.army).race = attacker.race;
    COM(this.army).update(COM(this.army).getArmy(), attacker.armyLevels);
}

KillArmyGoalView.prototype.validate = function()
{
    var errors = [];
    if (COM(this.army).getArmy().isEmpty()) 
    {
        errors.push(I18.f('CHOOSE_ARMY'));
    }
    return errors;
}

KillArmyGoalView.prototype.getOrderGoal = function()
{
    return new KillArmyGoal(COM(this.army).getArmy(), COM(this.army).getLevelsArray());
}

KillArmyGoalView.prototype.onArmyChange = function()
{
    COM(this.price).value = NumberUtils.floor(COM(this.army).getArmy().toFunds(this.attacker.race, this.attacker.armyLevels).toCost());
    this.onChange();
}