function CastleContributionsDialog()
{
}

extendClass(CastleContributionsDialog.prototype, Dialog.prototype);

CastleContributionsDialog.popup = function(clan)
{
	var d = COM.create('CastleContributionsDialog');
	d.popup();
	d.fullScreen();

	COM(d.membersList).dataProvider = clan.members;

    for (var i = 0, len = clan.members.length; i < len; i++)
    {
    	if (clan.members[i].role && clan.members[i].user.nextElectionTick)
    	{
    		d.setSubCaption(I18.f('NEXT_LEADER_ELECTION', DateUtils.formatSmart(Tick.toMs(clan.members[i].user.nextElectionTick))));
    	}
    }

	return d;
}

CastleContributionsDialog.prototype.__construct = function()
{
	COM(this.membersList).selectable = true;
	COM(this.membersList).unselectable = false;
	$(this.membersList).on('select', $.proxy(function(e){
		var item = COM(e.target).selectedItem;
		if (item)
		{
			var member = item.data;
			var username = member ? member.user.username : '';
			MailBoxView.i().sendMessage(username);
			COM(e.target).selectedIndex = -1;
		}
	}, this));
}
