function QuestionOption()
{
	this.__defineGetter__('value', this.getValue);
	this.__defineSetter__('value', this.setValue);
	this.onChange = null; // Function
	this.onRemove = null; // Function
}

QuestionOption.prototype.__construct = function()
{
	$(this.valueText).on('keyup', $.proxy(this.onTextChange, this));
	COM.bindExclusiveClick(this.removeButton, $.proxy(this.onRemoveClick, this));
}

QuestionOption.prototype.onChange = null; // Function
QuestionOption.prototype.onRemove = null; // Function

QuestionOption.prototype.getValue = function()
{
    return COM(this.valueText).value;
}

QuestionOption.prototype.setValue = function(val)
{
    COM(this.valueText).value = val;
}

QuestionOption.prototype.valid = function()
{
    return !Strings.isEmpty(this.value);
}

QuestionOption.prototype.onRemoveClick = function()
{
    this.onRemove(this);
}

QuestionOption.prototype.onTextChange = function()
{
    this.onChange();
}

