function HeroBagView()
{
	this.fakeSlots = 0; // int
	this.hero = null; // FHero
	this.estate = null; // FEstate
	this.parentDialog = null; // HeroDialog
}

HeroBagView.prototype.__construct = function()
{
}

HeroBagView.prototype.hero = null; // FHero
HeroBagView.prototype.estate = null; // FEstate
HeroBagView.prototype.parentDialog = null; // HeroDialog

HeroBagView.prototype.update = function(estate, hero, parentDialog)
{
	this.hero = hero;
	this.estate = estate;
	this.parentDialog = parentDialog;
	
	var len = this.bagTiles.children.length;
	var cnt = this.hero ? this.hero.bag.artifacts.length : 0;
	while (len < cnt)
	{
		var slot = COM.create('ArtifactSlotView');
		$(this.bagTiles).append(slot.DOM);
		len++;
	}
	while (len > cnt)
	{
		var slot = COM(this.bagTiles.children[len-1]);
		slot.destroy();
		slot = null;
		len--;
	}
	for (var i = 0; i < len; i++)
	{
	    var v = this.bagTiles.children[i], artifact = null;
	    if (i < this.hero.bag.artifacts.length) 
	    {
	        artifact = this.hero.bag.artifacts[i];
	    }
	    COM(v).update(this.estate, this.hero, this.hero.bag, i, artifact, [], this.parentDialog);
	}
}

HeroBagView.prototype.reset = function()
{
}

