function HeroLeft()
{
	this.race = null; // Race
	this.switchHero = null; // Function
	this.deleteHero = null; // Function
	
	this.scroll = null; // Function
}

HeroLeft.prototype.__construct = function()
{
	this.scroll = new iScroll(this.DOM, {
		hScroll: false, vScroll: true, 
		scrollbarColor: '#784f0b',
	});
}

HeroLeft.prototype.race = null; // Race
HeroLeft.prototype.switchHero = null; // Function
HeroLeft.prototype.deleteHero = null; // Function

HeroLeft.prototype.update = function(estate, hero, army, buffs, parentDialog)
{
	var view = COM(this.heroView);
	view.switchHero = this.switchHero;
	view.deleteHero = this.deleteHero;
	view.race = this.race;
	
	view.enabled = Boolean(hero);
	view.tabVisible = Boolean(hero);
	view.update(estate, hero, army, buffs, parentDialog);
	
	if (this.scroll)
	{
		setTimeout($.proxy(this.scroll.refresh, this.scroll), 300);
	}
}

HeroLeft.prototype.tick = function()
{
	COM(this.heroView).tick();
}