var ManageArtifactStore = function()
{
	callParentConstructor(ManageArtifactStore.prototype, this);
}

extendClass(ManageArtifactStore.prototype, ManageDialogChild.prototype);

ManageArtifactStore.prototype.__construct = function()
{
	COM.bindExclusiveClick(this.openButton, $.proxy(this.onOpenDialog, this));
	COM.bindExclusiveClick(this.increaseStoreButton, $.proxy(this.increaseStore, this));
	COM(this.increaseStorePrice).ownerUser = FUser.CURRENT_USER;
}

ManageArtifactStore.prototype.onShow = function()
{
	superMethod(ManageArtifactStore.prototype, 'onShow', this)();
    
    if (!this.building.isBuildingOrUpgrading) 
    {
        //return this.onOpenDialog();
    }
}

ManageArtifactStore.prototype.tick = function()
{
    COM(this.openButton).enabled = this.dialog.cell.building.isWorking;
	if (UI.show(FConfig.INCREASE_ARTIFACTS_STORE_ALLOWED && !this.estate.owner.artifactsStoreIncreased, [this.increaseStoreBox]))
	{
		var artifactStore = this.estate.findBuilding(BType.ARTIFACT_STORE);
		COM(this.increaseStorePrice).update(FConfig.INCREASE_ARTIFACTS_STORE_COST);
		
		COM(this.increaseStoreButton).reason = null;
		if (artifactStore.level < FConfig.INCREASE_ARTIFACTS_STORE_LEVEL) 
		{
			COM(this.increaseStoreButton).reason = I18.f('INCREASE_ARTIFACTS_STORE_WRONG_LEVEL_TIP', FConfig.INCREASE_ARTIFACTS_STORE_LEVEL);
		} 
		else if (this.estate.owner.pearl < FConfig.INCREASE_ARTIFACTS_STORE_COST) 
		{
			COM(this.increaseStoreButton).reason = I18.f('NOT_ENOUGH_RESOURCES');
		} 
	}

}

ManageArtifactStore.prototype.onOpenDialog = function()
{
    var innerDialog = ArtifactsDialog.popup(this.dialog.estate);
    if (this.building.isConstructed && !this.building.isBrokenOrRepairing)
    {
    	innerDialog.setSubCaption(I18.f('MAGIC_ITEMS_COUNT', this.building.storedArtifactsCount, this.building.getCapacity()));
    }
    //this.dialog.switchDialog(innerDialog);
}

ManageArtifactStore.prototype.increaseStore = function() 
{
	var estate_id = this.estate.id;
	Alert.create(I18.f('RESET_HERO_SKILLS_CONFIRMATION'), '', function(){
		Service.hero.callMethod('increaseArtifactsStore', [estate_id]);
	});
}
