function MarketAuctionItem()
{
	callParentConstructor(MarketAuctionItem.prototype, this);
}

extendClass(MarketAuctionItem.prototype, ScrollableListItem.prototype);

MarketAuctionItem.prototype.__construct = function()
{
	superMethod(MarketAuctionItem.prototype, '__construct', this)();
}

MarketAuctionItem.prototype.refresh = function()
{
	var lot = this.data;
	lot.refresh();
	
	$(this.DOM).toggleClass('highlighted', lot.lastCustomer == FUser.CURRENT_USER.username);
	
	$(this.lot).html(lot.count);
	$(this.price).html(lot.priceRatio);
	$(this.total).html(lot.lastPrice);
	
	if (UI.show(lot.lastCustomer, [this.auctioner]))
	{
		COM(this.auctioner).caption = lot.lastCustomer;
		$(this.auctioner).off(CLICK_EVENT);
		COM.bindExclusiveClick(this.auctioner, $.proxy(function(e){
			e.preventDefault();
			e.stopImmediatePropagation();
			MailBoxView.i().sendMessage(this.data.lastCustomer);
			return false;
		}, this));
	}
	
	$(this.finish).html(lot.finishTime);
}

