function MarketBuyList()
{
	callParentConstructor(MarketBuyList.prototype, this);
	
	this.scrollOptions.onBeforeScrollMove = $.proxy(this.onScrollStart, this);
	this.scrollOptions.onScrollEnd = $.proxy(this.onScrollEnd, this);

	this.pageCount = 1;
	this.pages = [];
	this.loadMore = null;// load more callback
	
}

extendClass(MarketBuyList.prototype, ScrollableList.prototype);

MarketBuyList.prototype.rendererClass = 'MarketBuyItem';

MarketBuyList.prototype.scrollOptions = {
	snap: false,
};

MarketBuyList.prototype.pageCount = 1;
MarketBuyList.prototype.pages = [];
MarketBuyList.prototype.loadMore = null;// load more callback

MarketBuyList.prototype.__construct = function()
{
	superMethod(MarketBuyList.prototype, '__construct', this)();
	
	this.resourceFilter = COM.create('ComboBox');
	this.setHeader([
		this.resourceFilter.DOM,//I18.f('RESOURCE'),
		I18.f('COUNT_SHORT'),
		I18.f('PRICE_SHORT'),
		I18.f('TOTAL_PRICE'),
		I18.f('SHIP_TIME'),
		I18.f('VENDOR')
	]);
	
	$('>*', this.headerRow).addClass('valign-middle');
	
	var data = [];
	for (var i = 0, len = Resource.RESOURCES_FOR_FILTER.length; i < len; i++)
	{
		var res = Resource.RESOURCES_FOR_FILTER[i];
		data.push(String(res));
	}
	this.resourceFilter.dataProvider = data;
	this.resourceFilter.selectedIndex = 0;
}

MarketBuyList.prototype.onScrollStart = function()
{
	//APP.pauseTicks();
}

MarketBuyList.prototype.onScrollEnd = function()
{
	//APP.resumeTicks();
	return;
	
	/*
	if (this.loading || !this.enabled || !this.scroll.isReady()) return;
	
	var p = 0, n = this.pages.length, threshold = 0;
	var more = ((this.scroll.y <= this.scroll.maxScrollY-threshold) || (this.scroll.y >= threshold));
	//console.log('SCROLL END AT %s/%s', this.scroll.y, this.scroll.maxScrollY, more, this.pages);
	
	if (more && (n > 0))
	{
		// load next page
		if (this.scroll.y <= this.scroll.maxScrollY-threshold)
		{
			p = this.pages[n-1].pageIndex + 1;
			more = (this.pages[n-1].pageCount - 1 > this.pages[n-1].pageIndex + 1);
		}
		// load prev page
		else if (this.scroll.y >= threshold)
		{
			p = this.pages[0].pageIndex - 1;
			more = (this.pages[0].pageIndex > 0);
		}
	}
	if (more)
	{
		console.log('LOAD MORE... ', p, this.pages);
		this._loadMore(p);
	}
	*/
}

// override this in loader
//MarketBuyList.prototype.loading = null;
MarketBuyList.prototype._loadMore = function(page) 
{
	if (!this.loadMore) return; 
	/*
	if (this.loading) return; 
	
	this.enabled = false;
	this.loading = document.createElement('div');
	$(this.loading)
		.addClass('align-center text-normal text-big')
		.css({
			margin: '0px', 
			position: 'absolute', 
			left: '0px', 
			top: '0px', 
			width: this.scroll.scrollerW,
			height: this.scroll.scrollerH,
			background: 'rgba(0,0,0,0.1)',
			color: 'rgba(255,255,255,1.0)',
		})
		.html('Loading...')
	;
	$(this.wrapper).append(this.loading);
	*/
	this.loadMore(page);
}

MarketBuyList.prototype.pageLoaded = function(data)
{
	this.dataProvider = data.supplies;
	/*
	var p = data.pageIndex, 
		pages = this.pages.length, 
		idx = 0, 
		cnt = Math.min(this.pageCount, data.pageCount), 
		align = (pages == cnt),
		y = this.scroll.y + 0
	;
	
    console.log('PAGE %s/%s LOADED (PAGES: %s/%s)', p, data.pageCount, pages, cnt);
	
	idx = pages && this.pages[0].pageIndex > p ? 0 : pages;
	
	// remove page items
	for (pages; pages > (cnt - 1); pages--)
	{
		var page = idx ? this.pages.shift() : this.pages.pop();
		for (var i = 0, len = page.supplies.length; i < len; i++)
		{
			// TODO: Buggy! Remove item by checking data, not by index. 
			var offset = -this.items[(idx > 0 ? 0 : this.items.length-1)].offsetHeight;
			this.removeItem(idx > 0 ? 0 : this.items.length-1);
		}
		idx--;
	}

	this.pages.splice(idx, 0, data);
    for (var i = 0, len = data.supplies.length; i < len; i++)
    {
    	var item = this.createRenderer(data.supplies[i]);
    	item.DOM.setAttribute('page', data.pageIndex);
    	this.addItem(item, idx ? this.items.length : 0);
		
		if (pages > 1)
		{
			var offset = item.DOM.offsetHeight * (idx ? -1 : 1);
	   		this.scroll.scrollTo(0, offset, 0, true);
		}
    }
	pages++;
	
	setTimeout($.proxy(function(){ this.enabled = true; }, this), 0);
   
	$(this.loading).remove();
	this.loading = null;
	
	if (pages < cnt)
	{
		this._loadMore(p+1);
	}
	*/
}
