function ApprenticeQuestRenderer()
{
	callParentConstructor(ApprenticeQuestRenderer.prototype, this);
	
	//FApprenticeQuest
	this.__defineGetter__('quest', this.getData);
	this.__defineSetter__('quest', this.setData);
}

extendClass(ApprenticeQuestRenderer.prototype, ScrollableListItem.prototype);

ApprenticeQuestRenderer.prototype.__construct = function()
{
	superMethod(ApprenticeQuestRenderer.prototype, '__construct', this)();
	COM.bindExclusiveClick(this.buttonGetReward, $.proxy(function(){ 
		if (typeof this.onGetReward == 'function')
		{
			return this.onGetReward(this.quest);
		}
	}, this));
}

ApprenticeQuestRenderer.prototype.allowControl = true;
ApprenticeQuestRenderer.prototype.onGetReward = function(q){}

ApprenticeQuestRenderer.prototype.update = function(q) 
{
	this.quest = q;
	this.refresh();
}

ApprenticeQuestRenderer.prototype.refresh = function(q)
{
    if (!this._data) return this.clear();
    
    var s = this.quest.state.name;
    
    UI.show(s == QuestState.COMPLETED.name, [this.statusOK])
    UI.show((s != QuestState.COMPLETED.name) && (s != QuestState.WAIT_REWARD.name), [this.statusNO]);
    UI.show((s == QuestState.WAIT_REWARD.name) && this.allowControl, [this.buttonGetReward]);
    
    $(this.DOM)
    	.toggleClass('prestart', (s == QuestState.PRESTART.name))
    	.toggleClass('completed', (s == QuestState.COMPLETED.name))
    	.toggleClass('wait-reward', (s == QuestState.WAIT_REWARD.name))
    ;
    this.questName.innerHTML = this.quest.header;
} 
