function BWhere(name, success)
{
	this.name = name;
	this.isSuccess = success;
}

extendClass(BWhere.prototype, Enum.prototype);

BWhere.__isEnum__ = true;

$.extend(BWhere.prototype =
{
	toString : function()
	{
		return I18.getBWhereIn(this.name);
	},

	__construct : function()
	{
		if (this.name && BWhere[this.name])
			this.isSuccess = BWhere[this.name].isSuccess;
	}
});

BWhere.CITY = new BWhere("CITY", function(cellIndex, estate)
{
	return estate.__className__ == "FCity" && !estate.isOnSector(cellIndex);
});

BWhere.PIT = new BWhere("PIT", function(cellIndex, estate)
{
	return estate.__className__ == "FPit";
});

BWhere.LAKE = new BWhere("LAKE", function(cellIndex, estate)
{
	return estate.__className__ == "FLake" && !estate.isOnSector(cellIndex);
});

BWhere.GRAIL = new BWhere("GRAIL", function(cellIndex, estate)
{
    return estate.__className__ == "FGrail" && !estate.isOnSector(cellIndex);
});

BWhere.SECTOR = new BWhere("SECTOR", function(cellIndex, estate)
{
	return estate.canManageOnSectors() && estate.isOnSector(cellIndex);
});

BWhere.CAPITAL = new BWhere("CAPITAL", function(cellIndex, estate)
{
	return estate.__className__ == "FCity" && estate.isCapital && !estate.isOnSector(cellIndex);
});

BWhere.CASTLE = new BWhere("CASTLE", function(cellIndex, estate)
{
	return estate.__className__ == "FCastle";
});