function FClanDiplomacy()
{
    this.peaceDeclarations = null; //ArrayCollection FClanDeclaration
    this.warDeclarations = null; //ArrayCollection FClanDeclaration
}

FClanDiplomacy.prototype.peaceDeclarations = null; //ArrayCollection FClanDeclaration
FClanDiplomacy.prototype.warDeclarations = null; //ArrayCollection FClanDeclaration

FClanDiplomacy.prototype.getDeclarations = function(peace)
{
    return peace ? this.peaceDeclarations : this.warDeclarations;
}

FClanDiplomacy.prototype.isDeclarationsLimit = function(peace)
{
    return this.countDeclarations(peace, [ClanDeclarationState.EFFECTIVE, ClanDeclarationState.OUTCOMING]) >= FConfig.CLAN_DECLARATIONS_MAX_COUNT;
}

FClanDiplomacy.prototype.countDeclarations = function(peace, states)
{
    return Arrays.count(this.getDeclarations(peace), function(declaration)
    {
        for (var i = 0, len = states.length; i < len; i++)
        {
        	if (states[i].name == declaration.state.name) return true;
        }
        return false;
    });
}

FClanDiplomacy.prototype.filterDeclarations = function(peace, states)
{
    return Arrays.filter(this.getDeclarations(peace), function(declaration)
    {
        for (var i = 0, len = states.length; i < len; i++)
        {
        	if (states[i].name == declaration.state.name) return true;
        }
        return false;
    });
}
