function FClanMember()
{
	this.__defineGetter__('isLeaving', function() { return !Tick.isInfinity(this.leaveClanTick); });
	this.__defineGetter__('isLeader', function() { return this.hasRole(ClanRole.LEADER); });
	
	this.user = null; // FUserInfo
	this.hasAccepted = false;
	this.donatedGold = 0;
	this.donatedPearl = 0;
	this.castlesDonatedFunds = null; // Funds
	this.castlesDonatedPearl = 0;
	this.earnedPeacePoints = 0;
	this.earnedWarPoints = 0;
	this.leaveClanTick = 0;
	this.role = null; // ClanRole
	this.invitor = '';
}

FClanMember.prototype.user = null; // FUserInfo
FClanMember.prototype.hasAccepted = false;
FClanMember.prototype.donatedGold = 0;
FClanMember.prototype.donatedPearl = 0;
FClanMember.prototype.castlesDonatedFunds = null; // Funds
FClanMember.prototype.castlesDonatedPearl = 0;
FClanMember.prototype.earnedPeacePoints = 0;
FClanMember.prototype.earnedWarPoints = 0;
FClanMember.prototype.leaveClanTick = 0;
FClanMember.prototype.role = null; // ClanRole
FClanMember.prototype.invitor = '';

FClanMember.prototype.compareTo = function(other)
{
    if (this.isLeader == other.isLeader) 
    {
        return this.user.username.localeCompare(other.user.username);
    }
    return this.isLeader ? -1 : 1;
}

FClanMember.prototype.toString = function()
{
    return this.user.username;
}

FClanMember.prototype.hasRole = function(r)
{
    if (!this.role) return !r;
    return (this.role.name == r.name || this.role.name == ClanRole.LEADER.name);
}

