function FLake()
{
	callParentConstructor(FLake.prototype, this);
};

extendClass(FLake.prototype, FOuterEstate.prototype);

$.extend(FLake.prototype,
{
	__className__ : "FLake",
	
	isCellReachable : function(cellIndex)
	{
		return this.isOnSector(cellIndex) ? this.isSectorsScienceLearned() : true;
	},

	isOnSector : function(cellIndex)
	{
		return cellIndex < this.CELLS_ON_SECTORS;
	},

	canManageOnSectors : function()
	{
		return true;
	},

	getVisualNumber : function(cellIndex)
	{
		if (this.isOnSector(cellIndex))
		{
			return cellIndex % this.CELLS_PER_SECTOR + 1;
		}
		return superMethod(FLake, "getVisualNumber", this)(this.getIndexWithoutSectors(cellIndex));
	},

	getMaxCellIndex : function()
	{
		return this.cells.length + this.CELLS_ON_SECTORS;
	},

	/*
	getProductionPerHour : function()
	{
		return FConfig.LAKE_PRODUCTION;
	},
	*/

	getEstateType : function()
	{
		return EstateType.LAKE;
	}
}); 