var BLevelResurrector = function()
{
	this.resurrection = 0; //  Number 
	this.costChange = 0; //  Number 
}

extendClass(BLevelResurrector.prototype, BLevel.prototype);

BLevelResurrector.prototype.resurrection = 0; //  Number 
BLevelResurrector.prototype.costChange = 0; //  Number 

BLevelResurrector.prototype.getBonus = function(e)
{
    var result = 0;
    var clericLevel = e.science.getLevel(Science.SPEC_CLERIC);
    if (clericLevel > 0)
    {
        result += FConfig.getSciencePrice(Science.SPEC_CLERIC, clericLevel).resurrectionBonus;
    }
    result += e.sumOfBuildingBuffs(BuffType.BOOST_BUILDING, BType.RESURRECTOR);
    return result;
}

BLevelResurrector.prototype.getResurrectionPercent = function(e)
{
    return NumberUtils.floor((this.resurrection + this.getBonus(e)) * 100);
}
