function BoostMerchantsIcon()
{
	callParentConstructor(BoostMerchantsIcon.prototype, this);
}

extendClass(BoostMerchantsIcon.prototype, BoostPeriodicalIcon.prototype);

BoostMerchantsIcon.prototype.__construct = function()
{
	superMethod(BoostMerchantsIcon.prototype, '__construct', this)();
}

BoostMerchantsIcon.prototype.updateData = function()
{
    this.icon = STATIC_INTERFACE_URL + Assets.MAGIC_SPECIAL_MISSION;
    this.btype = BType.MERCHANT;
    this.abilityToolTip = I18.f("BOOST_MERCHANTS");
    this.description1 = I18.f("BOOST_MERCHANTS");
    var decl = ServiceHelper.getGloabalServiceDecl(BType.MERCHANT.name, 0);
    this.duration = decl.duration;
    this.effect = Strings.formatPercent(decl.getValue() * 100);
    this.price = decl.price;
}
