function ButtonsCombo()
{
	this.selected = null;
	
	this.select = $.proxy(this.select, this);
	
	this.activeSkin = "yellow";
}

ButtonsCombo.prototype.select = function(current)
{
	if(current.currentTarget)
	{
		current = COM(current.currentTarget);
	}
	
	var buttons = $("SimpleButton", this.DOM);
	for(var i = 0; i < buttons.length; i++)
	{
		this.setDefaultButtonMode(COM(buttons[i]));
	}
	
	current.disabledCSSClass = "disabled";
	current.skin = this.activeSkin;
	
	this.selected = current;
}

ButtonsCombo.prototype.setDefaultButtonMode = function(item)
{
	var el = COM.get(item);
	if(!el) el = item;
	
	el.disabledCSSClass = "disabled";
	el.skin = "flat";
	el.DOM.style.width = '100%';
}

ButtonsCombo.prototype.addChild = function(item)
{
	$(item).on(CLICK_EVENT, this.select);
	this.setDefaultButtonMode(item);
	$(this.wrapper).append(item);
}