function KnowledgeView()
{
	this.asSpeed = true;
	
	this.__defineGetter__('value', this.getValue);
	this.__defineSetter__('value', this.setValue);
}

KnowledgeView.prototype.__construct = function()
{
	if (this.DOM.hasAttribute('asSpeed')) 
	{
		this.asSpeed = ($(this.DOM).attr('asSpeed') == 'true');
	}
	
	COM(this.speed).source = STATIC_URL + CommonAssets.ICON_KNOWLEDGE;
}

KnowledgeView.create = function(value)
{
    var kView = COM.create('KnowledgeView');
    kView.value = value;
    return kView;
}

KnowledgeView.prototype.getValue = function()
{
	
}

KnowledgeView.prototype.setValue = function(value)
{
	COM(this.speed).value = (this.asSpeed ? I18.f('PER_TIME', Math.round(value)) : Math.round(value));
}

KnowledgeView.prototype.updateProgress = function(value, total)
{
    COM(this.speed).value = (I18.f('CURRENT_MAX', [Math.round(value), Math.round(total)]));
}
