function MagicIcon()
{
	callParentConstructor(MagicIcon.prototype, this);
	
	this.abilityToolTip = "";
	this.boostType = "";
	this.expTick = 0;
	this.frozen = false;
	
	this.__defineSetter__("source", this.setIcon);
}

extendClass(MagicIcon.prototype, SimpleButton.prototype);

MagicIcon.prototype.__construct = function()
{
    superMethod(MagicIcon.prototype, '__construct', this)();
    this.activate(0);
    if(this.updateData) this.updateData();
    
    this.source = STATIC_INTERFACE_URL + Assets.SUBSCRIPTION;
}

MagicIcon.prototype.update = function()
{
}

MagicIcon.prototype.activate = function(lastTick)
{
    if (!lastTick)
    {
        lastTick = 0;
    }
    
    this.expTick = lastTick;
    this.frozen = false;
    
    Effects.pearlServiceActive(this, this.isActive());
}

MagicIcon.prototype.activateFrozen = function(lastTick)
{
    this.expTick = lastTick;
    this.frozen = true;
    this.source = STATIC_INTERFACE_URL + CommonAssets.ICON_ANCIENT_MAGIC_IN_PROGRESS;
}

MagicIcon.prototype.isActive = function()
{
    return this.frozen || Tick.now() <= this.expTick;
}

MagicIcon.prototype.createTip = function(event)
{
    /*
    if (isActive()) {
        event.toolTip = Tip.create(I18h.activeMagicTip(expTick));
    } else {
        event.toolTip = Tip.create(abilityToolTip);
    }
    */
}