function PearlPrice()
{
}

PearlPrice.create = function(price, text)
{
    var res = COM.create("PearlPrice");
    res.text.innerHTML = text;
    res.update(price, false);
    return res;
}

PearlPrice.prototype.__construct = function()
{
	this.showText = this.DOM.hasAttribute('showText') ? this.DOM.getAttribute('showText') != 'false' : true;
    var txt = this.DOM.hasAttribute('text') ? this.DOM.getAttribute('text') : this.__inlineData;
    this.text.innerHTML = txt ||/* I18.f("PRICE") + ":"*/'';
    COM(this.priceLabel).source = STATIC_URL + CommonAssets.ICON_PEARL;
    this.showObtain = this.DOM.hasAttribute('showObtain') ? this.DOM.getAttribute('showObtain') == 'true' : false;
    this.ownerUser = null;
    this.glow = false;
    this.manageable = this.DOM.hasAttribute('manageable') ? this.DOM.getAttribute('manageable') != 'false' : true;
    this.updateUI();
    
    COM.bindExclusiveClick(this.DOM, $.proxy(this.obtainPearl, this));
}

PearlPrice.prototype.checkPrice = function(price)
{
	return this.manageable ? (!this.ownerUser ? FUser.CURRENT_USER : this.ownerUser).pearl >= price : true;
};

PearlPrice.prototype.updateUI = function()
{
	UI.show(this.showText, [this.text]);
	
	var obtain = this.showObtain && this.manageable;
	UI.show(obtain && false, [this.obtainButton]);
}

PearlPrice.prototype.update = function(price, accessManageble)
{
    if(typeof accessManageble == "undefined") accessManageble = true;
    
    this.manageable = accessManageble;
    
    COM(this.priceLabel).value = price;
    
    this.updateUI();
}

PearlPrice.prototype.obtainPearl = function()
{
	if (!this.showObtain && !this.manageable) return;
	return COM(this.obtainButton).obtainPearl();
}