function RatingStarsView()
{
	this.__defineSetter__('titleIndex', function(value)
	{
		for (var i = 0, len = this.DOM.children.length; i < len; i++) 
	    {
	        var child = this.DOM.children.item(i);
	        //child.src = STATIC_INTERFACE_URL + (len-i > value ? CommonAssets.STAR_ICON_EMPTY : CommonAssets.STAR_ICON);
	        child.src = STATIC_INTERFACE_URL + (i >= value ? CommonAssets.STAR_ICON_EMPTY : CommonAssets.STAR_ICON);
	    }
		//this.value.innerHTML = value;
	});
}

RatingStarsView.prototype.__construct = function()
{
	this.createChildren();
}

RatingStarsView.MAX_STARS_COUNT = 8;

RatingStarsView.prototype.createChildren = function(n)
{
    n = n || RatingStarsView.MAX_STARS_COUNT;
	if(n > 5) n = 5;
    var image = document.createElement('img');
    image.src = STATIC_INTERFACE_URL + CommonAssets.STAR_ICON_EMPTY;
    //image.style.margin = '0px -10px 0px 0px';
    for (var i = 0; i < n; i++) 
    {
        var img = image.cloneNode(false);
        this.DOM.appendChild(img);
        //img.style.zIndex = 100 * (n-i);
    }
    
    //this.DOM.style.width = (image.width * n) + 'px';
    //this.DOM.style.height = (image.height) + 'px';
}
