function Style()
{
	this.name = "";
}

Style.prototype.applyTo = function(c)
{
	var node = c['DOM'] || c;
	var concurentStyles = ['negative', 'positive', 'overflow'];
	if (concurentStyles.indexOf(this.name) > -1)
	{
		$(node).removeClass(concurentStyles.join(' '));
	}
	$(node).addClass(this.name);
	return c;
}

Style.prototype.toString = function()
{
	return "Style{name=" + this.name + "}";
}

Style.c = function(name)
{
	var s = new Style();
	s.name = name;
	return s;
}

Style.COLOR_NEGATIVE = "#ff8888";
Style.COLOR_POSITIVE = "#1fd308";
Style.COLOR_OVERFLOW = "#ffaa00";

Style.SCIENCE_CAN_RESEARCH = "#99CC33";
Style.SCIENCE_CANNOT_RESEARCH = "#A3A3A3";
Style.SCIENCE_MAX_RESEARCHED = "#FFFF99";

Style.DEFAULT = Style.c("");

Style.FUNDS = Style.c("positive");
Style.BOLD = Style.c("bold");
Style.FUNDS_FULL = Style.c("negative");
Style.PROBLEM_INFO = Style.c("negative");
Style.TIP_LABEL = Style.c("tiplabel");
Style.DISABLED = Style.c("disabled");
Style.OVERFLOW = Style.c("overflow");

Style.POSITIVE_BONUS = Style.FUNDS;
Style.NEGATIVE_BONUS = Style.FUNDS_FULL;

Style.TIP = Style.c("tip");
Style.TRANSPARENT = Style.c("transparent");

Style.assignTip = function(target, text)
{
	//target.setStyle("textDecoration", "underline");
	//target.toolTip = text.toString();
}
Style.removeTip = function(target)
{
	//target.setStyle("textDecoration", "none");
	//target.toolTip = "";
}

Style.forBonus = function(value)
{
	return NumberUtils.greaterThan(value, 0) ? Style.POSITIVE_BONUS : Style.NEGATIVE_BONUS;
}

Style.getFontName = function(direction)
{
	return "pt-regular";
}