function MilitaryUnitSmallView()
{
	callParentConstructor(MilitaryUnitSmallView.prototype, this);
	
	this.onToolTip = null;
}

extendClass(MilitaryUnitSmallView.prototype, MilitaryUnitView.prototype);

MilitaryUnitSmallView.prototype.__construct = function()
{
	superMethod(MilitaryUnitSmallView.prototype, "__construct", this)();
	
	/*
	COM.bindExclusiveClick(this.DOM, $.proxy(function(e)
	{
		if(this.onToolTip)
		{
			this.onToolTip(e);
		}
	}, this));
	*/
}

MilitaryUnitSmallView.prototype.changeBordersVisibility = function()
{
	this.countBorder.style.display = this.count.style.display;
	this.countFakeBorder.style.display = this.countFake.style.display;
	this.countInitialBorder.style.display = this.countInitial.style.display;
	this.countLostBorder.style.display = this.countLost.style.display;
}

MilitaryUnitSmallView.prototype.initUnitView = function(race, mut, level, forcedRace)
{
	superMethod(MilitaryUnitSmallView.prototype, "initUnitView", this)(race, mut, level, forcedRace);
	
	this.card.src = STATIC_INTERFACE_URL + Assets.getRaceAssets(forcedRace || race).cards[mut.name + "_" + UnitType.normalize(level)];
	
	this.changeBordersVisibility();
	//this.unitName.innerHTML = I18.getUnitName(mut, level, (forcedRace || race));
}

MilitaryUnitSmallView.prototype.initEmpty = function(race)
{
	this._race = race;
    this.card.src = STATIC_URL + Assets.getUnitBackFor(race);
    this.setGrayscale(true);
    this.turnOffTexts();
    this.changeBordersVisibility();
}

MilitaryUnitSmallView.prototype.initFake = function(countFake)
{
	UI.show(false, [this.countFake]);
	this.changeBordersVisibility();
}

MilitaryUnitSmallView.prototype.initUnitLevel = function(level)
{
    this._level = level;
    this.card.src = STATIC_URL_BASE + "1/" + Assets.getUnitImageFor(this.race, this.mutype, level);
    this.changeBordersVisibility();
}

MilitaryUnitSmallView.prototype.turnOffTexts = function()
{
	superMethod(MilitaryUnitSmallView.prototype, "turnOffTexts", this)();
	this.changeBordersVisibility();
}

MilitaryUnitSmallView.prototype.turnOffBottomTexts = function()
{
	superMethod(MilitaryUnitSmallView.prototype, "turnOffBottomTexts", this)();
	this.changeBordersVisibility();
}

MilitaryUnitSmallView.prototype.turnOnBottomTexts = function()
{
	superMethod(MilitaryUnitSmallView.prototype, "turnOnBottomTexts", this)();
	this.changeBordersVisibility();
}

MilitaryUnitSmallView.prototype.initLocked = function()
{
	superMethod(MilitaryUnitSmallView.prototype, "initLocked", this)();
	this.changeBordersVisibility();
}

MilitaryUnitSmallView.prototype.initCount = function(count, buffs, faded)
{
	superMethod(MilitaryUnitSmallView.prototype, "initCount", this)(count, buffs, faded);
	this.changeBordersVisibility();
}

MilitaryUnitSmallView.prototype.initCountInitial = function(count, initial, losses)
{
	superMethod(MilitaryUnitSmallView.prototype, "initCountInitial", this)(count, initial, losses);
	this.changeBordersVisibility();
}