function TowerView()
{
	this.level = 0;
    this.btype = null;
    this.race = null;
    this.damage = null;
    this.bonusConst = null;
    this.bonusPercent = null;
    
    /*
    addEventListener(ToolTipEvent.TOOL_TIP_CREATE, onToolTip);
	toolTip = " ";
	*/
}

TowerView.createEmpty = function(mini)
{
    var result = COM.create("TowerView");
    var card = document.createElement("img");
    card.src = STATIC_INTERFACE_URL + (mini ? CommonAssets.CARD_LOCKED_MINI : CommonAssets.CARD_LOCKED);
	card.width = 68;
	card.height = 82;
    result.container.appendChild(card);
    return result;
}

TowerView.create = function(race, btype, level, damage, bonusPercent, bonusConst, mini)
{
    var result = COM.create("TowerView");
    var card = document.createElement("img");
    card.src = STATIC_INTERFACE_URL + Assets.getTowerImageFor(race, btype, level, mini);
	card.width = 68;
	card.height = 82;
    result.container.appendChild(card);
    result.level = level;
    result.btype = btype;
    result.race = race;
    if (level == 0)
    {
        Effects.greyScale(card);
        Effects.darken(card);
    }
    else
    {
        result.bonusConst = bonusConst;
        result.bonusPercent = bonusPercent;
        result.damage = damage;
    }
    return result;
}

TowerView.prototype.__construct = function()
{
	COM.bindExclusiveClick(this.DOM, $.proxy(this.onToolTip, this));
}

TowerView.prototype.onToolTip = function(e)
{
    if (this.level > 0)
    {
        var items = [CommonAssets.STAT_ATTACK, UI.styledText(this.damage, Style.BOLD)];
        if (!NumberUtils.equals(this.bonusPercent, 0))
        {
            items.push(UI.bonusLabelPercent(this.bonusPercent));
        }
        if (!NumberUtils.equals(this.bonusConst, 0))
        {
            items.push(UI.bonusLabelConst(this.bonusConst));
        }
        
        var res = document.createElement("div");
        res.innerHTML = I18.getBuildingAndLevelFrom(this.race, this.btype, this.level);
        
        items[1].style.display = 'block';
        res.innerHTML += items[1].outerHTML;
        
        for (var i = 2; i < items.length; i++) 
        {
        	items[i].style.margin = '0px 4px';
        	res.innerHTML += items[i].outerHTML;
        }
        
        //var res = document.createElement("div");
        //res.innerHTML = I18.getBuildingAndLevelFrom(this.race, this.btype, this.level);
        //UIh.addLine(res, items);
        
        Alert.create(res);
    }
    else
    {
        //e.toolTip = Tip.invisible();
    }
}