function IconValueBonusView()
{
	callParentConstructor(IconValueBonusView.prototype, this);
}

extendClass(IconValueBonusView.prototype, IconAndValue.prototype);

IconValueBonusView.prototype.setBonus = function(n, isPercent)
{
    if (isPercent)
    {
        this.value = Strings.formatPercent(n, true);
    }
    else
    {
        this.value = n > 0 ? "+" + n.toString() : n.toString();
    }
    
    this.styleFunds(n < 0);
}

IconValueBonusView.create = function(icon, bonus, isPercent)
{
    if(typeof isPercent == "undefined")
    {
    	isPercent = true;
    }
    
    var component = COM.create("IconValueBonusView");
    
    component.source = icon;
    component.setBonus(bonus, isPercent);
    return component;
}