function GlobalSelectionCitiesCombo()
{
	callParentConstructor(GlobalSelectionCitiesCombo, this);
	
	this.returnEstateId = null;
	
	this.forKingdom = false;

	this.__defineSetter__("links", this.setLinks);
}

extendClass(GlobalSelectionCitiesCombo.prototype, EstateCombo.prototype);

GlobalSelectionCitiesCombo._selectedCityId = null;
GlobalSelectionCitiesCombo._lastOwnCityId = null;

GlobalSelectionCitiesCombo.getSelectedCityId = function()
{
	return GlobalSelectionCitiesCombo._selectedCityId;
}

GlobalSelectionCitiesCombo.__defineGetter__("selectedCityId", GlobalSelectionCitiesCombo.getSelectedCityId);
GlobalSelectionCitiesCombo.__defineGetter__("selected", GlobalSelectionCitiesCombo.getSelectedCityId);

GlobalSelectionCitiesCombo.prototype.cityChanged = function(e)
{
	superMethod(this, "cityChanged")(e);
	if(e) GlobalSelectionCitiesCombo._selectedCityId = e.id;
	this.update(e);
}

GlobalSelectionCitiesCombo.prototype.setSelected = function(e)
{
	superMethod(GlobalSelectionCitiesCombo.prototype, "setSelected", this)(e);
	this.update(e);
}

GlobalSelectionCitiesCombo.prototype.update = function(e)
{
	if(!this.forKingdom) return;
	
	GlobalSelectionCitiesCombo._selectedCityId = !e ? null : e.id;
	if (e)
	{
		if (e.estateInfo.owner.username == FUser.CURRENT_USER.username)
		{
			GlobalSelectionCitiesCombo._lastOwnCityId = GlobalSelectionCitiesCombo._selectedCityId;
		}
	}
}

GlobalSelectionCitiesCombo.prototype.setLinks = function(value)
{
	superMethod(this, "setLinks")(value);
	
	var link = this.findLink(value, GlobalSelectionCitiesCombo._selectedCityId);
	if (!link)
	{
		link = this.findLink(value, GlobalSelectionCitiesCombo._lastOwnCityId);
	}
	if (link)
	{
		this.selected = link;
	}
}

GlobalSelectionCitiesCombo.prototype.findLink = function(links, id)
{
	if (id)
	{
		for (var i = 0; i < links.length; i++)
		{
			if (links[i].id.equals(id))
				return links[i];
		}
	}
	return null;
}