function SpeedBox()
{
	callParentConstructor(SpeedBox.prototype, this);
	this.highlightZeros = false;
	this.showProblems = true;
}

extendClass(SpeedBox.prototype, BaseResourceBox.prototype);

SpeedBox.prototype.highlightZeros = false;
SpeedBox.prototype.showProblems = true;

SpeedBox.prototype.constructProblemResources = function(f)
{
    var problemResources = [];
    for (var i = 0; i < Resource.FUNDS_RESOURCES.length; i++) 
    {
    	var r = Resource.FUNDS_RESOURCES[i];
        if (f.getValue(r) <= 0) 
        {
            problemResources.push(r);
        }
    }
    return problemResources;
}

SpeedBox.prototype.update = function(f, race) 
{
    superMethod(this, 'update')(f, race);
    if (this.showProblems) 
    {
        this.styleFunds(this.constructProblemResources(f), true);
    }
}

SpeedBox.prototype.setVal = function(r, value)
{
    superMethod(this, 'setVal')(r, value);
    COM.get(this.getIcon(r)).value = I18.f('PER_TIME', this.toStringForm(value));
}

SpeedBox.prototype.refreshHighlight = function() 
{
    for (var i = 0; i < Resource.FUNDS_RESOURCES.length; i++) 
    {
    	var r = Resource.FUNDS_RESOURCES[i];
        COM.get(this.getIcon(r)).styleFunds(this.highlightZeros && this._funds.getValue(r) == 0);
    }
}
