function FArtifactList()
{
}

FArtifactList.prototype.__CLS__ = "game.service.heroes.FArtifactList";
FArtifactList.prototype.id = null;//:Number;
FArtifactList.prototype.artifacts = []//:ArrayCollection;//<FArtifact>

FArtifactList.prototype.prepareForRequest = function()
{
	var ret = [];
	
	for(var i=0; i<this.artifacts.length; i++)
	{
		if(this.artifacts[i])
		{
			ret[i] = this.artifacts[i].prepareForRequest();
		}
		else
		{
			ret[i] = null;
		}
	}
	
	return {
		__CLS__: this.__CLS__,
		id: this.id,
		artifacts: ret
	};
}

FArtifactList.prototype.firstAddPosition = function(artifact)
{
    var i = 0;
    for (var i = 0, len = this.artifacts.length; i < len; i++)
    {
        if (!this.artifacts[i] || artifact.isStackableTo(this.artifacts[i])) 
        {
            return i;
        }
    }
    return -1;
}
