function BodyPart(name, ordinal)
{
	if (typeof name == 'object') return BodyPart[name.name];
	
	this.name = name;
	this._ordinal = ordinal;
	
	BodyPart.VALUES.push(this);
	BodyPart.count++;
}

BodyPart.VALUES = [];
BodyPart.count = 0;

BodyPart.HEAD = new BodyPart("HEAD", 0);
BodyPart.NECK = new BodyPart("NECK", 1);
BodyPart.CHEST = new BodyPart("CHEST", 2);
BodyPart.WAIST = new BodyPart("WAIST", 3);
BodyPart.LEGS = new BodyPart("LEGS", 4);
BodyPart.FINGER = new BodyPart("FINGER", 5);
BodyPart.ITEM = new BodyPart("ITEM", 6);
BodyPart.LEFT_HAND = new BodyPart("LEFT_HAND", 7);
BodyPart.RIGHT_HAND = new BodyPart("RIGHT_HAND", 8);

BodyPart.prototype._ordinal = 0;

BodyPart.prototype.isHand = function() 
{
    return this.name == BodyPart.LEFT_HAND.name || this.name == BodyPart.RIGHT_HAND.name;
}

BodyPart.prototype.ordinal = function() 
{
    return this._ordinal;
}
