function KingdomMenu()
{
	this.onEnter = null;
	this.onBuild = null;
	this.onAssist = null;
	this.onAttack = null;
	this.onMoveArmy = null;
	this.onMoveResources = null;
	this.onObserve = null;
	this.onExpedition = null;
	this.onCastSpell = null;
	this.onSendMessage = null;
	this.onDestroy = null;
	this.onMakeCamp = null;
	this.onMakeGift = null;
	this.onForgiveBetrayer = null;
	this.onShareOuterEstate = null;
	this.onShowInfo = null;
	
	this.clickHandler = $.proxy(this.clickHandler, this);
}

KingdomMenu.prototype.__construct = function()
{
	$(this.btnEnter).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnSettle).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnMoveCityHere).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnAssist).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnAttack).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnMoveArmy).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnMoveResources).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnObserve).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnExpedition).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.castSpell).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnSendMessage).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnDestroy).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnRefuse).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnCamp).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnMakeGift).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnForgiveBetrayer).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.btnShareOuterEstate).on(MOUSE_UP_EVENT, this.clickHandler);
	$(this.showInfo).on(MOUSE_UP_EVENT, this.clickHandler);
	
	$(this.DOM).on(MOUSE_DOWN_EVENT, function(e)
	{
		e.stopImmediatePropagation();
		return false;
	});
}

KingdomMenu.prototype.clickHandler = function(e)
{
	if(e)
	{
		var handler = this[$(e.target).attr("handler")];
		if(handler && typeof handler == "function")
		{
			APP.playSound('action');
			handler();
		}
	}
	
	e.stopImmediatePropagation();
	return false;
}