function FKingdom()
{
	this.location = null;
    this.fields = null;
    this.mailBoxStatus = null;

    this.links = null;
    this.allies = null;
    this.clanmates = null;

    this.prize = null;
    this.destroyedDark = null;
    this.destroyedLight = null;
    this.aliveDark = null;
    this.aliveLight = null;
    
    this.__defineGetter__("height", this.getHeight);
    this.__defineGetter__("width", this.getWidth);
}

FKingdom.prototype.__CLS__ = "game.service.kingdom.FKingdom";

FKingdom.WIDTH = 9;
FKingdom.HEIGHT = 7;

FKingdom.getFieldLocationByZ = function(z)
{
    return new XY(z % FKingdom.WIDTH, Math.floor(z / FKingdom.WIDTH));
}

FKingdom.prototype.getField = function(x, y)
{
    return this.fields[y][x];
}

FKingdom.prototype.getCapitalLink = function()
{
    return FUser.getCapitalLink(this.links);
}

FKingdom.prototype.getHeight = function()
{
    return this.fields.length;
}

FKingdom.prototype.getWidth = function()
{
    return this.height > 0 ? this.fields[0].length : 0;
}