function AddEditAllyDialog()
{
	
}

extendClass(AddEditAllyDialog.prototype, Dialog.prototype);

AddEditAllyDialog.prototype.__construct = function()
{
	$(this.allowAccessEstatesBox).on('change', $.proxy(this.accessEstatesChanged, this));
	$(this.player).on('change', $.proxy(function(){
		COM(this.okButton).enabled = Boolean(COM(this.player).value);
	}, this));
	COM.bindExclusiveClick(this.okButton, $.proxy(this.onOk, this));
}

AddEditAllyDialog.prototype.accessEstatesChanged = function()
{
    if (COM(this.allowAccessEstatesBox).checked) 
    {
        COM(this.allowAccessMissionsBox).disabled = false;
    } 
    else 
    {
        COM(this.allowAccessMissionsBox).disabled = true;
        COM(this.allowAccessMissionsBox).checked = false;
    }
}

AddEditAllyDialog.prototype.onResult = function(username, addToContacts, allowAccessEstates, allowAccessMissions){}

AddEditAllyDialog.prototype.toOfferAllianceMode = function()
{
    UI.show(true, [this.checkBoxFormItem]);
    COM(this.okButton).caption = I18.f('OFFER_ALLIANCE');
    COM(this.checkBox).label = I18.f('ADD_CONTACT');
    COM(this.player).disabled = false;
    COM(this.allowAccessMissionsBox).disabled = true;
}

AddEditAllyDialog.prototype.toEditAllianceMode = function(ally, isAcceptProposal, isDeputy)
{
    UI.show(isAcceptProposal, [this.checkBoxFormItem]);
    COM(this.okButton).caption = isAcceptProposal ? I18.f('ACCEPT_ALLIANCE_OFFER') : I18.f('EDIT');
    COM(this.allowAccessEstatesBox).disabled = isDeputy;
    COM(this.allowAccessEstatesBox).checked = ally.accessEstatesAllowedToAlly || isDeputy;
    COM(this.allowAccessMissionsBox).disabled = !Boolean(COM(this.allowAccessEstatesBox).checked);
    COM(this.allowAccessMissionsBox).checked = ally.accessMissionsAllowedToAlly;
    COM(this.player).value = ally.user.username;
    COM(this.player).disabled = true;
}

AddEditAllyDialog.prototype.onOk = function()
{
    if (!Quarantine.contains(this)) 
    {
        this.onResult(COM(this.player).value, 
        	COM(this.checkBox).checked, 
        	COM(this.allowAccessEstatesBox).checked, 
        	COM(this.allowAccessMissionsBox).checked
        );
    }
}

AddEditAllyDialog.prototype.setup = function()
{
}
