function AddEditContactDialog()
{
	callParentConstructor(AddEditContactDialog.prototype, this);
}

extendClass(AddEditContactDialog.prototype, Dialog.prototype);

AddEditContactDialog.prototype.__construct = function()
{
	COM.bindExclusiveClick(this.okButton, $.proxy(this.onOk, this));
	COM(this.comment).size = FConfig.MAX_MAIL_COMMENT_LENGTH;
}

AddEditContactDialog.prototype.onResult = function() {};

AddEditContactDialog.prototype.toIgnoreContactMode = function(isEdit)
{
    UI.show(false, [this.checkBoxFormItem]);
    COM(this.okButton).caption = isEdit ? I18.f("OK") : I18.f("IGNORE_CONTACT");
    this.setCaption(isEdit ? I18.f('EDIT_CONTACT') : I18.f("IGNORE_CONTACT"));
}

AddEditContactDialog.prototype.toAddContactMode = function(isEdit)
{
    UI.show(true, [this.checkBoxFormItem]);
    COM(this.checkBox).label = I18.f("SHOW_STATUS");
    COM(this.okButton).caption = isEdit ? I18.f("OK") : I18.f("ADD_CONTACT");
    this.setCaption(isEdit ? I18.f('EDIT_CONTACT') : I18.f("ADD_CONTACT"));
}

AddEditContactDialog.prototype.onOk = function()
{
    if (!Quarantine.contains(this.ID))
    {
        Quarantine.put(this.ID);
        this.onResult(COM(this.player).value || '', COM(this.comment).value || '', COM(this.checkBox).checked);
    }
}

AddEditContactDialog.prototype.setup = function()
{
}