function AdminToUserMessageView()
{
	callParentConstructor(AdminToUserMessageView.prototype, this);
}

extendClass(AdminToUserMessageView.prototype, MessageView.prototype);

AdminToUserMessageView.prototype.getMessage = function()
{
    return this.renderer.data;
};

AdminToUserMessageView.prototype.createChildren = function()
{
    //superMethod(AdminToUserMessageView.prototype, "__construct", this)();
    
    var cls = this.message.__CLS__.split(".").pop();
    
    if(cls == "FEveryYearMessage" && this.message.rewards)
    {
    	var d = document.createElement("div");
    	d.innerHTML = "&nbsp;";
    	this.DOM.appendChild(d);
    	
    	var d = document.createElement("div");
    	d.innerHTML = I18.f("REWARD_FOR_HOLYDAY") + ":";
    	this.DOM.appendChild(d);
    	
    	var d = document.createElement("div");
    	EffectsView.createDescriptiveView(d, this.message.rewards, true, true, true, false);
    	this.DOM.appendChild(d);
    	
    	$("i18-mega-object, div", d).css({"display": "inline-block", "padding-right": "6px"});
    }
    
    /*
    var d = document.createElement("div");
    var b = COM.create("SimpleButton");
    b.caption = I18.f("MAIL_REPLY");
    COM.bindExclusiveClick(b.DOM, $.proxy(this.replyOnAdministrationMessage, this));
    d.appendChild(b.DOM);
    d.style.textAlign = "center";
    this.DOM.appendChild(d);
    */
};

AdminToUserMessageView.prototype.setReplyButton = function()
{
    if(this.message.canReply)
    {
        var b = COM.create("SimpleButton");
        COM.bindExclusiveClick(b.DOM, $.proxy(this.replyOnAdministrationMessage, this));
        
        return b;
    }
};

AdminToUserMessageView.prototype.replyOnAdministrationMessage = function()
{
    this.renderer.onReplyToAdmin(this.message);
};