function MailFilterItem()
{
	this.onClick = null;
	this.filter = "";
}

MailFilterItem.prototype.__construct = function()
{
	COM.bindExclusiveClick(this.DOM, $.proxy(this.clickHandler, this));
}

MailFilterItem.prototype.clickHandler = function()
{
	if(APP.ticksIsPaused) return;
	
	this.select();
	if(this.onClick)
	{
		this.onClick(this);
	}
}

MailFilterItem.prototype.select = function()
{
	$("MailFilterItem", this.DOM.parentNode).each(function(ix, el)
	{
		COM(el).deselect();
	});
	
	$(this.DOM).addClass("selected");
}

MailFilterItem.prototype.deselect = function()
{
	$(this.DOM).removeClass("selected");
}

MailFilterItem.prototype.init = function(icon, name)
{
	this.icon.src = STATIC_INTERFACE_URL + icon;
	this.name.innerHTML = name;
}