function NewsDialog()
{
	callParentConstructor(NewsDialog.prototype, this);
}

extendClass(NewsDialog.prototype, Dialog.prototype);

NewsDialog.prototype.__construct = function()
{
	superMethod(NewsDialog.prototype, '__construct', this)();
	this.fullScreen();
	
	COM(this.list).onItemSelect = $.proxy(this.onClickMessage, this);
	COM(this.list).createRenderer = NewsDialog.onCreateRenderer;
	COM(this.pager).onSelect = $.proxy(function(){
		this.onChangePage(COM(this.pager).page);
	}, this);
}

NewsDialog.create = function()
{
	APP.showLoader();
	var dialog = COM.create('NewsDialog');
	dialog.popup();
	dialog.onChangePage(0);
	return dialog;
}

NewsDialog.onCreateRenderer = function(data)
{
	var renderer = COM.create('MessageDetails');
	renderer.showCheck(false);
	renderer.data = data;
	renderer.onExpand = NewsDialog.onExpandMessage;
	return renderer;
}

NewsDialog.onExpandMessage = function(renderer)
{
	var message = renderer.data; // FBaseMessage
	if (message.unread) 
	{
    	Service.user.callMethod('markNewsRead', [message.id]);
	}
}

NewsDialog.prototype.onChangePage = function(index)
{
	APP.showLoader();
	Service.user.callMethod('getNews', [index], $.proxy(this.update, this));
}

NewsDialog.prototype.update = function(page /*FMailBoxPage*/) 
{
	$('news-wrapper', this.DOM).toggleClass('single-page', (page.pageCount < 2));
	COM(this.list).dataProvider = page.messages;
	COM(this.pager).setIndexAndCount(page.pageIndex, page.pageCount);
	
	APP.hideLoader();
}

NewsDialog.prototype.pageChanged = function(index)
{
	this.onChangePage(index);
}

NewsDialog.prototype.onClickMessage = function(target, idx, list)
{
	return;
	var dialog = COM.create('MessageDialog');
	dialog.popup(SystemMessageView.create(COM(target).data, COM(target)));
}
