function SubjectSelector(s)
{
	callParentConstructor(SubjectSelector.prototype, this);
	
	this.strings = [];
	this.DOM = document.createElement("row");
	this.input = null;
	
	var l = document.createElement("cell");
	l.innerHTML = I18.f("SUBJECT");
    this.DOM.appendChild(l);
    
    l = document.createElement("cell");
    this.input = COM.create("ComboBox");
    l.appendChild(this.input.DOM);
    this.DOM.appendChild(l);
	
	if(s)
	{
		this.update(s);
	}
}

extendClass(SubjectSelector.prototype, Subject.prototype);

SubjectSelector.prototype.onChange = function() {};

SubjectSelector.prototype.update = function(s)
{
    this.strings = s;
    
    var data = [];
    for(var i=0; i<this.strings.length; i++)
    {
    	data.push({
    		value: this.strings[i],
    		label: I18.getMegaString(this.strings[i])
    	});
    }
    
    this.input.dataProvider = data;
    this.input.selectedIndex = 0;
}

SubjectSelector.prototype.startEdit = function()
{
}

SubjectSelector.prototype.getText = function()
{
    return this.input.value;
}

SubjectSelector.prototype.getAdminSubject = function()
{
    return this.getText();
}