function FCastMessage()
{
	callParentConstructor(FCastMessage.prototype, this);
	
	this.casterPlayer = null;
    this.casterHero = null;
    this.casterEstate = null;

    this.spellName = null;
    this.spellLevel = null;
    this.activeTill = null;
    this.hasEffect = null;

    this.targetPlayer = null;
    this.targetHero = null;
    this.targetEstate = null;

    this.infection = null;
    this.castEffects = null;
    
    this.__defineGetter__("targetPlayerFixed", this.getTargetPlayerFixed);
    this.__defineGetter__("spellNameTranslated", this.getSpellNameTranslated);
}

extendClass(FCastMessage.prototype, FSystemMessage.prototype);

FCastMessage.prototype.__CLS__ = "game.service.mail.FCastMessage";

FCastMessage.prototype.getIcon = function()
{
    return MailAssets.MESSAGE_ICON_MAGIC;
}

FCastMessage.prototype.getActualSender = function()
{
    return I18.f("MAGIC_MESSAGE_SENDER");
}

FCastMessage.prototype.getTargetPlayerFixed = function()
{
    return FUser.getUserNameForMessages(this.targetPlayer);
}

FCastMessage.prototype.getSpellNameTranslated = function()
{
    return Texts.spellName(spellName) + " " + I18.f("LVL_X", spellLevel);
}