function FMissionExpeditionMessage()
{
	callParentConstructor(FMissionExpeditionMessage.prototype, this);
	
	this.expeditionResult = null;
    this.cellCount = null;
    this.maxHallLevel = null;
    this.expeditionRace = null;
    this.terrain = null;
    this.estateLevel = null;

    this.heroFace = null;
    this.heroName = null;

    this.foundFlag = null;
    this.source = null;
}

extendClass(FMissionExpeditionMessage.prototype, FMissionMessage.prototype);

FMissionExpeditionMessage.prototype.__CLS__ = "game.service.mail.FMissionExpeditionMessage";

FMissionExpeditionMessage.prototype.getActualSender = function()
{
    return MissionExpeditionSource.CAST.name == this.source.name ? I18.f("MAGIC_MESSAGE_SENDER") : I18.f("SYSTEM_MESSAGE_SENDER");
}

FMissionExpeditionMessage.prototype.getIcon = function()
{
    return MissionExpeditionSource.CAST.name == this.source.name ? MailAssets.MESSAGE_ICON_MAGIC : superMethod(FMissionExpeditionMessage.prototype, "getIcon", this)();
}