function FUserToAdminMessage()
{
	callParentConstructor(FUserToAdminMessage.prototype, this);
	
	this.originalSubject = null;
    this.originalCreationTick = null;
    this.changer = null;
}

extendClass(FUserToAdminMessage.prototype, FUserMessage.prototype);

FUserToAdminMessage.prototype.__CLS__ = "game.service.mail.FUserToAdminMessage";

FUserToAdminMessage.prototype.getReceiver = function()
{
    return I18.f("ADMINISTRATION_MESSAGE_SENDER");
}

FUserToAdminMessage.prototype.createView = function(renderer)
{
    var view = new UserToAdminMessageView();
    view.renderer = renderer;
    return view;
}

FUserToAdminMessage.prototype.getSubject = function()
{
    return (this.originalSubject ? "FW:(" + this.changer + ")" : "") + superMethod(FUserToAdminMessage.prototype, "getSubject", this)();
}

FUserToAdminMessage.prototype.getBody = function()
{
    if (this.originalSubject)
    {
        return  "Original message date: " + Tick.happensAt(this.originalCreationTick) + "\n" +
            "Original message subject: " + this.originalSubject + "\n" +
            "TEXT:\n" + superMethod(FUserToAdminMessage.prototype, "getBody", this)();
    }
    
    return superMethod(FUserToAdminMessage.prototype, "getBody", this)();
}