function CombatCalculationMessageView()
{
	callParentConstructor(CombatCalculationMessageView.prototype, this);
}

extendClass(CombatCalculationMessageView.prototype, SystemMessageView.prototype);

CombatCalculationMessageView.prototype.getSubject = function()
{
    return I18.f("CALCULATION_OF_COMBAT", this._message.toEstateNameAndLocation());
}

CombatCalculationMessageView.prototype.createChildren = function()
{
    superMethod(CombatCalculationMessageView.prototype, "createChildren", this)();
    
    var box = COM.create("CombatResultBox");
    box.message = this._message;
    box.showAsCalculatorReport = true;
    box.createChildren();
    this.DOM.appendChild(box.DOM);
    
    
    /*
    var button = COM.create("SimpleButton");
    button.caption = I18.f("MAIL_FORWARD");
    COM.bindExclusiveClick(button.DOM, $.proxy(function(e)
    {
        this.renderer.onForwardMessage(this._message);
    }, this));
    this.DOM.appendChild(button.DOM);
    
    */
    
    
}

CombatCalculationMessageView.prototype.getHeaderColor = function()
{
    if (this._message.isForwarded)
    {
        return Effects.LIGHT_ORANGE;
    }    
    return superMethod(CombatCalculationMessageView.prototype, "getHeaderColor", this)();
}

CombatCalculationMessageView.prototype.setForwardButton = function()
{
    var button = COM.create("SimpleButton");
    COM.bindExclusiveClick(button.DOM, $.proxy(function(e)
    {
        this.renderer.onForwardMessage(this._message);
    }, this));
    return button;
}
