function MissionAncientsAssistanceMessageView()
{
	callParentConstructor(MissionAncientsAssistanceMessageView.prototype, this);
}

extendClass(MissionAncientsAssistanceMessageView.prototype, SystemMessageView.prototype);

MissionAncientsAssistanceMessageView.prototype.getSubject = function()
{
    switch (this._message.result.name)
    {
        case MissionResult.FAIL.name:
            return I18.f("SYSTEM_MESSAGE_SUBJECT_ANCIENT_ASSISTANCE_FAIL_LEAVER");
        case MissionResult.UNKNOWN.name:
            return I18.f("SYSTEM_MESSAGE_SUBJECT_ANCIENTS_ASSISTANCE_CAME");
        case MissionResult.SUCCESS.name:
            return I18.f("SYSTEM_MESSAGE_SUBJECT_ANCIENTS_ASSISTANCE_LEFT");
    }
    return superMethod(MissionAncientsAssistanceMessageView.prototype, "getSubject", this)();;
}

MissionAncientsAssistanceMessageView.prototype.createChildren = function()
{
    superMethod(MissionAncientsAssistanceMessageView.prototype, "createChildren", this)();
    
    var m = this._message;
    switch (m.result.name)
    {
        case MissionResult.FAIL.name:
            this.addText(I18.f("SYSTEM_MESSAGE_BODY_ANCIENT_ASSISTANCE_FAIL_LEAVER"));
            break;
        case MissionResult.UNKNOWN.name:
            this.addText(I18.f("SYSTEM_MESSAGE_BODY_ANCIENTS_ASSISTANCE_CAME", m.toEstateNameAndLocation()));
            break;
        case MissionResult.SUCCESS.name:
            this.addText(I18.f("SYSTEM_MESSAGE_BODY_ANCIENTS_ASSISTANCE_LEFT"));
            break;
    }
}