function SelectBuildingToSiegeDialog()
{
	callParentConstructor(SelectBuildingToSiegeDialog.prototype, this);
}

extendClass(SelectBuildingToSiegeDialog.prototype, SelectBuildingToDestroyDialog.prototype);

SelectBuildingToSiegeDialog.popup = function(race, type, onResult)
{
	var res = COM.create("SelectBuildingToSiegeDialog");
	res.setupAndPopup(race, type, onResult);
	return res;
}

SelectBuildingToSiegeDialog.prototype.initBuildings = function(race)
{
	var bts = BType.values;
	for (var i = 0, len = bts.length; i < len; i++) 
	{
		var bt = bts[i];
		if (bt.name != BType.CASTLEGATE.name) 
		{
			if (bt.canBeBuiltOnSector(race) || bt.canBeBuiltIn(race, EstateType.PIT) || bt.canBeBuiltIn(race, EstateType.LAKE) || bt.canBeBuiltIn(race, EstateType.GRAIL)) 
			{
				this.addBuilding(bt, race);
			} 
			else if (bt.canBeBuiltIn(Race.CASTLE_MONSTER, EstateType.CASTLE)) 
			{
				this.addBuilding(bt, Race.CASTLE_MONSTER);
			}
		}
	}
	
	setTimeout($.proxy(this.scroll.refresh, this.scroll), 300);
}

/*
SelectBuildingToSiegeDialog.prototype.filterBuildingTypes = function(bt, race)
{
	return bt.canBeBuiltOnSector(race)
		|| bt.canBeBuiltIn(race, EstateType.PIT)
		|| bt.canBeBuiltIn(race, EstateType.LAKE)
		|| bt.canBeBuiltIn(Race.MONSTER, EstateType.CASTLE)
		|| bt.canBeBuiltIn(race, EstateType.GRAIL)
	;
}
*/