function RatingClanListItem()
{
	callParentConstructor(this);
	
	this.__defineGetter__('member', this.getMember);
	this.__defineSetter__('member', this.setMember);
}

extendClass(RatingClanListItem.prototype, ScrollableListItem.prototype);

RatingClanListItem.prototype.__construct = function()
{
}

RatingClanListItem.prototype.getMember = function()
{
    return this._data;
}
RatingClanListItem.prototype.setMember = function(val)
{
    this.data = val;
}

RatingClanListItem.prototype.onError = function(e)
{
	/*
    if ((e.__className__ == 'ClanException')) 
    {
        Alert.create(e.getMessage());
        return true;
    }
    return false;
    */
}

RatingClanListItem.prototype.refresh = function()
{
	if (!this.data)
    {
        return;
    }
       
   	//this.castles_cell.style.display = FConfig.i.CASTLES_ENABLED ? "" : "none";
   
   	this.rating.innerHTML = this.member.position;
    this.clan.innerHTML = htmlEscape(this.member.user.clanName);
    
    var img = document.createElement("img");
    var src;
    if(this.member.user.clanType.name == ClanType.DEMOCRATIC.name) src = "democratic";
    if(this.member.user.clanType.name == ClanType.MONARCHICAL.name) src = "monarchical";
    img.src = STATIC_INTERFACE_URL + "shared/icons/clan/"+src+".png";
    this.type.appendChild(img);
    
    this.points.innerHTML = this.member.user.clanRegistered ?
    							NumberUtils.format(this.member.ratingPoints, 0, I18.f("DECIMAL_SEPARATOR"), I18.f("THOUSAND_SEPARATOR")) :
    							I18.f("CLAN_IS_REGISTERING_LOCK");
    
    this.players.innerHTML = this.member.membersCount;
    this.castles.innerHTML = this.member.castlesCount > 0 ? this.member.castlesCount : I18.f("NO");

    

}


RatingClanListItem.prototype.onTooltip = function(e)
{
    //e.toolTip = EstateStarsClanView.createAsTip(data.user, null, false, false, true)
}

