function TournamentRewardRenderer()
{
	this.onGetReward = null;
	this.artifact = null;
}

TournamentRewardRenderer.prototype.__construct = function()
{
	COM.bindExclusiveClick(this.getButton, $.proxy(function()
	{
		if(this.onGetReward)
		{
			this.onGetReward(this.artifact);
		}
	}, this));
};

TournamentRewardRenderer.prototype.update = function(artifact)
{
    this.artifact = artifact;
    this.nameLabel.innerHTML = Texts.artifactName(artifact.declaration);
    this.levelLabel.innerHTML = I18.f("ARTIFACT_LEVEL", artifact.declaration.level);
}