function UseTournamentServiceDialog()
{
	callParentConstructor(UseTournamentServiceDialog.prototype, this);
	
	this.reward = [];
	this.onChoose = null;
	
	this.__defineGetter__("rewardBox", this.getRewardBox);
}

extendClass(UseTournamentServiceDialog.prototype, ChooseRewardDialog.prototype);

UseTournamentServiceDialog.prototype.__construct = function()
{
	superMethod(UseTournamentServiceDialog.prototype, "__construct", this)();
	
	COM.bindExclusiveClick(this.useButton, $.proxy(function(e)
	{
		this.onAllChoosen(e.currentTarget);
	}, this));
	
	COM.bindExclusiveClick(this.cancelButton, $.proxy(this.close, this));
	
	this.setCaption(I18.f("TOURNAMENT_HELP"));
}

UseTournamentServiceDialog.prototype.getRewardBox = function()
{
    return this.rewardDesc;
}

UseTournamentServiceDialog.prototype.onAllChosenSpecific = function(rewardData)
{
    this.close();
    this.onChoose(rewardData);
}

UseTournamentServiceDialog.prototype.spawnRewardsDialog = function()
{
    return EffectsView.createCastActivationView(this.onOuterDialogChosen, this.rewardDesc, this.reward, null, null);
}