function HeroConfigLoader()
{
    //private var preloader:PreloaderGraphic = new PreloaderGraphic(0, 100);
    this.configMap = {};
}

HeroConfigLoader._instance = null;

HeroConfigLoader.i = function()
{
	if (!HeroConfigLoader._instance)
	{
        HeroConfigLoader._instance = new HeroConfigLoader();
    }
    return HeroConfigLoader._instance;
}

HeroConfigLoader.prototype.load = function(serverType, handle, progress)
{
    APP.showLoader();
    
    var config = this.configMap[serverType];
    if (config)
    {
        FHeroConfig.load(config);
        
        APP.hideLoader();
        handle();
        return;
    }

    PortalService.account.callMethod("getHeroConfigMobile", [serverType, HeropediaViewType.getFromFlashVars()], 
            $.proxy(function(config)
            {
                if (!config)
                {
                    Alert.create(I18.f("NO_AVAILABLE_SERVER_OF_TYPE"));
                    return;
                }
                this.configMap[serverType] = config;
                FHeroConfig.load(config);
                
                APP.hideLoader();
                handle();
            }, this),
            $.proxy(function(e)
            {
                APP.hideLoader();
                
                if (e.__className__ == "ClientKnowsException")
                {
                    Alert.create(e.gameException.getMessage());
                    return true;
                }
                return false;
            }, this));
}