function ArtifactsView()
{
}

ArtifactsView.prototype.__construct = function()
{
	this.artifactsDesriptionLabel.innerHTML = I18.f("ARTIFACTS_DESCRIPTION");
	this.setLevelLabel.innerHTML = I18.f("SET_LEVEL");
	
	var cb = COM(this.setLevels);
	for(var i=1; i<=5; i++) cb.addItem(i, i, i==1);
	cb.onChange = $.proxy(this.onSetLevelChange, this);
}

ArtifactsView.prototype.update = function()
{
    var val = COM(this.setLevels).value;
    var setNames = Arrays.filter(FHeroConfig.i().sets.keys,
            function(name)
            {
                return FHeroConfig.i().sets.getValue(name).level == val;
            }).sort();
    
    while(this.setsView.children.length)
    {
    	COM.destroy(this.setsView.children[0]);
    }
    
    var view;
    for(var i=0; i<setNames.length; i++)
    {
    	view = COM.create("SetView");
    	view.update(setNames[i]);
    	this.setsView.appendChild(view.DOM);
    }
    
    if(this.parent && this.parent.refreshScroll) this.parent.refreshScroll();
}

ArtifactsView.prototype.onSetLevelChange = function()
{
    this.update();
}