var GLOBAL_TICKS_ENABLED = false;

CONFIG.css = CONFIG.css.concat([
	
	'advisor',
	'mail',
	'science',
	'kingdom',
	'garrison',
	'calculator',
	'quest',
	'manage',
	'rating',
	'build',
	'hero',
	'upgrade',
	'payment',
	'brotherhood',
	
]);

CONFIG.scripts = CONFIG.scripts.concat([
	'app/libs/Session.js',
	'app/libs/LongTap.js',
	'app/libs/DragNDrop.js',
	'app/classes/game/util/Texts.js',
	'app/classes/game/util/Arithmetical.js',
	'app/classes/game/util/Effects.js',
	'app/classes/game/util/UIh.js',
	'app/classes/game/util/CombatBonusUtil.js',
	'app/classes/game/util/ScienceBonusUtil.js',
	'app/classes/game/util/ArrayCollection.js',
	'app/classes/game/util/FLong.js',
	'app/classes/game/service/ServiceHelper.js',
	'app/classes/game/model/XY.js',
	'app/classes/game/model/XYZ.js',
	'app/classes/game/model/BuffTarget.js',
	'app/classes/game/model/BuffType.js',
	'app/classes/game/model/FBuff.js',
	'app/classes/game/model/Funds.js',
	'app/classes/game/model/FundsBuilder.js',
	'app/classes/game/model/FUser.js',
	'app/classes/game/model/Science.js',
	'app/classes/game/model/GateState.js',
	'app/classes/game/model/EstateType.js',
	'app/classes/game/model/CheckResult.js',
	'app/classes/game/model/Army.js',
	'app/classes/game/model/ArmyUtils.js',
	'app/classes/game/model/ServiceDecl.js',
	'app/classes/game/model/ServiceItemDecl.js',
	'app/classes/game/model/Range.js',
	'app/classes/game/model/RangeDouble.js',
	'app/classes/game/model/CastCause.js',
	'app/classes/game/model/BuffCause.js',
	'app/classes/game/model/UserSettings.js',
	'app/classes/game/model/SmileType.js',
	'app/classes/game/model/SmileInfo.js',
	'app/classes/game/model/GiftInfo.js',
	'app/classes/game/model/GiftType.js',
	'app/classes/game/model/UserFraction.js',
	'app/classes/game/model/Role.js',
	'app/classes/game/model/FResponse.js',
	'app/classes/game/model/BuildOrder.js',
	'app/classes/game/model/HintType.js',
	'app/classes/game/model/FHint.js',
	'app/classes/game/model/FRating.js',
	'app/classes/game/model/FRatingData.js',
	'app/classes/game/model/RatingType.js',
	'app/classes/game/model/terrain/CellBlocker.js',
	'app/classes/game/model/terrain/Terrain.js',
	'app/classes/game/model/BuffSummator.js',
	'app/classes/game/model/unit/UnitType.js',
	'app/classes/game/model/unit/AuraBonus.js',
	'app/classes/game/model/unit/EmptyUnitAura.js',
	'app/classes/game/model/unit/UnitAura.js',
	'app/classes/game/model/user/FUserData.js',
	'app/classes/game/view/hint/HintArrow.js',
	'app/classes/game/view/Ticker.js',
	'app/classes/game/view/alliance/AllianceStatus.js',
	'app/classes/game/view/alliance/AllianceConstraints.js',
	'app/classes/game/view/alliance/FAlly.js',
	'app/classes/game/view/alliance/FDeputy.js',
	'app/classes/game/view/alliance/FDiplomacy.js',
	'app/classes/game/view/alliance/FFriend.js',
	'app/classes/game/view/common/Style.js',
	'app/classes/game/view/mail/CombatViewUtils.js',
	'app/classes/game/view/mail/MailConstraints.js',
	'app/classes/game/view/mail/Subject.js',
	'app/classes/game/view/mail/SubjectInput.js',
	'app/classes/game/view/mail/SubjectSelector.js',
	'app/classes/game/view/mail/MessageView.js',
	'app/classes/game/view/mail/UserMessageView.js',
	'app/classes/game/view/mail/UserToAdminMessageView.js',
	'app/classes/game/view/mail/SystemMessageView.js',
	'app/classes/game/view/mail/EspionageReportMessageView.js',
	'app/classes/game/view/mail/ObservationReportMessageView.js',
	'app/classes/game/view/mail/AdminToUserMessageView.js',
	'app/classes/game/view/mail/SmileResolver.js',
	'app/classes/game/view/mail/MissionInfo.js',
	'app/classes/game/view/mail/views/CombatCalculationMessageView.js',
	'app/classes/game/view/mail/views/MissionAncientsAssistanceMessageView.js',
	'app/classes/game/view/mail/views/MissionAssistanceMessageView.js',
	'app/classes/game/view/mail/views/MissionAttackMessageView.js',
	'app/classes/game/view/mail/views/MissionCampView.js',
	'app/classes/game/view/mail/views/MissionEscapeView.js',
	'app/classes/game/view/mail/views/MissionMoveArmyView.js',
	'app/classes/game/view/mail/model/FBaseMessage.js',
	'app/classes/game/view/mail/model/FUserMessage.js',
	'app/classes/game/view/mail/model/FSystemMessage.js',
	'app/classes/game/view/mail/model/CatapultSiegeResult.js',
	'app/classes/game/view/mail/model/ClientMailBoxState.js',
	'app/classes/game/view/mail/model/ClientMailPageState.js',
	'app/classes/game/view/mail/model/ContactStatus.js',
	'app/classes/game/view/mail/model/EffectEntry.js',
	'app/classes/game/view/mail/model/FAdminToUserMessage.js',
	'app/classes/game/view/mail/model/FArmyOwnerSummary.js',
	'app/classes/game/view/mail/model/FArmyRetreatSummary.js',
	'app/classes/game/view/mail/model/FArmyRound.js',
	'app/classes/game/view/mail/model/FArmyRoundSummary.js',
	'app/classes/game/view/mail/model/FAutoHideoutMessage.js',
	'app/classes/game/view/mail/model/FBuildingsEffectsMessage.js',
	'app/classes/game/view/mail/model/FCastMessage.js',
	'app/classes/game/view/mail/model/FCatapultSiegeMessage.js',
	'app/classes/game/view/mail/model/FCautiousAttackersMessage.js',
	'app/classes/game/view/mail/model/FCombatReport.js',
	'app/classes/game/view/mail/model/FContact.js',
	'app/classes/game/view/mail/model/FEspionageMessage.js',
	'app/classes/game/view/mail/model/FEveryYearMessage.js',
	'app/classes/game/view/mail/model/FExpeditionFailedMessage.js',
	'app/classes/game/view/mail/model/FGateOpenMessage.js',
	'app/classes/game/view/mail/model/FMailBox.js',
	'app/classes/game/view/mail/model/FMailBoxPage.js',
	'app/classes/game/view/mail/model/FMailBoxStatus.js',
	'app/classes/game/view/mail/model/FMentorToApprenticesMessage.js',
	'app/classes/game/view/mail/model/FMissionMessage.js',
	'app/classes/game/view/mail/model/FMilitaryMissionMessage.js',
	'app/classes/game/view/mail/model/FMissionExpeditionMessage.js',
	'app/classes/game/view/mail/model/FObservationMessage.js',
	'app/classes/game/view/mail/model/FPersonalEventMessage.js',
	'app/classes/game/view/mail/model/FRoundReport.js',
	'app/classes/game/view/mail/model/FRuinLegacyMessage.js',
	'app/classes/game/view/mail/model/FTournamentFinishedMessage.js',
	'app/classes/game/view/mail/model/FUserInfo.js',
	'app/classes/game/view/mail/model/FUserToAdminMessage.js',
	'app/classes/game/view/mail/model/FUserToClanMessage.js',
	'app/classes/game/view/mail/model/MailReceiverType.js',
	'app/classes/game/view/mail/model/MailSenderType.js',
	'app/classes/game/view/mail/model/MissionCatapultResult.js',
	'app/classes/game/view/mail/model/MissionExpeditionResult.js',
	'app/classes/game/view/mail/model/MissionExpeditionSource.js',
	'app/classes/game/view/mail/model/MissionReport.js',
	'app/classes/game/view/mail/model/MissionSettlerResult.js',
	'app/classes/game/view/mail/model/Relation.js',
	'app/classes/game/view/mail/model/RoundType.js',
	'app/classes/game/view/mail/model/TowerInRound.js',
	'app/classes/game/view/mail/model/WinnerInfo.js',
	'app/classes/game/view/mission/model/MissionOrder.js',
	'app/classes/game/view/mission/model/FAggregatedMilitaryInfo.js',
	'app/classes/game/view/mission/model/FEstateMilitaryInfo.js',
	'app/classes/game/view/mission/model/FMission.js',
	'app/classes/game/view/mission/model/FMissionGroup.js',
	'app/classes/game/view/mission/model/FPrepareMission.js',
	'app/classes/game/view/mission/model/MilitaryMissionOrder.js',
	'app/classes/game/view/mission/model/MissionAssistanceOrder.js',
	'app/classes/game/view/mission/model/MissionAttackGoal.js',
	'app/classes/game/view/mission/model/MissionAttackOrder.js',
	'app/classes/game/view/mission/model/MissionCampOrder.js',
	'app/classes/game/view/mission/model/MissionCatapultOrder.js',
	'app/classes/game/view/mission/model/MissionEspionageOrder.js',
	'app/classes/game/view/mission/model/MissionExpeditionOrder.js',
	'app/classes/game/view/mission/model/MissionFilter.js',
	'app/classes/game/view/mission/model/MissionMoveArmyOrder.js',
	'app/classes/game/view/mission/model/MissionMoveResourcesOrder.js',
	'app/classes/game/view/mission/model/MissionObservationOrder.js',
	'app/classes/game/view/mission/model/MissionResult.js',
	'app/classes/game/view/mission/model/MissionSettlerOrder.js',
	'app/classes/game/view/mission/model/MissionSpeed.js',
	'app/classes/game/view/mission/model/MissionState.js',
	'app/classes/game/view/calculator/ArmyInBattle.js',
	'app/classes/game/view/calculator/CombatRole.js',
	'app/classes/game/view/calculator/PredictionPolicy.js',
	'app/classes/game/view/city/BConstraints.js',
	'app/classes/game/view/city/EstateTicker.js',
	'app/classes/game/view/city/PrepareMissionTicker.js',
	'app/classes/game/view/city/model/BuildingState.js',
	'app/classes/game/view/city/model/BWhere.js',
	'app/classes/game/view/city/model/BWhereMask.js',
	'app/classes/game/view/city/model/BWhereCell.js',
	'app/classes/game/view/city/model/FBuilding.js',
	'app/classes/game/view/city/model/Resource.js',
	'app/classes/game/view/city/model/FScience.js',
	'app/classes/game/view/city/model/FEstateInfo.js',
	'app/classes/game/view/city/model/EstateId.js',
	'app/classes/game/view/city/model/FCell.js',
	'app/classes/game/view/city/drain/AbstractReducer.js',
	'app/classes/game/view/city/drain/ArmyReducer.js',
	'app/classes/game/view/city/drain/PopulationReducer.js',
	'app/classes/game/view/city/drain/ResourceReducer.js',
	'app/classes/game/view/city/drain/FDrainCalculator.js',
	'app/classes/game/view/city/model/FCellular.js',
	'app/classes/game/view/city/model/FSector.js',
	'app/classes/game/view/city/model/FEstate.js',
	'app/classes/game/view/city/model/FOuterEstate.js',
	'app/classes/game/view/city/model/FCity.js',
	'app/classes/game/view/city/model/FCastle.js',
	'app/classes/game/view/city/model/FCamp.js',
	'app/classes/game/view/city/model/FGrotto.js',
	'app/classes/game/view/city/model/FLake.js',
	'app/classes/game/view/city/model/FGrail.js',
	'app/classes/game/view/city/model/FMine.js',
	'app/classes/game/view/city/model/FPit.js',
	'app/classes/game/view/city/model/FRuin.js',
	'app/classes/game/view/city/model/FStonehenge.js',
	'app/classes/game/view/city/model/FCatapult.js',
	'app/classes/game/view/city/model/FEvil.js',
	'app/classes/game/view/city/model/FCastleStandard.js',
	'app/classes/game/view/city/model/CastleStandardDeclaration.js',
	'app/classes/game/view/city/model/CastTarget.js',
	'app/classes/game/view/city/model/FBan.js',
	'app/classes/game/view/city/model/FBanInfo.js',
	'app/classes/game/view/city/model/QuestionType.js',
	'app/classes/game/view/city/model/FQuestion.js',
	'app/classes/game/view/city/model/ClanRole.js',
	'app/classes/game/view/city/model/FClanMember.js',
	'app/classes/game/view/city/model/ClanDeclarationState.js',
	'app/classes/game/view/city/model/FClanCapacitorManageData.js',
	'app/classes/game/view/city/model/FClanDeclaration.js',
	'app/classes/game/view/city/model/FClanDiplomacy.js',
	'app/classes/game/view/city/model/FClanInfo.js',
	'app/classes/game/view/city/model/FClanInvitation.js',
	'app/classes/game/view/city/model/Flags.js',
	'app/classes/game/view/city/model/FMarket.js',
	'app/classes/game/view/city/model/FSupply.js',
	'app/classes/game/view/city/FAuction.js',
	'app/classes/game/view/city/FAuctionLot.js',
	'app/classes/game/view/city/model/FUpgradeUnitsInfo.js',
	'app/classes/game/view/city/model/building/BType.js',
	'app/classes/game/view/city/model/building/BuildingParams.js',
	'app/classes/game/view/city/model/building/level/BLevel.js',
	'app/classes/game/view/city/model/building/level/BLevelRaiser.js',
	'app/classes/game/view/city/model/building/level/BLevelCapacitor.js',
	'app/classes/game/view/city/model/building/level/BLevelHall.js',
	'app/classes/game/view/city/model/building/level/BLevelUnitProducer.js',
	'app/classes/game/view/city/model/building/level/BLevelTower.js',
	'app/classes/game/view/city/model/building/level/BLevelTerraformer.js',
	'app/classes/game/view/city/model/building/level/BLevelTemple.js',
	'app/classes/game/view/city/model/building/level/BLevelSpecialUnitProducer.js',
	'app/classes/game/view/city/model/building/level/BLevelShop.js',
	'app/classes/game/view/city/model/building/level/BLevelResurrector.js',
	'app/classes/game/view/city/model/building/level/BLevelRecovery.js',
	'app/classes/game/view/city/model/building/level/BLevelPrison.js',
	'app/classes/game/view/city/model/building/level/BLevelOuterEstateHall.js',
	'app/classes/game/view/city/model/building/level/BLevelHouse.js',
	'app/classes/game/view/city/model/building/level/BLevelFortification.js',
	'app/classes/game/view/city/model/building/level/BLevelClanCapacitor.js',
	'app/classes/game/view/city/model/building/level/BLevelCastleHall.js',
	'app/classes/game/view/city/model/building/level/BLevelCastleGate.js',
	'app/classes/game/view/city/model/building/level/BLevelArena.js',
	'app/classes/game/view/city/model/building/level/BLevelAlchemist.js',
	'app/classes/game/view/city/model/ClanType.js',
	'app/classes/game/view/city/model/FClan.js',
	'app/classes/game/view/city/model/DisplayType.js',
	'app/classes/game/view/city/manage/CapacityTipFactory.js',
	'app/classes/game/view/city/manage/DiplomatTabParent.js',
	'app/classes/game/view/city/MarketViewInfo.js',
	'app/classes/game/view/heroes/ActionsDecl.js',
	'app/classes/game/view/heroes/Blocked.js',
	'app/classes/game/view/heroes/CastEffectType.js',
	'app/classes/game/view/heroes/FArtifactList.js',
	'app/classes/game/view/heroes/FCast.js',
	'app/classes/game/view/heroes/FCastEffect.js',
	'app/classes/game/view/heroes/FCastResult.js',
	'app/classes/game/view/heroes/FSpell.js',
	'app/classes/game/view/heroes/HeroClass.js',
	'app/classes/game/view/heroes/HeroLevel.js',
	'app/classes/game/view/heroes/NumberEffectTip.js',
	'app/classes/game/view/heroes/SkillBranch.js',
	'app/classes/game/view/heroes/SkillDecl.js',
	'app/classes/game/view/heroes/SpellLevelDecl.js',
	'app/classes/game/view/heroes/SpellNameAndLevel.js',
	'app/classes/game/view/heroes/SpellTargetType.js',
	'app/classes/game/view/heroes/artifacts/ArtifactCost.js',
	'app/classes/game/view/heroes/artifacts/ArtifactType.js',
	'app/classes/game/view/heroes/artifacts/ArtifactDeclaration.js',
	'app/classes/game/view/heroes/artifacts/BodyPart.js',
	'app/classes/game/view/heroes/artifacts/CrystalType.js',
	'app/classes/game/view/heroes/artifacts/FArtifact.js',
	'app/classes/game/view/heroes/FHero.js',
	'app/classes/game/view/city/hex/HexNeighbours.js',
	'app/classes/game/view/city/mentor/FApprentice.js',
	'app/classes/game/view/quest/QuestState.js',
	'app/classes/game/view/quest/FQuest.js',
	'app/classes/game/view/quest/FQuestBox.js',
	'app/classes/game/view/quest/FQuestReward.js',
	'app/classes/game/view/quest/FQuestsInfo.js',
	'app/classes/game/view/quest/QuestHtmlFlowConverter.js',
	'app/classes/game/view/kingdom/model/FGift.js',
	'app/classes/game/view/kingdom/model/FKingdom.js',
	'app/classes/game/view/kingdom/model/FKingdomEstate.js',
	'app/classes/game/view/kingdom/model/FKingdomCity.js',
	'app/classes/game/view/kingdom/model/FKingdomEstateLink.js',
	'app/classes/game/view/kingdom/model/FKingdomField.js',
	'app/classes/game/view/kingdom/model/FKingdomOuterEstate.js',
	'app/classes/game/view/kingdom/model/NameAndLocation.js',
	'app/classes/game/view/action/model/FEspionageResult.js',
	'app/classes/game/view/action/model/FObservationResult.js',
	'app/classes/game/view/common/effects/EffectsView.js',
	'app/classes/game/view/tournament/FTournamentData.js',
	'app/classes/game/view/tournament/TournamentServiceDecl.js',
	'app/classes/game/model/user/brotherhood/OrderRewardType.js',
	'app/classes/game/model/user/brotherhood/BrotherhoodGoalType.js',
	'app/classes/game/model/user/brotherhood/CaptureEstateGoal.js',
	'app/classes/game/model/user/brotherhood/DestroyBuildingGoal.js',
	'app/classes/game/model/user/brotherhood/KillArmyGoal.js',
	'app/classes/game/view/city/BrotherhoodViewInfo.js',
	'app/classes/game/model/user/brotherhood/FAttacker.js',
	'app/classes/game/model/user/brotherhood/FBrotherhoodAvailableOrders.js',
	'app/classes/game/model/user/brotherhood/FBrotherhoodOrder.js',
	'app/classes/game/model/user/brotherhood/FUserBrotherhood.js',
	'app/classes/game/webapp/integration/SocialPublisher.js',

    'app/classes/game/model/portal/OffersAccess.js'
]);

CONFIG.components = CONFIG.components.concat([
	
	'game/view/BaseMediator',
	'common/ToolTip',
	'game/view/common/ServerTimeLabel',
	'game/view/common/IconAndValue',
	'game/view/common/Dashboard',
	'game/view/common/QuestButton',
	'game/view/common/KnowledgeView',
	'game/view/common/MagicIcon',
	'game/view/common/BoostPeriodicalIcon',
	'game/view/common/BoostAlchemistsIcon',
	'game/view/common/ExtendedTabNavigator',
	'game/view/common/GameProgress',
	'game/view/common/TimeView',
	'game/view/common/CoordsChooser',
	'game/view/common/PearlPrice',
	'game/view/common/ObtainPearlButton',
	'game/view/common/GodpointsView',
	'game/view/common/TimeLeftView',
	'game/view/common/ServerSavingAlert',
	'game/view/common/OnVacationDialog',
	'game/view/common/ErrorsBox',
	'game/view/common/ObtainPearlDialog',
	'game/view/common/effects/SpecButton',
	'game/view/common/effects/ChooseSpecializationView',
	'game/view/common/effects/TeleportResourcesView',
	'game/view/common/effects/SendPhantomAttackView',
	'game/view/common/effects/TransformArmyToResourceView',
	'game/view/PwnedDialog',
	'game/view/common/Tip',
	'game/view/common/GridTip',
	'game/view/common/SettingsDialog',
	'game/view/common/combo/EstateComboLine',
	'game/view/common/combo/EstateCombo',
	'game/view/common/combo/GlobalSelectionCitiesCombo',
	'game/view/common/slider/SliderTip',
	'game/view/common/slider/Slider',
	'game/view/common/slider/TeeterVSlider',
	'game/view/common/SliderDialog',
	'game/view/common/funds/HBoxFundsView',
	'game/view/common/funds/TiledFundsView',
	'game/view/common/funds/FixedFundsView',
	'game/view/common/funds/BaseResourceBox',
	'game/view/common/funds/FundsBox',
	'game/view/common/funds/SpeedBox',
	'game/view/common/funds/CostBox',
	'game/view/common/funds/PerLineFundsBox',
	'game/view/common/BoostPeriodicalButton',
	'game/view/common/BoostMerchantsIcon',
	'game/view/common/BoostExpeditorsIcon',
	'game/view/common/army/PictureValueBonus',
	'game/view/common/army/UnitTip',
	'game/view/common/army/UnitTipDialog',
	'game/view/common/army/UnitView',
	'game/view/common/army/MilitaryUnitView',
	'game/view/common/army/MilitaryUnitCityView',
	'game/view/common/army/HeroFaceView',
	'game/view/common/army/ArmyView',
	'game/view/common/army/ArmyListView',
	'game/view/common/army/CityArmy',
	'game/view/common/army/ArmyPanelView',
	'game/view/common/army/ArmyEqualizer',
	'game/view/common/army/ArmyEqualizerMobile',
	'game/view/common/army/EstateArmyEqualizer',
	'game/view/common/army/MissionArmyEqualizer',
	'game/view/common/army/HeroHideoutSlot',
	'game/view/common/army/HeroHideout',
	'game/view/common/army/ArmyInput',
	'game/view/common/army/ArmyViewForChooser',
	'game/view/common/army/TowerView',
	'game/view/common/army/CastleGateView',
	'game/view/common/army/ArmyViewDense',
	'game/view/common/EstatesDropDown',
	'game/view/common/TextWithSmiles',
	'game/view/common/TowerAttackView',
	'game/view/common/SendMailButton',
	'game/view/common/RatingStarsView',
	'game/view/common/UserInfoDialog',
	'game/view/common/HelpDialog',
	'game/view/common/ResourceCellTip',
	'game/view/common/EstateStarsClanView',
	'game/view/common/ChooseRewardDialog',
	'game/view/common/bonus/IconValueBonusView',
	'game/view/calculator/LevelSwitcher',
	'game/view/calculator/AddParticipantPanel',
	'game/view/calculator/CalcDefenseView',
	'game/view/calculator/CalcTowerView',
	'game/view/calculator/AddTowerDialog',
	'game/view/calculator/ChooseHero',
	'game/view/calculator/ChooseArmyView',
	'game/view/calculator/CalcUnitProps',
	'game/view/calculator/CombatCalculatorView',
	'game/view/calculator/BuyCalculationsDialog',
	'game/view/calculator/CombatResultView',
	'game/view/mail/MailBoxButton',
	'game/view/mail/MailBoxView',
	'game/view/mail/MailBoxFolders',
	'game/view/mail/MailBoxPageView',
	'game/view/mail/ContactList',
	'game/view/mail/ContactDetails',
	'game/view/mail/AddEditContactDialog',
	'game/view/mail/NewMessageDialog',
	'game/view/mail/ReceiverSelector',
	'game/view/mail/MessageDetails',
	'game/view/mail/MessageDialog',
	'game/view/mail/MessageReactionView',
	'game/view/mail/ForwardMailDialog',
	'game/view/mail/MailFilterItem',
	'game/view/mail/views/CombatResultBox',
	'game/view/city/DistributeWorkersBox',
	'game/view/city/BankTip',
	'game/view/city/LootViewTip',
	'game/view/city/PeopleTip',
	'game/view/city/ResourcesTip',
	'game/view/city/CityMediator',
	'game/view/city/EstateView',
	'game/view/city/HexesCanvas',
	'game/view/city/OuterEstateGateView',
	'game/view/city/CityGarrisonPanel',
	'game/view/city/CityGarrisonAllies',
	'game/view/city/CityGarrisonHideout',
	'game/view/city/UpdatableEstateDialog',
	'game/view/city/GateChestDialog',
	'game/view/city/HallTip',
	'game/view/city/CellularView',
	'game/view/city/OuterEstateHexesView',
	'game/view/city/CityHexesView',
	'game/view/city/CastleHexesView',
	'game/view/city/RuinHexesView',
	'game/view/city/StonehengeHexesView',
	'game/view/city/PitHexesView',
	'game/view/city/MineHexesView',
	'game/view/city/LakeHexesView',
	'game/view/city/GrailHexesView',
	'game/view/city/GrottoHexesView',
	'game/view/city/CampHexesView',
	'game/view/city/CatapultHexesView',
	'game/view/city/EvilHexesView',
	'game/view/city/BasePeriodicMagicDialog',
	'game/view/city/BuildQueueView',
	'game/view/city/TempleChestDialog',
	'game/view/city/hex/Hex',
	'game/view/city/hex/BuildingView',
	'game/view/city/BuildingCountDown',
	'game/view/city/manage/SwitchBuildingView',
	'game/view/city/manage/ManageTip',
	'game/view/city/manage/ManageTipAlchemist',
	'game/view/city/manage/ManageFortificationTip',
	'game/view/city/manage/ManageTowerTip',
	'game/view/city/manage/ShopRatioTip',
	'game/view/common/SummaryTipDialog',
	'game/view/city/WorkersAssigner',
	'game/view/city/FortificationDetails',
	'game/view/city/CapacityView',
	'game/view/city/CapacityRatioView',
	'game/view/city/UnitUpgradeDialog',
	'game/view/city/DeleteDialog',
	'game/view/city/manage/BuildingEffectView',
	'game/view/city/UpgradeDialog',
	'game/view/city/FinishConstructionMagicDialog',
	'game/view/city/FinishUnitsDialog',
	'game/view/city/RepairDialog',
	'game/view/city/RenameDialog',
	'game/view/city/IncreaseDefenceDialog',
	'game/view/city/CitySkinSelector',
	'game/view/city/ChangeCitySkinDialog',
	'game/view/city/ProlongateLifetimeDialog',
	'game/view/city/manage/ManageDialogChild',
	'game/view/city/manage/UnitProductionSpeedTip',
	'game/view/city/manage/ManageAutoExpedition',
	'game/view/city/manage/ManageCatapultMission',
	'game/view/city/manage/ManageUnitProducerParent',
	'game/view/city/manage/ManageMilitaryUnitProducer',
	'game/view/city/manage/ManageSpecialUnitProducer',
	'game/view/city/manage/ManageHall',
	'game/view/city/manage/ManageCatapultSiege',
	'game/view/city/manage/ManageTerraformer',
	'game/view/city/manage/ManageRaiser',
	'game/view/city/manage/ManageAlchemist',
	'game/view/city/manage/market/MarketBuyItem',
	'game/view/city/manage/market/MarketBuyList',
	'game/view/city/manage/market/MarketBuyDialog',
	'game/view/city/manage/market/MarketSellItem',
	'game/view/city/manage/market/MarketSellList',
	'game/view/city/manage/market/MarketAuctionDialog',
	'game/view/city/manage/market/MarketAuctionItem',
	'game/view/city/manage/market/MarketAuctionList',
	'game/view/city/manage/market/MarketTabParent',
	'game/view/city/manage/market/MarketBuy',
	'game/view/city/manage/market/MarketSell',
	'game/view/city/manage/market/MarketExchange',
	'game/view/city/manage/market/MarketAuction',
	'game/view/city/manage/ManageMarket',
	'game/view/city/manage/ManageTemple',
	'game/view/city/manage/ManageResurrector',
	'game/view/city/manage/ManageFortification',
	'game/view/city/manage/ManageTower',
	'game/view/city/manage/ManageCapacitor',
	'game/view/city/manage/ManageClanCapacitor',
	'game/view/mail/AddEditAllyDialog',
	'game/view/alliance/AllyDetails',
	'game/view/city/manage/AlliesTab',
	'game/view/city/manage/DeputyTab',
	'game/view/city/manage/clans/CastleDonateDialog',
	'game/view/city/manage/clans/CreateClanDialog',
	'game/view/city/manage/clans/question/ClanMessageConfirmDialog',
	'game/view/city/manage/clans/question/QuestionVotesRenderer',
	'game/view/city/manage/clans/question/ComboboxVotesRenderer',
	'game/view/city/manage/clans/question/RadioVotesRenderer',
	'game/view/city/manage/clans/question/ButtonsVotesRenderer',
	'game/view/city/manage/clans/question/QuestionRenderer',
	'game/view/mail/ClanArchiveDialog',
	'game/view/city/manage/clans/question/QuestionOption',
	'game/view/city/manage/clans/question/CreateQuestionDialog',
	'game/view/city/manage/clans/question/ClanQuestionDialog',
	'game/view/city/manage/clans/question/QuestionsListItem',
	'game/view/city/manage/clans/question/QuestionsDialog',
	'game/view/city/manage/clans/ClanInvitationRenderer',
	'game/view/city/manage/clans/NoClanView',
	'game/view/city/manage/clans/SendInvitationDialog',
	'game/view/city/manage/clans/ClanActionsMenu',
	'game/view/city/manage/ResourceChooserV2',
	'game/view/city/manage/ResourceChooserDialog',
	'game/view/city/hex/components/CapacitorComponent',
	'game/view/city/manage/ClanCapacitorUI',
	'game/view/city/manage/clans/ClanCapacitorManagerDialog',
	'game/view/city/manage/clans/ClanMemberDialog',
	'game/view/city/manage/clans/ClanMembersListItem',
	'game/view/city/manage/clans/ClanMembersList',
	'game/view/city/manage/clans/ClanDonateDialog',
	'game/view/city/manage/clans/ClanSettingsDialog',
	'game/view/city/manage/clans/ClanMemberView',
	'game/view/city/manage/clans/ClansTab',
	'game/view/city/manage/heroes/PrisonedHeroDialog',
	'game/view/city/manage/heroes/HeroRedemptionInfo',
	'game/view/city/manage/heroes/HeroRedemptionTab',
	'game/view/city/mentor/GetMentorRewardDialog',
	'game/view/city/mentor/DisplayMentorRewardDialog',
	'game/view/city/mentor/ApprenticeQuestRenderer',
	'game/view/city/mentor/ApprenticeQuestsDialog',
	'game/view/city/mentor/ApprenticeRenderer',
	'game/view/city/mentor/ApprenticeInvitationDialog',
	'game/view/city/mentor/MentorshipTab',
	'game/view/city/manage/ManageDiplomatHall',
	'game/view/city/manage/heroes/RenameHeroDialog',
	'game/view/city/manage/heroes/ResetHeroSkillsDialog',
	'game/view/city/manage/heroes/PassiveDescription',
	'game/view/city/manage/heroes/SpellDescription',
	'game/view/city/manage/heroes/SkillTip',
	'game/view/city/manage/castle/StandardDialog',
	'game/view/city/manage/castle/StandardView',
	'game/view/city/manage/castle/HallOfFameDialog',
	'game/view/city/manage/castle/CastleContributionsItem',
	'game/view/city/manage/castle/CastleContributionsDialog',
	'game/view/city/CastTip',
	'game/view/city/CastView',
	'game/view/city/CastsViewDialogItem',
	'game/view/city/CastsViewDialog',
	'game/view/city/CastsView',
	'game/view/city/manage/heroes/HeroProgress',
	'game/view/city/manage/heroes/ArtifactInfo',
	'game/view/city/manage/heroes/ArtifactTip',
	'game/view/city/manage/heroes/ArtifactPic',
	'game/view/city/manage/heroes/ArtifactCostView',
	'game/view/city/manage/heroes/BuyArtifactDialog',
	'game/view/city/manage/heroes/SellArtifactDialog',
	'game/view/city/manage/heroes/BuySetDialog',
	'game/view/city/manage/heroes/ArtifactSlotView',
	'game/view/city/manage/heroes/ArtifactListPageView',
	'game/view/city/manage/heroes/SpellTip',
	'game/view/city/manage/heroes/CastSpellDialog',
	'game/view/city/manage/heroes/SpellView',
	'game/view/city/manage/heroes/HeroBagView',
	'game/view/city/manage/heroes/HeroDollView',
	'game/view/city/manage/heroes/AltarView',
	'game/view/city/manage/heroes/ArtifactStoreView',
	'game/view/city/manage/heroes/ArtifactTraderView',
	'game/view/city/manage/heroes/HeroView',
	'game/view/city/manage/heroes/SetTraderView',
	'game/view/city/manage/heroes/SkillView',
	'game/view/city/manage/heroes/SkillsBranchView',
	'game/view/city/manage/heroes/ChooseBranchDialog',
	'game/view/city/manage/heroes/SkillsView',
	'game/view/city/manage/heroes/SpellBookView',
	'game/view/city/manage/heroes/HeroLeft',
	'game/view/city/manage/heroes/HeroRight',
	'game/view/city/manage/heroes/tabs/WideHeroInfo',
	'game/view/city/manage/heroes/tabs/HeroSwitcher',
	'game/view/city/manage/heroes/tabs/HeroTabParent',
	'game/view/city/manage/heroes/tabs/HeroTab',
	'game/view/city/manage/heroes/tabs/HeroExchangeTab',
	'game/view/city/manage/heroes/tabs/HeroSkillsTab',
	'game/view/city/manage/heroes/tabs/HeroSpellsTab',
	'game/view/city/manage/heroes/tabs/StoreUI',
	'game/view/city/manage/heroes/tabs/HeroStoreTab',
	'game/view/city/manage/heroes/tabs/TraderUI',
	'game/view/city/manage/heroes/tabs/HeroTraderTab',
	'game/view/city/manage/heroes/tabs/SetsTraderUI',
	'game/view/city/manage/heroes/tabs/HeroSetsTraderTab',
	'game/view/city/manage/heroes/tabs/AlchemyUI',
	'game/view/city/manage/heroes/tabs/HeroAlchemyTab',
	'game/view/city/manage/heroes/tabs/RuneMasterUI',
	'game/view/city/manage/heroes/tabs/HeroRuneMasterTab',
	'game/view/city/manage/heroes/HeroDialog',
	'game/view/city/manage/heroes/HireHeroView',
	'game/view/mail/NewsDialog',
	'game/view/city/manage/heroes/ManageTavern',
	'game/view/city/manage/heroes/ArtifactsDialog',
	'game/view/city/manage/heroes/ManageArtifactStore',
	'game/view/city/hex/PrisonTip',
	'game/view/city/manage/heroes/HeroPrisonInfo',
	'game/view/city/manage/ManagePrison',
	'game/view/city/manage/FlagView',
	'game/view/city/manage/FlagsView',
	'game/view/city/ArenaProductionView',
	'game/view/city/manage/ManageArena',
	'game/view/city/manage/clans/SelectClanDialog',
	'game/view/city/manage/clans/ClanPeaceRenderer',
	'game/view/city/manage/clans/ClanWarRenderer',
	'game/view/city/manage/ManageClanDiplomatHall',
	'game/view/city/CastleGateInfoView',
	'game/view/city/manage/ManageCastleGate',
	'game/view/city/manage/ManageDialog',
	'game/view/city/science/ScienceView',
	'game/view/city/science/ScienceButton',
	'game/view/city/science/ScienceSpecButton',
	'game/view/city/science/ScienceStatusButton',
	'game/view/city/science/ScienceQueueItem',
	'game/view/city/science/ScienceTip',
	'game/view/city/science/ScienceDialog',
	'game/view/city/science/UnchargePearlScienceDialog',
	'game/view/city/science/MoveCapitalDialog',
	'game/view/city/science/AddCellDialog',
	'game/view/city/advisor/AdvisorDialog',
	'game/view/city/advisor/AdvisorInfoDialog',
	'game/view/city/advisor/GateAdvisorDialog',
	'game/view/city/BuildDialog',
	'game/view/city/DoBuildDialog',
	'game/view/city/BuildDialogElement',
	'game/view/city/BuildingDescriptionTip',
	'game/view/kingdom/KingdomMediator',
	'game/view/kingdom/KingdomView',
	'game/view/kingdom/KingdomMenu',
	'game/view/kingdom/KingdomFieldInfo',
	'game/view/kingdom/KingdomFieldInfoView',
	'game/view/kingdom/MakeGiftDialog',
	'game/view/kingdom/GiftsTab',
	'game/view/kingdom/SendGiftDialog',
	'game/view/kingdom/ShareOuterEstateDialog',
	'game/view/kingdom/ForgiveBetrayerDialog',
	'game/view/kingdom/KingdomInfoDialog',
	'game/view/kingdom/MoveCityDialog',
	'game/view/mission/MissionDialogParent',
	'game/view/mission/MissionDialogChild',
	'game/view/mission/MissionEtaGridRow',
	'game/view/mission/MissionSettlerDialog',
	'game/view/mission/MissionExpeditionDialog',
	'game/view/mission/InstantActionDialog',
	'game/view/mission/EspionageDialog',
	'game/view/mission/ObservationDialog',
	'game/view/mission/MissionListDialog',
	'game/view/mission/MissionDetails',
	'game/view/mission/MissionBodyView',
	'game/view/mission/MissionMoveResourcesDialog',
	'game/view/mission/ResourceChooser',
	'game/view/mission/MilitaryMissionDialog',
	'game/view/mission/MissionCampDialog',
	'game/view/mission/MissionMoveArmyDialog',
	'game/view/mission/MissionAssistanceDialog',
	'game/view/mission/MissionAttackDialog',
	'game/view/mission/MissionDetailsTip',
	'game/view/mission/SelectBuildingToDestroyDialog',
	'game/view/mission/SelectBuildingToSiegeDialog',
	'game/view/mission/ConstantDurationMoveArmyDialog',
	'game/view/action/model/ObservationResultDialog',
	'game/view/action/model/EspionageResultDialog',
	'game/view/payment/ServiceGridRow',
	'game/view/payment/SubscriptionExpiredDialog',
	'game/view/payment/ChooseFreeConfirmation',
	'game/view/payment/PremiumAccountTab',
	'game/view/payment/GlobalFeaturesTab',
	'game/view/payment/LocalFeaturesTab',
	'game/view/payment/MandatoryOffersDialog',
	'game/view/payment/PaymentDialog',
	'game/view/payment/MandatoryPaymentDialog',
	'game/view/tournament/TournamentTab',
	'game/view/tournament/TournamentRewardRenderer',
	'game/view/quest/QuestsView',
	'game/view/quest/QuestDetails',
	'game/view/quest/QuestDialogSwitcher',
	'game/view/quest/RewardDialog',
	'game/view/quest/QuestMembersList',
	'game/view/quest/QuestMembersListItem',
	'game/view/kingdom/PayForQuestDialog',
	'game/view/tournament/TournamentGridRow',
	'game/view/tournament/UseTournamentServiceDialog',
	'game/view/mail/CombatReportDialog',
	'game/view/rating/RatingSheet',
	'game/view/rating/RatingList',
	'game/view/rating/RatingListItem',
	'game/view/rating/RatingClanListItem',
	'game/view/rating/RatingTournamentListItem',
	'game/view/common/GiftView',
	'game/view/common/GiftsView',
	'game/view/city/manage/brotherhood/BrotherhoodOrderReward',
	'game/view/city/manage/brotherhood/BrotherhoodOrderDetails',
	'game/view/city/manage/brotherhood/BrotherhoodOrderDetailsDialog',
	'game/view/city/manage/brotherhood/BrotherhoodOrderRenderer',
	'game/view/city/manage/brotherhood/BaseBrotherhoodTab',
	'game/view/city/manage/brotherhood/BrotherhoodOrdersTab',
	'game/view/city/manage/brotherhood/BrotherhoodAvailablesTab',
	'game/view/city/manage/brotherhood/BrotherhoodCurrentTab',
	'game/view/city/manage/brotherhood/BrotherhoodRewardsTab',
	'game/view/city/manage/brotherhood/BrotherhoodDialog',
	'game/view/city/manage/brotherhood/order/ChooseOrderRewardDialog',
	'game/view/city/manage/brotherhood/order/OrderGoalStackView',
	'game/view/city/manage/brotherhood/order/OrderGoalView',
	'game/view/city/manage/brotherhood/order/KillArmyGoalView',
	'game/view/city/manage/brotherhood/order/DestroyBuildingsGoalView',
	'game/view/city/manage/brotherhood/order/CaptureEstateGoalView',
	'game/view/city/manage/brotherhood/order/BrotherhoodOrderDialog',
	'game/view/finance/TariffRenderer',
]);
