CONFIG.css = CONFIG.css.concat([
	'hero',
	'heropedia',
]);

CONFIG.scripts = CONFIG.scripts.concat([
	
	'app/classes/game/util/Texts.js',
	'app/classes/game/util/Arithmetical.js',
	
	'app/classes/game/model/FUser.js',
	'app/classes/game/model/BuffType.js',
	'app/classes/game/model/FBuff.js',
	'app/classes/game/model/BuffTarget.js',
	'app/classes/game/model/GameServerType.js',
	'app/classes/game/model/HeropediaViewType.js',
	'app/classes/game/model/Funds.js',
	'app/classes/game/model/Science.js',
	'app/classes/game/model/EstateType.js',
	
	'app/classes/game/view/heroes/ActionsDecl.js',
	'app/classes/game/view/heroes/Blocked.js',
	'app/classes/game/view/heroes/CastEffectType.js',
	'app/classes/game/view/heroes/FArtifactList.js',
	'app/classes/game/view/heroes/FCast.js',
	'app/classes/game/view/heroes/FCastEffect.js',
	'app/classes/game/view/heroes/FCastResult.js',
	'app/classes/game/view/heroes/FSpell.js',
	'app/classes/game/view/heroes/HeroClass.js',
	'app/classes/game/view/heroes/HeroLevel.js',
	'app/classes/game/view/heroes/NumberEffectTip.js',
	'app/classes/game/view/heroes/SkillBranch.js',
	'app/classes/game/view/heroes/SkillDecl.js',
	'app/classes/game/view/heroes/SpellLevelDecl.js',
	'app/classes/game/view/heroes/SpellNameAndLevel.js',
	'app/classes/game/view/heroes/SpellTargetType.js',
	'app/classes/game/view/heroes/artifacts/ArtifactCost.js',
	'app/classes/game/view/heroes/artifacts/ArtifactType.js',
	'app/classes/game/view/heroes/artifacts/ArtifactDeclaration.js',
	'app/classes/game/view/heroes/artifacts/BodyPart.js',
	'app/classes/game/view/heroes/artifacts/CrystalType.js',
	'app/classes/game/view/heroes/artifacts/FArtifact.js',
	'app/classes/game/view/heroes/FHero.js',
	
	'app/classes/game/model/unit/UnitType.js',
	'app/classes/game/model/unit/AuraBonus.js',
	'app/classes/game/model/unit/EmptyUnitAura.js',
	'app/classes/game/model/unit/UnitAura.js',
	
	'app/classes/game/model/terrain/CellBlocker.js',
	'app/classes/game/model/terrain/Terrain.js',
	
	'app/classes/game/view/city/drain/FDrainCalculator.js',
	'app/classes/game/view/city/model/FCellular.js',
	'app/classes/game/view/city/model/FEstate.js',
	'app/classes/game/view/city/model/Resource.js',
	
	'app/classes/heropedia/model/FHeroConfig.js',
	'app/classes/heropedia/model/hero/HeroTemplate.js',
	'app/classes/heropedia/model/hero/SetDeclaration.js',
	
	'app/classes/game/view/common/effects/EffectsView.js',
	'app/classes/game/view/common/Style.js',

]);

CONFIG.components = CONFIG.components.concat([
	
	'game/view/common/ErrorsBox',
	
	'game/view/common/IconAndValue',
	'game/view/common/funds/HBoxFundsView',
	'game/view/common/funds/TiledFundsView',
	'game/view/common/funds/FixedFundsView',
	'game/view/common/funds/BaseResourceBox',
	'game/view/common/funds/FundsBox',
	
	'game/view/city/manage/heroes/SkillView',
	'game/view/city/manage/heroes/SkillTip',
	'game/view/city/manage/heroes/PassiveDescription',
	'game/view/city/manage/heroes/ArtifactPic',
	'game/view/city/manage/heroes/ArtifactInfo',
	'game/view/city/manage/heroes/ArtifactTip',
	'game/view/city/manage/heroes/SpellDescription',
	
	'heropedia/view/Heropedia',
	'heropedia/view/HeroConfigLoader',
	'heropedia/view/HeroConfigView',
	'heropedia/view/HeroTemplatesView',
	
	'heropedia/view/artifact/ArtifactsView',
	'heropedia/view/artifact/SetView',
	'heropedia/view/artifact/ArtifactView',
	'heropedia/view/artifact/SetTip',

]);
